2004-01-06 18:58  mattias

	* lazarus/lcl/: stdctrls.pp, include/control.inc,
	include/radiobutton.inc, include/wincontrol.inc,
	interfaces/gtk/gtkobject.inc:
	
	fixed setting TRadioButton.Caption for gtk

2004-01-06 16:20  mattias

	* lazarus/: components/codetools/eventcodetool.pas,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed instant termination of gtk message handling

2004-01-06 14:07  mattias

	* lazarus/components/: codetools/languages/codetools.ru.mo,
	codetools/languages/codetools.ru.po,
	codetools/languages/codetools.ruwin.mo,
	codetools/languages/codetools.ruwin.po,
	synedit/languages/synedit.ru.mo,
	synedit/languages/synedit.ruwin.mo,
	synedit/languages/synedit.ruwin.po,
	synedit/languages/synmacrorecorder.ruwin.mo,
	synedit/languages/synmacrorecorder.ruwin.po:
	
	added new russian po files

2004-01-06 14:01  mattias

	* lazarus/tools/copy_po_files_to_lazarus_sources.sh:
	
	added a script to easily add updated po files

2004-01-06 13:50  mattias

	* lazarus/: localize.sh, components/synedit/synhighlighterpas.pp,
	components/synedit/synhighlighterunixshellscript.pas,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.po,
	languages/lazaruside.it.po, languages/lazaruside.pl.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, languages/lazaruside.ruwin.mo,
	languages/lazaruside.ruwin.po, languages/objinspstrconsts.ca.mo,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.mo,
	languages/objinspstrconsts.de.po, languages/objinspstrconsts.es.mo,
	languages/objinspstrconsts.es.po, languages/objinspstrconsts.fr.mo,
	languages/objinspstrconsts.fr.po, languages/objinspstrconsts.it.mo,
	languages/objinspstrconsts.it.po, languages/objinspstrconsts.pl.mo,
	languages/objinspstrconsts.pl.po, languages/objinspstrconsts.po,
	languages/objinspstrconsts.ru.mo, languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.mo,
	languages/objinspstrconsts.ruwin.po, lcl/languages/lcl.ru.mo,
	lcl/languages/lcl.ru.po, lcl/languages/lcl.ruwin.mo,
	lcl/languages/lcl.ruwin.po:
	
	updated russian translation

2004-01-06 11:53  mattias

	* lazarus/: compileroptions.pp, components/codetools/memcheck.pas,
	lcl/arrow.pp:
	
	fixed default value of TArrow.ArrowType

2004-01-05 23:02  mattias

	* lazarus/: ideoptiondefs.pas, docs/LCLMessages.txt:
	
	changed IDEWindowLayout forms to TCustomForm

2004-01-05 16:58  mattias

	* lazarus/docs/LCLMessages.txt:
	
	started LCLMessages.txt

2004-01-05 16:22  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	ideoptiondefs.pas, lazarusidestrconsts.pas, main.pp,
	components/synedit/synedit.pp,
	components/turbopower_ipro/turbopoweripro.lpk,
	debugger/cmdlinedebugger.pp, debugger/dbgoutputform.pp,
	debugger/debugger.pp, debugger/debuggerdlg.pp,
	debugger/gdbmidebugger.pp:
	
	improved debugger: saved log, error handling in initialization,
	better reinitialize

2004-01-05 02:18  mattias

	* lazarus/: components/synedit/synedit.pp, lcl/graphics.pp,
	lcl/include/canvas.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented Double Buffering for synedit and deactivated multi
	buffering in TGTKObject.ExtTextOut

2004-01-04 18:29  mattias

	* lazarus/components/turbopower_ipro/: iphtml.pas, iputils.pas,
	turbopoweripro.lpk:
	
	added package and cross compilation output dirs

2004-01-04 18:21  mattias

	* lazarus/components/htmllite/: Makefile, Makefile.fpc,
	htmllite.pas, lazhtmllite.lpk, lazhtmllite.pas, litesbs1.pas,
	liteun2.pas:
	
	added package and cross compilation output dirs

2004-01-04 17:44  mattias

	* lazarus/: lcl/include/customlistbox.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk2/gtk2int.pas,
	lcl/interfaces/gtk2/gtk2interface.lpk,
	lcl/interfaces/gtk2/gtk2object.inc, packager/packagedefs.pas:
	
	updated gtk2 package

2004-01-04 14:48  mattias

	* lazarus/buildlazdialog.pas:
	
	force building lazarus with LANG=en_US

2004-01-04 12:32  mattias

	* lazarus/: debugoptionsfrm.pas, main.pp:
	
	OI support for TPersistent, PropMeasuerHeight

2004-01-04 04:53  marc

	* lazarus/: customformeditor.pp, debugoptionsfrm.pas, lazarus.pp,
	lazarusidestrconsts.pas, main.pp, debugger/debugger.pp,
	debugger/sshgdbmidebugger.pas, designer/controlselection.pp,
	designer/designermenu.pp:
	
	* Changed TComponentSelectionList to TPersistentSelectionList +
	Added SSHdebugger property

2004-01-04 01:05  mattias

	* lazarus/: main.pp, designer/designermenu.pp:
	
	added double click for menu editor

2004-01-04 00:14  mattias

	* lazarus/lcl/: comctrls.pp, controls.pp, extctrls.pp, graphics.pp,
	include/canvas.inc, include/customcontrol.inc,
	include/custompanel.inc, include/customstatictext.inc,
	include/wincontrol.inc, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkproc.pp, interfaces/gtk/gtkwinapi.inc:
	
	default font can now change height and fixed gtk crash

2004-01-03 22:06  micha

	* lazarus/lcl/: comctrls.pp, controls.pp, extctrls.pp, lcltype.pp,
	include/customcontrol.inc, include/custompanel.inc,
	include/treeview.inc, include/winapi.inc, include/wincontrol.inc,
	interfaces/win32/win32callback.inc,
	interfaces/win32/win32winapi.inc:
	
	- fix win32/checklistbox - implement proper lcl to interface
	move/size notify via setwindowpos - fix treeview to use inherited
	canvas from customcontrol - implement double buffering in win32

2004-01-03 21:36  mattias

	* lazarus/lcl/stdctrls.pp:
	
	published TEdit.Enabled

2004-01-03 21:31  mattias

	* lazarus/lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed CreateRectRgn for negative widths/heights

2004-01-03 21:19  mattias

	* lazarus/: main.pp, project.pp,
	components/codetools/codecache.pas,
	components/codetools/linkscanner.pas, lcl/include/filectrl.inc:
	
	fixed reopening virtual files

2004-01-03 19:37  mattias

	* lazarus/languages/: lazaruside.es.mo, lazaruside.es.po:
	
	updated localization

2004-01-03 19:16  mattias

	* lazarus/: buildfiledlg.lfm, buildfiledlg.lrs, buildfiledlg.pas,
	cleandirdlg.lfm, cleandirdlg.lrs, codeexplorer.lfm,
	debugoptionsfrm.lfm, debugoptionsfrm.lrs, publishprojectdlg.lfm,
	publishprojectdlg.lrs, debugger/watchesdlg.lfm,
	debugger/watchesdlg.lrs, debugger/watchpropertydlg.lfm,
	debugger/watchpropertydlg.lrs, designer/taborderdlg.lfm,
	designer/taborderdlg.lrs, doceditor/doceditor.lfm,
	examples/treeview/tv_add_remove_u1.lfm, lcl/controls.pp,
	lcl/dirsel.lfm, lcl/include/control.inc,
	tools/apiwizz/apiwizard.lfm:
	
	set DragCursor props to default

2004-01-03 13:17  mattias

	* lazarus/components/codetools/eventcodetool.pas:
	
	fixed memleak on published var completion  from Vincent

2004-01-03 13:04  mattias

	* lazarus/lcl/: vclglobals.pp, include/hkeys.inc:
	
	removed non portable hkeys.inc

2004-01-03 12:57  mattias

	* lazarus/: buildlazdialog.pas, lcl/lmessages.pp,
	lcl/include/customlistbox.inc, lcl/include/intfbaselcl.inc,
	lcl/include/lclintf.inc, lcl/include/lclintfh.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtklclintfh.inc,
	lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/win32/win32callback.inc,
	lcl/interfaces/win32/win32lclintf.inc,
	lcl/interfaces/win32/win32lclintfh.inc,
	lcl/interfaces/win32/win32object.inc:
	
	applied implementation for LM_LB_GETINDEXAT  from Vincent

2004-01-03 02:17  marc

	* lazarus/: debugoptionsfrm.lfm, debugoptionsfrm.lrs,
	debugoptionsfrm.pas, debugger/debugger.pp:
	
	+ Added debugger optioes

2003-12-31 19:10  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	fix sizeof bitmap structure (from martin)

2003-12-30 23:24  micha

	* lazarus/lcl/include/canvas.inc:
	
	fix number of points in polygon (form vincent)

2003-12-30 23:08  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	fix for fpc 1.0.x, LPPOINT winapi stuff

2003-12-30 22:20  micha

	* lazarus/lcl/grids.pas:
	
	fix col,row out of bounds (from jesus)

2003-12-30 22:05  micha

	* lazarus/lcl/interfaces/gtk/: gtkwinapi.inc, gtkwinapih.inc:
	
	fix gtk interface due to lcl interface change (from vincent

2003-12-30 09:38  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32winapi.inc:
	
	enable selection of checklistbox items (from vincent)

2003-12-29 22:56  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fix menuitem icon and index (from martin)

2003-12-29 15:22  micha

	* lazarus/lcl/: controls.pp, extdlgs.pas, forms.pp, grids.pas,
	lclproc.pas, lcltype.pp, lmessages.pp, include/application.inc,
	include/control.inc, include/customform.inc,
	include/intfbasewinapi.inc, include/speedbutton.inc,
	include/toolbar.inc, include/toolbutton.inc, include/treeview.inc,
	include/winapi.inc, include/winapih.inc, include/wincontrol.inc,
	interfaces/win32/win32callback.inc, interfaces/win32/win32def.pp,
	interfaces/win32/win32lclintf.inc,
	interfaces/win32/win32listsl.inc,
	interfaces/win32/win32listslh.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32proc.inc,
	interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc, interfaces/win32/winext.pas:
	
	fix a lot of range check errors win32

2003-12-28 13:49  mattias

	* lazarus/lcl/extctrls.pp:
	
	published TPaintBox.Enabled

2003-12-28 13:22  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	implemented find declaration for Self in nested procs

2003-12-28 13:04  mattias

	* lazarus/lcl/units/: gnome/CONTENT.TXT, gtk/CONTENT.TXT,
	gtk2/CONTENT.TXT, qt/CONTENT.TXT, win32/CONTENT.TXT:
	
	removed unused CONTENT.TXT files for old output dirs

2003-12-28 12:00  mattias

	* lazarus/main.pp:
	
	fixed memleak after showing project units  from vincent

2003-12-28 03:47  mattias

	* lazarus/compileroptions.pp:
	
	fixed project custom target filename

2003-12-28 03:40  mattias

	* lazarus/: charactermapdlg.lfm, charactermapdlg.lrs,
	checklfmdlg.lfm, checklfmdlg.lrs, checklfmdlg.pas, cleandirdlg.lfm,
	cleandirdlg.lrs, codeexplorer.lfm, codeexplorer.lrs,
	codetoolsdefpreview.lfm, codetoolsdefpreview.lrs,
	extractprocdlg.lfm, extractprocdlg.lrs, frmsearch.lfm,
	frmsearch.lrs, msgvieweditor.lfm, msgvieweditor.lrs,
	multireplacedlg.lfm, multireplacedlg.lrs,
	components/synedit/synedit.pp, designer/taborderdlg.lfm,
	designer/taborderdlg.lrs, doceditor/doceditor.lfm,
	doceditor/doceditor.lrs, examples/treeview/tv_add_remove_u1.lfm,
	examples/treeview/tv_add_remove_u1.lrs, lcl/comctrls.pp,
	lcl/dirsel.lfm, lcl/dirsel.lrs, lcl/extdlgs.pas, lcl/forms.pp,
	lcl/include/control.inc, lcl/include/custompanel.inc,
	lcl/include/statusbar.inc, lcl/include/treeview.inc,
	tools/apiwizz/apiwizard.lfm, tools/apiwizz/apiwizard.lrs:
	
	set colors to default values

2003-12-27 21:15  mattias

	* lazarus/: aboutfrm.lfm, aboutfrm.lrs, debugoptionsfrm.lfm,
	debugoptionsfrm.lrs, publishprojectdlg.lfm, publishprojectdlg.lrs,
	tcolumndlg1.lfm, lcl/controls.pp:
	
	set some colors to default

2003-12-27 20:34  mattias

	* lazarus/lcl/: forms.pp, include/customgroupbox.inc:
	
	implemented default values for property editors and OI

2003-12-27 17:47  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc,
	win32proc.inc:
	
	fix dialogs owner handle, fixes focusing issue

2003-12-27 17:26  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32proc.inc, win32winapi.inc:
	
	remove redundant window property "lazarus" (from martin)

2003-12-27 16:14  mattias

	* lazarus/: Makefile, Makefile.fpc, localize.sh,
	components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.po,
	languages/lazaruside.ca.mo, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ca.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.it.po, languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.po, languages/objinspstrconsts.ru.po,
	languages/objinspstrconsts.ruwin.po, lcl/languages/lcl.ca.po,
	lcl/languages/lcl.de.po, lcl/languages/lcl.es.po,
	lcl/languages/lcl.fr.po, lcl/languages/lcl.it.po,
	lcl/languages/lcl.pl.po, lcl/languages/lcl.po,
	lcl/languages/lcl.ru.po, lcl/languages/lcl.ruwin.po:
	
	updated localization

2003-12-27 14:34  mattias

	* lazarus/components/gtk/gtkglarea/nvglx.pp:
	
	fix for fpc 1.0

2003-12-27 12:22  mattias

	* lazarus/debugger/: debugger.pp, sshgdbmidebugger.pas:
	
	minor fixes

2003-12-27 12:03  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	fix pixmap color (from vincent)

2003-12-27 02:30  mattias

	* lazarus/debugger/debugger.pp:
	
	fixed compilation

2003-12-27 02:26  mattias

	* lazarus/: debugoptionsfrm.pas, main.pp:
	
	fixed 1.0.10 compilation

2003-12-27 02:05  marc

	* lazarus/debugger/debugger.pp:
	
	+ Added debugger properties

2003-12-27 02:04  mattias

	* lazarus/components/codetools/: codetree.pas,
	finddeclarationtool.pas, pascalparsertool.pas,
	pascalreadertool.pas:
	
	implemented global property sections

2003-12-26 18:42  mattias

	* lazarus/components/codetools/pascalparsertool.pas:
	
	implemented global properties

2003-12-26 18:23  mattias

	* lazarus/tools/apiwizz/: Makefile, Makefile.fpc:
	
	fixed makefile

2003-12-26 17:09  mattias

	* lazarus/debugoptionsfrm.pas:
	
	started debugger specific options

2003-12-26 16:55  mattias

	* lazarus/: debugoptionsfrm.pas, main.pp, msgview.pp:
	
	fixed message jumping

2003-12-26 16:29  mattias

	* lazarus/: debugoptionsfrm.lfm, debugoptionsfrm.lrs,
	debugoptionsfrm.pas, msgvieweditor.pas, examples/combobox.pp,
	lcl/interfaces/win32/win32callback.inc:
	
	various combobox and other fixes from  Vincent

2003-12-26 16:23  mattias

	* lazarus/: msgvieweditor.lfm, msgvieweditor.lrs,
	msgvieweditor.pas, components/codetools/codecache.pas,
	lcl/comctrls.pp, lcl/include/listcolumn.inc,
	lcl/include/listcolumns.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	started message editor and fixed some range checks

2003-12-26 13:36  mattias

	* lazarus/: main.pp, msgview.pp,
	components/codetools/pascalreadertool.pas, lcl/dynamicarray.pas:
	
	started  a posteriori message filtering

2003-12-26 11:59  mattias

	* lazarus/lcl/: comctrls.pp, customtimer.pas, extctrls.pp,
	include/customupdown.inc, interfaces/gtk/gtkproc.inc:
	
	fixed color coversion range check

2003-12-26 11:16  mattias

	* lazarus/: components/synedit/synedit.pp,
	components/synedit/syntextdrawer.pp, lcl/lcltype.pp,
	lcl/include/canvas.inc, lcl/include/pen.inc,
	lcl/interfaces/gtk2/gtk2winapi.inc:
	
	changed TColorRef from longword to longint

2003-12-26 10:55  mattias

	* lazarus/: components/synedit/synedit.pp, lcl/graphics.pp:
	
	fixed range check type conversion

2003-12-26 10:37  mattias

	* lazarus/: editdefinetree.pas, project.pp:
	
	added TProject.Destroying

2003-12-26 10:28  micha

	* lazarus/lcl/interfaces/win32/: win32listsl.inc, win32listslh.inc:
	
	fix itemdata (string+object) for combobox (from vincent)

2003-12-25 15:47  mattias

	* lazarus/keymapping.pp:
	
	fixed pointer conversion

2003-12-25 15:33  mattias

	* lazarus/components/gtk/gtkglarea/: gtkglarea.pp,
	gtkglareacontrol.pas, gtkopengl.lpk, gtkopengl.pas, nvglx.pp,
	Makefile, Makefile.fpc, Makefile, Makefile.fpc:
	
	renamed gtkglarea.pp to gtkglarecontrol.pas

2003-12-25 15:17  mattias

	* lazarus/: customformeditor.pp, environmentopts.pp,
	exttooleditdlg.pas, keymapping.pp, main.pp, project.pp,
	uniteditor.pp, components/codetools/avl_tree.pas,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas,
	components/codetools/fileprocs.pas,
	components/codetools/laz_xmlread.pas,
	components/codetools/memcheck.pas,
	components/codetools/pascalparsertool.pas,
	components/synedit/synedit.pp,
	components/synedit/syneditexport.pas,
	components/synedit/syneditplugins.pas,
	components/synedit/synedittextbuffer.pp,
	components/synedit/synmacrorecorder.pas,
	designer/controlselection.pp, designer/designer.pp,
	designer/taborderdlg.pas, lcl/Makefile, lcl/Makefile.fpc,
	lcl/alllclunits.pp, lcl/avglvltree.pas, lcl/clipbrd.pp,
	lcl/comctrls.pp, lcl/controls.pp, lcl/editbtn.pas, lcl/extdlgs.pas,
	lcl/forms.pp, lcl/fpcadds.pas, lcl/graphics.pp, lcl/graphmath.pp,
	lcl/interfacebase.pp, lcl/lclproc.pas, lcl/lcltype.pp,
	lcl/lresources.pp, lcl/vclglobals.pp, lcl/include/application.inc,
	lcl/include/bitmap.inc, lcl/include/buttonglyph.inc,
	lcl/include/clipbrd.inc, lcl/include/control.inc,
	lcl/include/controlscrollbar.inc, lcl/include/customupdown.inc,
	lcl/include/filectrl.inc, lcl/include/graphic.inc,
	lcl/include/imglist.inc, lcl/include/intfbaselcl.inc,
	lcl/include/pixmap.inc, lcl/include/speedbutton.inc,
	lcl/include/toolbar.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc,
	packager/pkgoptionsdlg.pas:
	
	fixed many range check warnings

2003-12-25 12:53  mattias

	* lazarus/lcl/images/: btncalccancel.xpm, btncalcimg.xpm,
	btncalcmin.xpm, btncalcmul.xpm, btncalcok.xpm, btncalcplus.xpm,
	btncalcpm.xpm, btncalculator.xpm, btncalendar.xpm, btnseldir.xpm:
	
	added calculator icons

2003-12-24 00:38  mattias

	* lazarus/: images/components_images.lrs,
	images/components/tcalculatordialog.xpm,
	images/components/tcalendardialog.xpm, lcl/editbtn.pas,
	lcl/extdlgs.pas:
	
	added TCalendarDialog and TCalculatorDialog from Michael V.C.

2003-12-23 21:40  mattias

	* lazarus/: images/components_images.lrs,
	images/components/tcalcedit.xpm, images/components/tcomboedit.xpm,
	images/components/tdateedit.xpm,
	images/components/tdbnavigator.xpm,
	images/components/tdirectoryedit.xpm,
	images/components/teditbutton.xpm,
	images/components/tfilenamedit.xpm,
	images/components/tfilenameedit.xpm,
	images/components/tpairsplitter.xpm, lcl/Makefile,
	lcl/Makefile.fpc, lcl/alllclunits.pp, lcl/dialogs.pp,
	lcl/edbtnimg.lrs, lcl/editbtn.pas, lcl/extdlgs.lrs,
	lcl/extdlgs.pas, lcl/lclstrconsts.pas, packager/packagesystem.pas,
	packager/registerlcl.pas:
	
	added TEditButton, TFileNameEdit, TDirectoryEdit, TDateEdit,
	TCalcEdit from Michael V.C.

2003-12-23 21:01  mattias

	* lazarus/packager/: packagedefs.pas, packageeditor.pas:
	
	made sorting pkg files nicer

2003-12-23 19:58  mattias

	* lazarus/lcl/: actnlist.pas, include/action.inc,
	include/lclaction.inc:
	
	renamed action.inc to lclaction.inc for democratic reasosn

2003-12-23 19:51  mattias

	* lazarus/: editdefinetree.pas, project.pp:
	
	fixed updating Define caches, when project dependencies changes

2003-12-23 19:15  mattias

	* lazarus/: compileroptions.pp, uniteditor.pp, lcl/extctrls.pp,
	lcl/include/customnotebook.inc:
	
	fixed TNoteBook.OnPageChanged for user PageIndex

2003-12-23 17:50  micha

	* lazarus/lcl/: controls.pp, forms.pp, include/customform.inc,
	include/wincontrol.inc:
	
	fix defocus control when destroying it

2003-12-23 17:49  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fix mousewheel message, short signed int params

2003-12-23 17:48  micha

	* lazarus/components/synedit/synedit.pp:
	
	implement mousewheel support

2003-12-23 16:19  mattias

	* lazarus/compileroptions.pp:
	
	fixed targetfilename calculation

2003-12-23 15:52  mattias

	* lazarus/lcl/include/customnotebook.inc:
	
	TNoteBook.PageChanged not during loading

2003-12-23 15:20  mattias

	* lazarus/: exttooldialog.pas, keymapping.pp,
	components/codetools/customcodetool.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/pascalreadertool.pas:
	
	implemented proc jumping for operators

2003-12-23 12:16  mattias

	* lazarus/: editoroptions.pp, exttooldialog.pas, keymapping.pp,
	components/codetools/customcodetool.pas,
	components/codetools/definetemplates.pas,
	components/synedit/syntextdrawer.pp, designer/jitforms.pp,
	lcl/include/brush.inc, lcl/include/canvas.inc, lcl/include/pen.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	started key combinations, fixed some range check errors

2003-12-22 02:04  mattias

	* lazarus/docs/Contributors.txt:
	
	updated Contributors

2003-12-22 01:26  mattias

	* lazarus/: Makefile, Makefile.fpc:
	
	fixed Makefile for target all

2003-12-22 01:17  mattias

	* lazarus/: Makefile, Makefile.fpc,
	components/codetools/definetemplates.pas:
	
	fixed paths

2003-12-22 01:11  mattias

	* lazarus/: Makefile, Makefile.fpc, buildlazdialog.pas,
	customformeditor.pp, editoroptions.pp, keymapping.pp,
	lazarusidestrconsts.pas, uniteditor.pp,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas, designer/columndlg.pp,
	designer/componenteditors.pas, designer/componenttreeview.pas,
	designer/graphpropedits.pas, designer/imagelisteditor.pp,
	designer/listviewpropedit.pp, designer/objectinspector.pp,
	designer/objinspstrconsts.pas, designer/propedits.pp:
	
	moved IDE interface units to ideintf directory

2003-12-21 22:10  mattias

	* lazarus/lcl/include/customlistbox.inc:
	
	fixed CachedDataSize for customlistbox	from Vincent

2003-12-21 19:21  mattias

	* lazarus/: compiler.pp, compileroptions.pp, dialogprocs.pas,
	exttooldialog.pas, exttooleditdlg.pas, lazarusidestrconsts.pas,
	main.pp, outputfilter.pas, lcl/lmessages.pp,
	packager/pkgmanager.pas:
	
	implemented ShowAll and hide hints for unused package units option

2003-12-21 19:14  micha

	* lazarus/main.pp:
	
	fix openfile popupmenu to appear at correct position

2003-12-21 17:01  mattias

	* lazarus/: customformeditor.pp, formeditor.pp, main.pp,
	uniteditor.pp, designer/columndlg.pp, designer/controlselection.pp,
	designer/objectinspector.pp, lcl/comctrls.pp,
	lcl/include/bitmap.inc, lcl/include/customcheckgroup.inc,
	lcl/include/customimage.inc, lcl/include/custompage.inc,
	lcl/include/customradiogroup.inc, lcl/include/filedialog.inc,
	lcl/include/hintwindow.inc, lcl/include/listcolumn.inc,
	lcl/include/scrollingwincontrol.inc, lcl/include/statusbar.inc,
	lcl/include/treeview.inc:
	
	workaround for inherited bug in fpc 1.9

2003-12-21 16:36  mattias

	* lazarus/lcl/: include/treeview.inc,
	interfaces/gtk/gtkcallback.inc:
	
	workaround for inherited bug in fpc 1.9

2003-12-21 15:35  mattias

	* lazarus/lcl/include/treeview.inc:
	
	implemented ssAutoXXX scrollbars for TTreeView

2003-12-21 15:05  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed ppw fileext for finddeclaration and fpc 1.9

2003-12-21 14:58  mattias

	* lazarus/: checkcompileropts.pas, cleandirdlg.pas,
	environmentopts.pp, findinfilesdlg.pas, frmsearch.pas, ideprocs.pp,
	imexportcompileropts.pas, inputfiledialog.pas,
	lazarusidestrconsts.pas, lazconf.pp, main.pp, patheditordlg.pas,
	publishmodule.pas, runparamsopts.pas,
	components/codetools/definetemplates.pas,
	components/codetools/fileprocs.pas, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc, lcl/extdlgs.pas, lcl/filectrl.pp,
	lcl/grids.pas, lcl/include/filectrl.inc,
	lcl/interfaces/gtk/gtkcallback.inc, packager/packagedefs.pas,
	packager/pkgmanager.pas:
	
	renamed DirectoryExists to DirPathExists to reduce ambigiousity

2003-12-21 13:38  mattias

	* lazarus/packager/packagesystem.pas:
	
	ambigious unit check now ignores virtual units

2003-12-21 13:28  mattias

	* lazarus/: designer/componenteditors.pas,
	designer/objinspstrconsts.pas, lcl/grids.pas:
	
	implemented TStringGrid component editor   from Jesus

2003-12-21 12:51  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	use oldstyledialog flag

2003-12-21 12:50  micha

	* lazarus/lcl/interfaces/win32/: win32listsl.inc, win32listslh.inc:
	
	fix AV when retrieving object (from vincent)

2003-12-20 13:54  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fix spinedit value retrieval

2003-12-20 13:36  mattias

	* lazarus/compileroptions.pp:
	
	fixed invalidating Target macros

2003-12-20 12:41  mattias

	* lazarus/lcl/: Makefile, Makefile.fpc:
	
	make clean now deletes old files in lcl/units/

2003-12-20 12:10  mattias

	* lazarus/: cleandirdlg.pas, main.pp, lcl/include/filectrl.inc:
	
	fixed a few directory exists checks

2003-12-20 11:43  mattias

	* lazarus/components/: Makefile, Makefile.fpc:
	
	updated make clean

2003-12-20 02:24  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	clean up

2003-12-20 02:20  mattias

	* lazarus/: Makefile, Makefile.fpc, buildlazdialog.pas,
	checkcompileropts.pas, compiler.pp, compileroptions.pp,
	keymapping.pp, lazarusidestrconsts.pas, lazconf.pp, main.pp,
	project.pp, components/codetools/Makefile,
	components/codetools/Makefile.fpc,
	components/codetools/definetemplates.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/keywordfunclists.pas,
	components/synedit/Makefile, components/synedit/Makefile.fpc,
	designer/jitform/Makefile, designer/jitform/Makefile.fpc,
	docs/CrossCompile.txt, examples/Makefile, examples/Makefile.fpc,
	include/freebsd/lazconf.inc, include/linux/lazconf.inc,
	include/netbsd/lazconf.inc, include/win32/lazconf.inc,
	lcl/Makefile, lcl/Makefile.fpc, lcl/old_registry.pp,
	lcl/interfaces/Makefile, lcl/interfaces/gnome/Makefile,
	lcl/interfaces/gnome/Makefile.fpc, lcl/interfaces/gtk/Makefile,
	lcl/interfaces/gtk/Makefile.fpc, lcl/interfaces/gtk2/Makefile,
	lcl/interfaces/gtk2/Makefile.fpc, lcl/interfaces/win32/Makefile,
	lcl/interfaces/win32/Makefile.fpc, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas, packager/registration/Makefile,
	packager/registration/Makefile.fpc, tools/Makefile,
	tools/Makefile.fpc, tools/apiwizz/Makefile,
	tools/apiwizz/Makefile.fpc:
	
	splitted output directories for cross compilation

2003-12-19 22:34  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	fix compiler problem; wrong code for constants

2003-12-19 19:20  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	delay property removal until wm_destroy (thx vincent)

2003-12-19 19:18  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	better default font handling

2003-12-19 19:18  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32proc.inc:
	
	fix window activation z-order

2003-12-19 10:06  mattias

	* lazarus/components/codetools/laz_xmlread.pas:
	
	replaced StrLComp by CompareLPChar

2003-12-19 00:47  mattias

	* lazarus/components/codetools/: definetemplates.pas,
	laz_xmlread.pas:
	
	added classes incpath

2003-12-18 17:31  mattias

	* lazarus/designer/: componenteditors.pas, menueditorform.pas:
	
	implemented Edit verb for default and menu component editors

2003-12-18 16:15  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkproc.inc, gtkproc.pp:
	
	fix NIL style crash and GTK2 Compiling

2003-12-18 16:01  mattias

	* lazarus/: exttooleditdlg.pas,
	components/codetools/definetemplates.pas:
	
	fixed mem leak

2003-12-18 11:59  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fix notebook page out of bounds while destroying

2003-12-18 11:27  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fix fpc 1.9.x compile, limittext, mem free

2003-12-18 11:17  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc,
	win32winapi.inc:
	
	remove non-useful variable wndlist (thx vincent)

2003-12-18 09:51  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc,
	win32proc.inc:
	
	fix accelerators: now registered per window

2003-12-18 09:50  micha

	* lazarus/lcl/include/: customform.inc, menu.inc:
	
	attachmenutowindow cleanup

2003-12-18 09:15  micha

	* lazarus/lcl/include/customform.inc:
	
	setmenu fix, now correctly (sigh)

2003-12-18 09:00  micha

	* lazarus/lcl/include/customform.inc:
	
	setmenu fix, notify interface (from darek)

2003-12-17 17:06  micha

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	bring windows to top on application activation

2003-12-16 23:13  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	added rtl inc path for fcl

2003-12-16 22:04  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fix menuitem icon patch, hdcScreen released too soon

2003-12-16 15:01  mattias

	* lazarus/: components/codetools/linkscanner.pas,
	lcl/lresources.pp, lcl/include/winapi.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkobject.inc:
	
	fixed compilation gtk and fpc 1.9

2003-12-16 14:42  mattias

	* lazarus/: checklfmdlg.lfm, checklfmdlg.lrs, checklfmdlg.pas,
	delphiunit2laz.lfm, delphiunit2laz.lrs, delphiunit2laz.pas,
	editoroptions.pp, main.pp, components/codetools/lfmtrees.pas,
	lcl/lresources.pp:
	
	implemented basic Repair broken LFM wizard

2003-12-16 09:33  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	UINT(-1) fix causing "Out of bounds." exception

2003-12-15 23:04  micha

	* lazarus/lcl/interfaces/win32/win32listsl.inc:
	
	nil check

2003-12-15 22:59  mattias

	* lazarus/: delphiunit2laz.lfm, delphiunit2laz.lrs,
	delphiunit2laz.pas, components/codetools/codetoolmanager.pas,
	components/codetools/customcodetool.pas,
	components/codetools/definetemplates.pas,
	components/codetools/stdcodetools.pas,
	tools/install/create_lazarus_rpm.sh:
	
	fixed renaming of published vars, started RepairLFM wizard

2003-12-15 22:57  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32listsl.inc, win32listslh.inc, win32object.inc:
	
	checklistbox, implement object+checked; from vincent

2003-12-15 18:54  mattias

	* lazarus/lcl/include/customlistbox.inc:
	
	added Destroying calls for TCUstomListBox

2003-12-14 21:49  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	hintwindow focus fix

2003-12-14 20:18  micha

	* lazarus/lcl/: controls.pp, forms.pp, interfacebase.pp,
	intfgraphics.pas, include/application.inc, include/control.inc,
	include/hintwindow.inc, include/intfbasewinapi.inc,
	include/screen.inc, include/wincontrol.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc:
	
	hint fixes: parentfont, font itself, showing/hiding + more

2003-12-13 20:44  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32winapi.inc:
	
	hintwindow, color, rectangle size fixes

2003-12-13 02:12  marc

	* lazarus/tools/apiwizz/: apiwizard.lfm, apiwizard.lrs,
	apiwizard.pp, apiwizz.pp:
	
	* Applied patch from Vincent Snijders + Added LCLplatform
	implementations

2003-12-08 15:27  mattias

	* lazarus/: debugger/cmdlinedebugger.pp, debugger/dbgutils.pp,
	examples/testallform.pp:
	
	fixed WaitForHandles

2003-12-07 23:40  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32winapi.inc:
	
	fixed resizing larger menu icons   from Martin Smat

2003-12-07 10:07  mattias

	* lazarus/: lazarusidestrconsts.pas, lcl/Makefile,
	lcl/Makefile.fpc, lcl/alllclunits.pp, packager/packagesystem.pas:
	
	fixed ambigious units registry and forms

2003-12-06 22:00  mattias

	* lazarus/: lazarusidestrconsts.pas,
	components/codetools/definetemplates.pas,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.po,
	languages/lazaruside.it.po, languages/lazaruside.pl.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.po, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented checking for FPC units conflicts

2003-12-06 20:20  mattias

	* lazarus/: components/codetools/basiccodetools.pas,
	components/codetools/codecompletiontool.pas,
	components/synedit/synhighlightercpp.pp,
	components/synedit/synhighlighterpas.pp,
	languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	lcl/graphtype.pp, lcl/include/wincontrol.inc:
	
	codecompletion: forward proc body position now block sensitive

2003-12-05 09:39  mattias

	* lazarus/: debugger/gdbmidebugger.pp, debugger/gdbtypeinfo.pp,
	lcl/include/graphicsobject.inc:
	
	fixed memleak in debugger  from Vincent

2003-12-02 13:25  micha

	* lazarus/lcl/: graphics.pp, include/canvas.inc,
	include/graphicsobject.inc, include/pen.inc:
	
	try: gdi memory leak fix for pen

2003-12-02 13:08  mattias

	* lazarus/: languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	docs/Contributors.txt:
	
	updated polish translations  from Darek

2003-12-02 03:09  mattias

	* lazarus/: lazarusidestrconsts.pas, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	packager/addtopackagedlg.pas:
	
	fixed minor descriptions and fixed a crash when adding units as
	files to a apckage

2003-12-01 17:11  mattias

	* lazarus/: docs/Contributors.txt, languages/lazaruside.ca.mo,
	languages/lazaruside.ca.po, languages/lazaruside.de.mo,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	lcl/languages/lcl.es.mo, lcl/languages/lcl.es.po:
	
	updated spanish translation  from Raul Moratalla

2003-11-30 23:24  marc

	* lazarus/docs/Contributors.txt:
	
	+ Added a few more names from my archive

2003-11-30 23:21  marc

	* lazarus/packager/packagedefs.pas:
	
	* Replaced TList assign by for loop

2003-11-30 19:35  mattias

	* lazarus/: designer/designermenu.pp, designer/menueditorform.pas,
	lcl/comctrls.pp, lcl/include/customupdown.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	fixed fpc 1.9.1 warns

2003-11-30 19:08  mattias

	* lazarus/lcl/: old_registry.pp, registry.pp:
	
	renamed obsolete registry.pp, will be deleted in a few days

2003-11-30 15:23  mattias

	* lazarus/: README, docs/Contributors.txt:
	
	added Contributors.txt

2003-11-30 14:37  mattias

	* lazarus/: README, docs/INSTALL, images/components_images.lrs,
	images/components/tbitbtn.xpm, images/components/tbutton.xpm,
	images/components/tcolorbutton.xpm,
	images/components/tmainmenu.xpm, images/components/tnotebook.xpm,
	images/components/tpagecontrol.xpm:
	
	added a README

2003-11-29 21:13  mattias

	* lazarus/lcl/include/treeview.inc:
	
	fixed TTreeNode deletion  by Vincent

2003-11-29 18:57  mattias

	* lazarus/cleandirdlg.pas:
	
	fixed anchors

2003-11-29 16:23  mattias

	* lazarus/: components/codetools/pascalparsertool.pas,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	ct parser now understands interconst:const

2003-11-29 14:38  mattias

	* lazarus/examples/testtools.inc:
	
	fixed memleak  from Vincent

2003-11-29 14:17  mattias

	* lazarus/: lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	made gtklayout using window theme at start

2003-11-29 00:58  mattias

	* lazarus/packager/pkgmanager.pas:
	
	fixed renaming of installed packages

2003-11-29 00:24  mattias

	* lazarus/: cleandirdlg.lfm, cleandirdlg.lrs, cleandirdlg.pas,
	ideprocs.pp, keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, publishmodule.pas, lcl/stdctrls.pp:
	
	implemented Clean Directories

2003-11-28 20:54  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32winapi.inc:
	
	fpc 1.0.10 compatibility

2003-11-28 12:54  mattias

	* lazarus/packager/packagedefs.pas:
	
	replaced TList.Assign

2003-11-28 12:41  mattias

	* lazarus/lcl/intfgraphics.pas:
	
	added IntfImage Color events for optimization

2003-11-28 12:25  mattias

	* lazarus/lcl/: graphtype.pp, intfgraphics.pas,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32winapi.inc:
	
	added BitOrder for RawImages

2003-11-28 11:38  mattias

	* lazarus/todolist.pp:
	
	clean up

2003-11-28 11:33  mattias

	* lazarus/: main.pp, todolist.pp:
	
	fixed todolist	by Bob

2003-11-28 00:05  mattias

	* lazarus/: ideoptiondefs.pas, main.pp:
	
	implemented reopen IDE windows

2003-11-28 00:02  mattias

	* lazarus/lcl/: Makefile.fpc, alllclunits.pp, interfacebase.pp,
	lclintf.pas, menus.pp, menutype.pas, include/intfbaselcl.inc,
	include/lclintf.inc, include/lclintfh.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtklclintf.inc,
	interfaces/gtk/gtklclintfh.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32lclintf.inc,
	interfaces/win32/win32lclintfh.inc:
	
	removed menutype.pas

2003-11-27 22:05  micha

	* lazarus/lcl/intfgraphics.pas:
	
	win32 mono image bit order fix

2003-11-27 21:51  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, mainbar.pas,
	packager/packagedefs.pas, packager/packageeditor.pas:
	
	implemented sort package files

2003-11-27 20:40  mattias

	* lazarus/lcl/stdctrls.pp:
	
	added TListBox.PopupMenu

2003-11-26 23:05  mattias

	* lazarus/lcl/include/bitmap.inc:
	
	fixed TIcon

2003-11-26 22:55  mattias

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32lclintf.inc,
	win32lclintfh.inc:
	
	fixed win32 TBaseMenuitem

2003-11-26 22:41  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas:
	
	added Rescan FPC source directory menu item

2003-11-26 22:30  mattias

	* lazarus/: designer/graphpropedits.pas, lcl/Makefile.fpc,
	lcl/alllclunits.pp, lcl/customtimer.pas, lcl/forms.pp,
	lcl/graphics.pp, lcl/graphtype.pp, lcl/interfacebase.pp,
	lcl/intfgraphics.pas, lcl/lclintf.pas, lcl/menus.pp,
	lcl/menutype.pas, lcl/include/bitmap.inc,
	lcl/include/intfbaselcl.inc, lcl/include/lclintf.inc,
	lcl/include/lclintfh.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtklclintfh.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	reduced unit circles, fixed fpImage streaming

2003-11-26 01:23  marc

	* lazarus/lcl/: include/intfbaselcl.inc, include/lclintf.inc,
	include/lclintfh.inc, include/menuitem.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtklclintf.inc,
	interfaces/gtk/gtklclintfh.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32lclintf.inc,
	interfaces/win32/win32lclintfh.inc,
	interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	* implemented new LCL(check|enable)Menuitem functions * introduced
	the lclintf inc files to win32

2003-11-25 22:48  micha

	* lazarus/lcl/include/customnotebook.inc:
	
	clearer notebook error message

2003-11-25 22:20  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32listsl.inc, win32object.inc, win32winapi.inc:
	
	implement tchecklistbox

2003-11-25 15:21  micha

	* lazarus/lcl/: interfacebase.pp, intfgraphics.pas, lclintf.pas,
	include/intfbaselcl.inc, include/lclintf.inc, include/lclintfh.inc,
	include/menuitem.inc, interfaces/win32/win32callback.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc,
	interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	new api lclenable,checkmenuitem according to list

2003-11-25 10:15  mattias

	* lazarus/examples/: testallform.pp, testtools.inc:
	
	fixed testall

2003-11-25 09:59  mattias

	* lazarus/: project.pp, lcl/graphics.pp, lcl/include/bitmap.inc,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	fixed a few more black colors

2003-11-25 09:51  mattias

	* lazarus/components/turbopower_ipro/: iphtml.pas, iphtmlpv.pas:
	
	fixed compiling   from Tony

2003-11-24 12:03  marc

	* lazarus/: main.pp, lcl/interfacebase.pp, lcl/lclintf.pas,
	lcl/lcltype.pp, lcl/vclglobals.pp, lcl/include/interfacebase.inc,
	lcl/include/intfbaselcl.inc, lcl/include/intfbasewinapi.inc,
	lcl/include/lclintf.inc, lcl/include/lclintfh.inc,
	lcl/include/menuitem.inc, lcl/include/winapi.inc,
	lcl/include/winapih.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtklclintf.inc,
	lcl/interfaces/gtk/gtklclintfh.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc,
	lcl/interfaces/gtk/interfaces.pp:
	
	* Splitted winapi*.inc into a winapi and a lcl interface
	communication part

2003-11-23 15:09  mattias

	* lazarus/: compileroptions.pp, lcl/include/bitmap.inc:
	
	fixed mem leak	thx to Vincent

2003-11-23 14:13  mattias

	* lazarus/lcl/interfaces/gtk/: gtkproc.inc, gtkproc.pp,
	gtkwinapi.inc:
	
	added clWindow for gtklistitem

2003-11-23 11:58  mattias

	* lazarus/: environmentopts.pp, designer/designer.pp,
	lcl/include/customupdown.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed de-associating TUpDown

2003-11-23 02:02  mattias

	* lazarus/: compileroptions.pp, lazarusidestrconsts.pas:
	
	added win32 gui application compiler switch

2003-11-23 01:28  mattias

	* lazarus/lcl/include/: customform.inc, wincontrol.inc:
	
	fixed closing IDE while debugging

2003-11-23 01:09  mattias

	* lazarus/compileroptions.pp:
	
	fixed adding default ext for programs under win32

2003-11-23 01:04  mattias

	* lazarus/compileroptions.pp:
	
	fixed adding default ext for programs under win32

2003-11-23 01:00  mattias

	* lazarus/components/codetools/stdcodetools.pas:
	
	fixed case check for renaming published vars

2003-11-23 00:56  mattias

	* lazarus/: project.pp, examples/dlgform.pp,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32proc.inc:
	
	fixed win32 intf menu height from Wojciech

2003-11-22 18:22  mattias

	* lazarus/lcl/: controls.pp, graphics.pp, include/canvas.inc:
	
	moved TBevelCut to controls.pp

2003-11-22 17:14  mattias

	* lazarus/lcl/include/treeview.inc:
	
	fixed destroying virgin treeview

2003-11-22 16:47  mattias

	* lazarus/main.pp:
	
	added auto stop debugging on close

2003-11-22 16:29  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp,
	languages/lazaruside.ca.po, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po:
	
	added short cmd line params

2003-11-22 16:14  mattias

	* lazarus/: main.pp, searchresultview.lfm, searchresultview.lrs,
	searchresultview.pp, uniteditor.pp, designer/controlselection.pp,
	designer/designer.pp:
	
	prepared IDE units for split

2003-11-22 16:11  mattias

	* lazarus/: addtoprojectdlg.pas, buildlazdialog.pas,
	customformeditor.pp, diffdialog.pas, editoroptions.pp,
	findinfilesdlg.pas, frmsearch.pas, inputfiledialog.pas:
	
	prepared IDE units for split

2003-11-22 15:57  mattias

	* lazarus/: languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	started package graph connection tree

2003-11-21 21:32  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc:
	
	cleanups; wm_hscroll/wm_vscroll fix

2003-11-21 09:40  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	menuitems gone that have images, init bug

2003-11-20 23:50  mattias

	* lazarus/packager/: packagedefs.pas, packagesystem.pas:
	
	started package graph connection tree

2003-11-20 23:07  mattias

	* lazarus/: searchresultview.lfm, searchresultview.lrs,
	searchresultview.pp, packager/packagedefs.pas:
	
	fixed find in files mem leaks from Vincent

2003-11-19 01:44  marc

	* lazarus/lcl/dynhasharray.pp:
	
	* Fixed key/index generation + added extra checks on indexes < 0

2003-11-18 08:20  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32listsl.inc, win32listslh.inc, win32object.inc, win32proc.inc,
	win32winapi.inc, win32winapih.inc:
	
	added "included by" notice at top of file

2003-11-18 00:09  mattias

	* lazarus/lcl/: forms.pp, include/application.inc,
	include/customform.inc, include/screen.inc:
	
	started PixelsPerInch

2003-11-17 23:53  mattias

	* lazarus/lcl/: include/application.inc, interfaces/Makefile,
	interfaces/gnome/Makefile, interfaces/gtk/Makefile,
	interfaces/gtk2/Makefile, interfaces/qt/Makefile,
	interfaces/win32/Makefile:
	
	updated Makefiles

2003-11-16 20:28  mattias

	* lazarus/: buildlazdialog.pas, lazconf.pp, main.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/expreval.pas, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc:
	
	build lazarus now uses custom compiler path

2003-11-16 18:13  marc

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	* Applied patch from Martin Smat

2003-11-16 17:59  marc

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	* Fixed DrawOwnerButton

2003-11-16 13:44  micha

	* lazarus/lcl/: Makefile, Makefile.fpc:
	
	fixed compilability lcl-win32-fpc1.0.x

2003-11-16 02:56  mattias

	* lazarus/: frmsearch.pas, main.pp, mainbar.pas,
	searchresultview.pp, uniteditor.pp, lcl/menus.pp,
	lcl/include/menuitem.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	changed TMenuItem.Graphic to TMenuItem.Bitmap

2003-11-15 16:30  marc

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	* Fixed range chek errors in KeySymtoVKeyArray

2003-11-15 15:04  mattias

	* lazarus/: main.pp, searchresultview.lfm, searchresultview.lrs,
	searchresultview.pp, uniteditor.pp:
	
	added searchresultsview.lfm

2003-11-15 14:38  mattias

	* lazarus/lcl/include/customradiogroup.inc:
	
	fixed using protected member

2003-11-15 14:07  mattias

	* lazarus/: buildlazdialog.pas, dialogprocs.pas, frmsearch.pas,
	ideprocs.pp, lazconf.pp, main.pp, mainbar.pas, outputfilter.pas,
	searchresultview.pp, uniteditor.pp, components/synedit/Makefile,
	components/synedit/Makefile.fpc,
	components/synedit/allsyneditunits.pp,
	components/synedit/allunits.pp, components/synedit/synedit.pp,
	include/unix/lazbaseconf.inc, include/win32/lazconf.inc,
	lcl/Makefile, lcl/Makefile.fpc, lcl/alllclunits.pp,
	lcl/allunits.pp, lcl/buttons.pp, lcl/grids.pas, lcl/lcltype.pp,
	lcl/lmessages.pp, lcl/include/buttons.inc,
	packager/basepkgmanager.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	added ambigious unit check for IDE

2003-11-15 00:57  mattias

	* lazarus/lcl/: Makefile, Makefile.fpc, messages.pp:
	
	moved messages.pp for non win32 to nonwin32

2003-11-14 22:17  micha

	* lazarus/lcl/: include/interfacebase.inc, include/winapi.inc,
	include/winapih.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	new maskblt method for transparency blitting

2003-11-14 21:24  micha

	* lazarus/lcl/intfgraphics.pas:
	
	fpimage monochrome bitmap fix

2003-11-14 21:23  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32winapi.inc:
	
	fpimage fixes

2003-11-14 14:13  mattias

	* lazarus/: main.pp, designer/componenteditors.pas:
	
	fixed checking fpcsrcdir changes

2003-11-13 18:00  mattias

	* lazarus/designer/propedits.pp:
	
	made fpc RTTI property names nicer  from GongYu

2003-11-13 14:02  marco <marcov@stack.nl>

	* lazarus/components/codetools/fileprocs.pas:
	
	 * more linuxerror killing

2003-11-13 13:47  marco <marcov@stack.nl>

	* lazarus/lcl/include/filectrl.inc:
	
	 * 3 of the four linuxerror occurances fixed

2003-11-11 23:39  mattias

	* lazarus/: localize.sh, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.it.po,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/lazaruside.ruwin.mo, languages/lazaruside.ruwin.po,
	languages/objinspstrconsts.ruwin.mo,
	languages/objinspstrconsts.ruwin.po, lcl/languages/lcl.ruwin.mo,
	lcl/languages/lcl.ruwin.po:
	
	added russian localization for win32

2003-11-10 23:29  mattias

	* lazarus/debugmanager.pas:
	
	fixed searching for default debugger line

2003-11-10 20:05  mattias

	* lazarus/lcl/: commctrl.pp, graphmath.pp,
	include/customnotebook.inc, include/screen.inc,
	interfaces/win32/win32callback.inc:
	
	fixed some bugs by Andreas

2003-11-10 19:36  mattias

	* lazarus/: customformeditor.pp, designer/componenteditors.pas,
	designer/propedits.pp:
	
	fixed menu item method creation on change form on the fly

2003-11-10 18:54  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po:
	
	updated ru localization

2003-11-10 17:15  micha

	* lazarus/lcl/: menus.pp, include/interfacebase.inc,
	include/winapi.inc, include/winapih.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapih.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	cleanups; win32 fpimage support

2003-11-09 11:35  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32winapi.inc:
	
	started Menu icons for win32 intf from Martin Smat

2003-11-09 11:31  mattias

	* lazarus/: designer/menueditorform.pas, lcl/maskedit.pp:
	
	Menu editor form anchors from Tony

2003-11-09 11:28  mattias

	* lazarus/formeditor.pp:
	
	fixed painting on datamodule forms

2003-11-09 00:58  mattias

	* lazarus/: components/codetools/languages/codetools.ca.mo,
	components/codetools/languages/codetools.ca.po,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.mo,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.mo,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.pl.mo,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.po,
	languages/lazaruside.ca.mo, languages/lazaruside.ca.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.it.mo, languages/lazaruside.it.po,
	languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po:
	
	updated localization

2003-11-09 00:56  mattias

	* lazarus/: frmsearch.lfm, frmsearch.lrs, frmsearch.pas,
	ideprocs.pp, lazarusidestrconsts.pas, uniteditor.pp:
	
	added state window from Bob

2003-11-09 00:42  mattias

	* lazarus/: codeexplorer.pas, lcl/include/imglist.inc,
	lcl/include/treeview.inc:
	
	fixed unregistering imageslink

2003-11-08 23:53  mattias

	* lazarus/: designer/controlselection.pp, designer/designer.pp,
	designer/designerprocs.pas, lcl/interfaces/gtk/gtkwinapi.inc:
	
	workaround for gtk1 invalidate bug

2003-11-08 18:41  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32winapi.inc:
	
	compiler warning cleanups

2003-11-08 18:16  micha

	* lazarus/lcl/Makefile.fpc:
	
	fpc 1.1 compatibility

2003-11-08 15:12  mattias

	* lazarus/lcl/: stdctrls.pp, interfaces/gtk/gtkobject.inc:
	
	fixed scrollbar events under gtk from Colin

2003-11-08 12:16  mattias

	* lazarus/: editoroptions.pp, ideoptiondefs.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, searchresultview.pp,
	uniteditor.pp, designer/propedits.pp:
	
	added search result window from Jason

2003-11-08 11:50  mattias

	* lazarus/componentpalette.pas:
	
	fixed showing components in palette

2003-11-08 11:13  mattias

	* lazarus/designer/propedits.pp:
	
	made method names nicer for VER1_0

2003-11-07 23:59  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	fixed finding sysnr.inc

2003-11-07 23:50  mattias

	* lazarus/: components/codetools/definetemplates.pas,
	components/codetools/keywordfunclists.pas, designer/propedits.pp,
	lcl/intfgraphics.pas, lcl/include/interfacebase.inc,
	lcl/interfaces/gtk/gtkproc.inc:
	
	fixed finding sysutilh.inc

2003-11-07 19:48  micha

	* lazarus/: designer/designer.pp, lcl/include/interfacebase.inc,
	lcl/include/winapi.inc, lcl/include/winapih.inc,
	lcl/interfaces/win32/win32winapih.inc:
	
	symmetry getdesignerdc, releasedesignerdc

2003-11-07 19:47  micha

	* lazarus/lcl/include/: application.inc, mouse.inc:
	
	hintwindow fixes

2003-11-07 19:12  mattias

	* lazarus/: multireplacedlg.lfm, multireplacedlg.lrs,
	multireplacedlg.pas, components/codetools/definetemplates.pas:
	
	started multi replace and fixed IF templates

2003-11-07 18:35  micha

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	InvalidateRect invalidate children too

2003-11-07 18:08  mattias

	* lazarus/components/codetools/: codetoolsstrconsts.pas,
	definetemplates.pas:
	
	added nonwin32 dir to codetools

2003-11-07 17:44  micha

	* lazarus/lcl/Makefile.fpc:
	
	fpc 1.1/1.9 compatibility

2003-11-07 17:29  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, sourceeditprocs.pas, uniteditor.pp:
	
	implemented Break Lines in Selection

2003-11-07 16:57  mattias

	* lazarus/: designer/objectinspector.pp, lcl/comctrls.pp,
	lcl/include/treeview.inc:
	
	implemented auto selection visible for component tree

2003-11-06 20:13  mattias

	* lazarus/: customformeditor.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, designer/abstractformeditor.pp, designer/jitforms.pp:
	
	fixed loading forms with errors

2003-11-05 20:07  marco <marcov@stack.nl>

	* lazarus/lcl/include/filectrl.inc:
	
	 * minor corrections on yesterdays patch

2003-11-05 09:32  micha

	* lazarus/designer/designer.pp:
	
	TPopupMenu.Popup needs x,y position relative to screen, not to form

2003-11-04 14:18  micha

	* lazarus/lcl/interfaces/win32/: win32winapi.inc, win32winapih.inc:
	
	Implement GetDesignerDC

2003-11-04 12:49  marco <marcov@stack.nl>

	* lazarus/ideprocs.pp:
	
	 * fixes for freebsd

2003-11-04 12:47  marco <marcov@stack.nl>

	* lazarus/include/freebsd/lazconf.inc:
	
	 * 1.1 fixes

2003-11-04 12:41  marco <marcov@stack.nl>

	* lazarus/lcl/include/filectrl.inc:
	
	 * Small 1.1 fixe

2003-11-03 23:42  mattias

	* lazarus/lcl/postscriptprinter.pas:
	
	fixed postscriptpinter BeginDoc from Tony

2003-11-03 23:41  mattias

	* lazarus/lcl/grids.pas:
	
	fixed grid scrollbars from Jesus

2003-11-03 23:37  mattias

	* lazarus/: formeditor.pp, main.pp, designer/componenteditors.pas,
	designer/designer.pp, lcl/include/interfacebase.inc,
	lcl/include/winapi.inc, lcl/include/winapih.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc:
	
	fixed vert scrollbar, implemented GetDesignerDC

2003-11-03 23:28  marc

	* lazarus/compileroptions.pp:
	
	Fixed targetfilename for win32 per suggestion of Vincent Snijders

2003-11-03 17:57  peter <peter@freepascal.org>

	* lazarus/: customformeditor.pp, components/codetools/memcheck.pas,
	include/freebsd/lazconf.inc, include/linux/lazconf.inc,
	include/netbsd/lazconf.inc, lcl/controls.pp, lcl/graphics.pp,
	lcl/grids.pas, lcl/lcltype.pp, lcl/postscriptprinter.pas,
	lcl/utrace.pp, lcl/include/canvas.inc, lcl/include/filectrl.inc,
	lcl/interfaces/gtk/gtkwinapiwindow.pp,
	lcl/interfaces/win32/win32callback.inc:
	
	  * change $ifdef ver1_1 to $ifndef ver1_0 so it works also with
	    fpc 1.9.x

2003-11-01 19:58  mattias

	* lazarus/lcl/: stdctrls.pp, include/customedit.inc,
	include/custommemo.inc, include/treeview.inc:
	
	added clipboard support for TCustomEdit from Colin

2003-11-01 11:27  mattias

	* lazarus/: examples/checkbox.pp, lcl/forms.pp, lcl/grids.pas,
	lcl/include/controlscrollbar.inc, lcl/include/filectrl.inc,
	lcl/include/scrollingwincontrol.inc, lcl/include/treeview.inc,
	lcl/interfaces/gtk/gtkglobals.pp, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc:
	
	fpc 1.1 fixes, started scrollbar hiding, started polymorphing
	client areas

2003-11-01 00:42  mattias

	* lazarus/ChangeLog:
	
	removed Changelog

2003-10-31 16:14  mazen <mazen@freepascal.org>

	* lazarus/: components/codetools/fileprocs.pas,
	debugger/cmdlinedebugger.pp, lcl/include/filectrl.inc:
	
	+ added some paranthesis to avoid operators precedence problems

2003-10-31 15:54  mattias

	* lazarus/lcl/interfaces/gtk/gtkwinapi.inc:
	
	added the possibility to disbale double buffering

2003-10-31 15:25  mazen <mazen@freepascal.org>

	* lazarus/: ideprocs.pp, components/codetools/fileprocs.pas,
	debugger/cmdlinedebugger.pp, include/linux/lazconf.inc,
	include/unix/lazbaseconf.inc, lcl/filectrl.pp,
	lcl/include/filectrl.inc:
	
	* Fixing VER1_1 compile problem to allow using 1.1 compiler * Most
	of oldlinux unit calls are now in BaseUnix unit with prefix Fp

2003-10-31 14:21  mattias

	* lazarus/: keymapping.pp, designer/controlselection.pp,
	designer/designer.pp:
	
	fixed designer paint offsets

2003-10-31 12:49  micha

	* lazarus/: designer/controlselection.pp, designer/designer.pp,
	lcl/include/wincontrol.inc, lcl/interfaces/win32/win32winapi.inc,
	lcl/interfaces/win32/win32winapih.inc:
	
	fix win32 designer: grid, non-windowed components,
	selectiongrabbers

2003-10-30 22:41  mattias

	* lazarus/: components/codetools/memcheck.pas, lcl/grids.pas,
	lcl/utrace.pp:
	
	replaced NEW1_1 defines

2003-10-30 22:26  mattias

	* lazarus/: codetoolsdefines.pas, lcl/forms.pp, lcl/graphics.pp,
	lcl/include/customimage.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	removed some hints

2003-10-30 21:45  mattias

	* lazarus/components/codetools/linkscanner.pas:
	
	fixed win32 include file search

2003-10-30 21:36  mattias

	* lazarus/: ChangeLog, tools/cvs2cl.pl:
	
	added Changelog and cvs2cl.pl

2003-10-30 21:26  mattias

	* lazarus/lcl/include/colorbutton.inc:
	
	fixed TColorButton

2003-10-30 21:15  mattias

	* lazarus/: buildlazdialog.pas, main.pp:
	
	fixed building IDE clean

2003-10-30 20:55  mattias

	* lazarus/designer/objectinspector.pp:
	
	fixed OI borderstyle

2003-10-30 19:25  mattias

	* lazarus/: COPYING, editoroptions.pp, exttooleditdlg.pas,
	keymapping.pp, designer/controlselection.pp, lcl/lcltype.pp:
	
	fixed keymapping for irregular keys

2003-10-29 20:47  mattias

	* lazarus/: docs/CrossCompile.txt,
	lcl/interfaces/win32/win32object.inc:
	
	fixed win32 compiling

2003-10-29 16:24  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fix popupmenu av

2003-10-29 15:24  micha

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	amenuobject compilation fix

2003-10-28 15:25  mattias

	* lazarus/: main.pp, components/codetools/definetemplates.pas,
	components/interbase/README, lcl/interfacebase.pp,
	lcl/include/interfacebase.inc, lcl/interfaces/win32/win32int.pp,
	lcl/interfaces/win32/win32object.inc:
	
	fixed unit circle

2003-10-26 18:34  micha

	* lazarus/lcl/: graphics.pp, interfacebase.pp, menus.pp,
	include/interfacebase.inc, include/menu.inc,
	interfaces/win32/win32int.pp, interfaces/win32/win32object.inc:
	
	new interface method to attach a menu to window

2003-10-24 23:34  marc

	* lazarus/packager/pkgmanager.pas:
	
	Applied patch from Vincent Snijders

2003-10-24 23:28  marc

	* lazarus/lcl/interfaces/gtk/: gtkproc.inc, gtkproc.pp:
	
	Added cleanup code for keyboard tables

2003-10-23 21:03  ajgenius

	* lazarus/lcl/lcltype.pp:
	
	re-add TByteArray

2003-10-23 18:46  marco <marcov@stack.nl>

	* lazarus/components/synedit/synregexpr.pas:
	
	 * linux vs unix fixes

2003-10-23 18:15  micha

	* lazarus/: Makefile.fpc, main.pp,
	components/codetools/memcheck.pas, designer/componenttreeview.pas,
	designer/propedits.pp, lcl/extctrls.pp, lcl/lcltype.pp,
	lcl/lmessages.pp:
	
	compatibility with new 1.1

2003-10-23 09:45  micha

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc:
	
	cleanups; single parent window (single taskbar button)

2003-10-22 22:37  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	fix accel group test to remove GTK2 warnings

2003-10-22 21:52  mattias

	* lazarus/: componentpalette.pas, lcl/include/buttonglyph.inc:
	
	fixed freeing glyphs

2003-10-22 20:43  mattias

	* lazarus/: componentpalette.pas, lcl/buttons.pp,
	lcl/include/bitmap.inc, lcl/include/buttonglyph.inc,
	lcl/include/buttons.inc, packager/packagedefs.pas:
	
	prepared image sharing

2003-10-22 19:50  mattias

	* lazarus/: buildlazdialog.pas, main.pp, projectopts.pp,
	debugger/sshgdbmidebugger.pas, lcl/comctrls.pp,
	lcl/include/bitmap.inc, lcl/include/menu.inc,
	lcl/include/menuitem.inc, lcl/include/statusbar.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc,
	tools/install/create_lazarus_rpm.sh, tools/install/do_nothing.sh,
	tools/install/file_filter.sh, tools/install/fpcsrc.spec:
	
	updated rpm scripts

2003-10-22 16:33  ajgenius

	* lazarus/components/codetools/fileprocs.pas:
	
	fix misplaced )

2003-10-21 20:44  mattias

	* lazarus/: components/codetools/fileprocs.pas, lcl/forms.pp,
	lcl/include/application.inc, tools/install/build_fpcsrc_rpm.sh,
	tools/install/fpcsrc.spec, tools/install/smart_strip.sh:
	
	removed CustApp defines

2003-10-21 17:06  micha

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32winapi.inc:
	
	spinedit fix; variables cleanup

2003-10-19 18:48  marc

	* lazarus/languages/lazaruside.fr.po:
	
	Applied patch from olivier GUILBAUD

2003-10-19 18:33  marc

	* lazarus/lcl/interfaces/gtk/: gtkcallback.inc, gtkproc.inc,
	gtkproc.pp:
	
	* Fixed VKey keypad handling

2003-10-17 05:35  ajgenius

	* lazarus/lcl/interfaces/: gnome/gnomeint.pp,
	gtk2/gtk2interface.lpk:
	
	fixed compiling of gnome interface, gtk2 lpk

2003-10-17 05:21  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkdef.pp,
	gtk/gtkproc.inc, gtk/gtkproc.pp, gtk2/gtk2int.pas:
	
	fix GTK2 compiling for new Keyboard changes

2003-10-17 01:54  marc

	* lazarus/: debugmanager.pas, debugoptionsfrm.lfm,
	debugoptionsfrm.lrs, keymapping.pp, debugger/cmdlinedebugger.pp,
	debugger/sshgdbmidebugger.pas, lcl/lcltype.pp, lcl/lmessages.pp,
	lcl/menus.pp, lcl/stdctrls.pp, lcl/include/customcombobox.inc,
	lcl/include/interfacebase.inc, lcl/include/winapi.inc,
	lcl/include/winapih.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkdef.pp, lcl/interfaces/gtk/gtkglobals.pp,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkkeysyms.inc,
	lcl/interfaces/gtk/gtklistviewcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc, lcl/interfaces/gtk/keymap.pp:
	
	Implemented new gtk keyevent handling

2003-10-16 22:35  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	added missing definitions

2003-10-16 22:31  mattias

	* lazarus/: main.pp, components/codetools/linkscanner.pas,
	images/components_images.lrs,
	images/components/tapplicationproperties.xpm, lcl/forms.pp:
	
	fixed TApplicationProperties

2003-10-16 21:43  ajgenius

	* lazarus/lcl/: controls.pp, include/wincontrol.inc:
	
	disable Buffering in TWinControl.WM_PAINT

2003-10-16 18:55  ajgenius

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	translate COLOR_FORM to COLOR_BTNFACE

2003-10-16 18:43  ajgenius

	* lazarus/lcl/include/promptdialog.inc:
	
	fix opaque brush

2003-10-15 22:33  ajgenius

	* lazarus/lcl/: dialogs.pp, graphics.pp, lcltype.pp,
	include/promptdialog.inc, interfaces/gtk/gtkglobals.pp,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk2/gtk2int.pas,
	interfaces/gtk2/gtk2winapi.inc:
	
	add csForm, start fixing Style matching for syscolors and fonts

2003-10-15 20:01  mattias

	* lazarus/: addtoprojectdlg.pas, checklfmdlg.lfm, checklfmdlg.lrs,
	checklfmdlg.pas, codetoolsoptions.pas, delphiunit2laz.lfm,
	delphiunit2laz.lrs, delphiunit2laz.pas, dialogprocs.pas,
	extractprocdlg.lfm, extractprocdlg.lrs, extractprocdlg.pas,
	ideprocs.pp, keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, project.pp, sourceeditprocs.pas,
	components/codetools/basiccodetools.pas,
	components/codetools/codecompletiontool.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetoolsstructs.pas,
	components/codetools/codetree.pas,
	components/codetools/customcodetool.pas,
	components/codetools/eventcodetool.pas,
	components/codetools/extractproctool.pas,
	components/codetools/fileprocs.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/identcompletiontool.pas,
	components/codetools/keywordfunclists.pas,
	components/codetools/lfmtrees.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/sourcechanger.pas,
	components/codetools/stdcodetools.pas, lcl/extctrls.pp,
	lcl/include/customradiogroup.inc, packager/pkgmanager.pas:
	
	implemented extract proc, check lfm and convert delphi unit

2003-10-11 10:33  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas, main.pp,
	newdialog.pas, project.pp, projectdefs.pas, lcl/forms.pp:
	
	added catalan

2003-10-09 13:31  mattias

	* lazarus/components/cgi/: README, cgilaz.lpk, cgimodules.pas:
	
	started cgilaz package

2003-10-09 12:33  mattias

	* lazarus/: components/codetools/languages/codetools.ca.mo,
	components/synedit/languages/synedit.ca.mo,
	components/synedit/languages/synmacrorecorder.ca.mo,
	languages/lazaruside.ca.mo, languages/objinspstrconsts.ca.mo,
	lcl/languages/lcl.ca.mo:
	
	added catalan mo files

2003-10-08 10:33  mattias

	* lazarus/: localize.sh,
	components/codetools/languages/codetools.ca.po,
	components/synedit/languages/synedit.ca.po,
	components/synedit/languages/synmacrorecorder.ca.po,
	languages/lazaruside.ca.po, languages/objinspstrconsts.ca.po,
	lcl/languages/lcl.ca.po:
	
	added catalan translation from Jordi

2003-10-08 10:22  mattias

	* lazarus/: codetoolsdefines.pas, main.pp,
	components/codetools/definetemplates.pas:
	
	improved FPC Src template for new chaotic FPC sources

2003-10-07 16:54  mattias

	* lazarus/: Makefile, main.pp,
	components/codetools/definetemplates.pas, lcl/Makefile,
	lcl/Makefile.fpc, lcl/forms.pp, lcl/lresources.pp,
	lcl/include/customform.inc:
	
	moved some lazarus resource code to LResources.pp

2003-10-06 18:13  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc, gtk/gtkproc.inc,
	gtk/gtkwinapi.inc, gtk2/gtk2interface.lpk:
	
	partly fixed gtk2 mouse offsets; added new includes to gtk2 lpk

2003-10-06 12:53  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed redrawing BitBtns from Micha

2003-10-06 12:50  mattias

	* lazarus/lcl/: controls.pp, include/wincontrol.inc,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32callback.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32proc.inc,
	interfaces/win32/win32winapi.inc:
	
	added recursion to InvalidateClientRectCache

2003-10-04 02:36  ajgenius

	* lazarus/lcl/interfaces/gtk2/gtk2object.inc:
	
	partly fix csLabel for GTK2, Layout is still wacked.

2003-10-03 06:01  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkproc.pp, gtk2/gtk2winapi.inc:
	
	minor pango/gtk2 font fixes

2003-10-03 03:25  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkproc.inc,
	gtk/gtkproc.pp, gtk2/gtk2int.pas, gtk2/gtk2object.inc:
	
	add more gtk1i<->gtk2 key & event wrappers, move more GTK2
	workarounds from gtk to gtk2 interface, start GTK2 interface
	SetCallback

2003-10-02 20:18  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkwinapi.inc:
	
	buffer cs_opaque ExtTextOut blocks to help prevent extensive
	flickering

2003-10-02 20:15  ajgenius

	* lazarus/lcl/interfaces/gtk2/: gtk2int.pas, gtk2object.inc:
	
	more gtk2 (check)ListBox implementation

2003-10-02 14:19  mattias

	* lazarus/main.pp:
	
	fixed saving before build file

2003-10-02 13:33  mattias

	* lazarus/lcl/: calendar.pp, vclglobals.pp, include/wincontrol.inc:
	
	completed compstyles and fixed calendar date parsing from Karl

2003-10-02 13:18  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32def.pp,
	win32listsl.inc, win32listslh.inc, win32object.inc, win32proc.inc:
	
	clean ups from Karl

2003-10-02 05:35  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc,
	gtk2/gtk2winapi.inc:
	
	more fixes for GTK2, synedit now mostly-useable

2003-10-02 03:18  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkobject.inc,
	gtk2/gtk2object.inc:
	
	more callbacks fixes for gtk2, partly fix gtk2 CheckListBox

2003-10-01 22:51  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkcallback.inc:
	
	partly fix focus callbacks for GTK2

2003-10-01 17:57  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkcallback.inc:
	
	undo accidental mouse callback changes, partly fix key events for
	gtk2

2003-10-01 15:24  ajgenius

	* lazarus/lcl/forms.pp:
	
	temp hack to workaround TApplicationProperties in Designing

2003-09-30 15:05  mattias

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc:
	
	removed FMainForm by Micha

2003-09-29 23:24  ajgenius

	* lazarus/lcl/forms.pp:
	
	added initial TApplicationProperties(ala D5 TApplicationEvents)

2003-09-27 14:28  mattias

	* lazarus/environmentopts.pp:
	
	fixed env opts dlg resize

2003-09-27 11:52  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32def.pp,
	win32int.pp, win32object.inc, win32winapi.inc:
	
	TScrollBox for win32 intf from Karl

2003-09-27 11:49  mattias

	* lazarus/lcl/: buttons.pp, include/speedbutton.inc:
	
	fix for speedbutton from Micha

2003-09-27 11:43  mattias

	* lazarus/: components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.it.mo,
	components/codetools/languages/codetools.it.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.pl.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	lcl/languages/lcl.it.mo, lcl/languages/lcl.it.po:
	
	updated italian translation from Marco Ciampa

2003-09-26 20:19  ajgenius

	* lazarus/lcl/stdctrls.pp:
	
	add minor TEdit/TMemo properties for delphi compatiblitity

2003-09-26 19:10  mattias

	* lazarus/main.pp:
	
	expand file in msg view only if exists

2003-09-26 08:59  mattias

	* lazarus/lcl/: controls.pp, include/wincontrol.inc:
	
	implemented GetBrush

2003-09-26 08:23  mattias

	* lazarus/: main.pp, include/unix/lazbaseconf.inc:
	
	fixed switching fpc src dir after failure

2003-09-26 02:24  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkcallback.inc:
	
	partly cleanup gtk2 $ifdef's

2003-09-26 02:23  ajgenius

	* lazarus/lcl/interfaces/gnome/Makefile:
	
	fix gnome interface Makefile

2003-09-26 01:03  marc

	* lazarus/tools/apiwizz/: apiwizard.pp, apiwizz.pp:
	
	= Changed LCLLinux to LCLIntf

2003-09-25 22:44  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkobject.inc, gtkproc.inc:
	
	minor changes for gtk2

2003-09-25 21:48  mattias

	* lazarus/include/unix/lazbaseconf.inc:
	
	added /usr/local/src/fpc to searchpath

2003-09-25 21:46  mattias

	* lazarus/include/unix/lazbaseconf.inc:
	
	added /usr/src/fpc to searchpath

2003-09-25 18:02  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkcallback.inc, gtkobject.inc,
	gtkproc.inc, gtkproc.pp, gtkwinapi.inc:
	
	try to catch GDK/X drawable errors and raise an AV to stop killing
	App

2003-09-25 11:01  mattias

	* lazarus/: lcl/include/wincontrol.inc,
	tools/install/create_lazarus_rpm.sh:
	
	increased rpm version

2003-09-24 22:43  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	fixed wordwrap from Micha

2003-09-24 19:23  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc, gtk/gtkproc.inc,
	gtk/gtkproc.pp, gtk2/gtk2int.pas, gtk2/gtk2object.inc:
	
	more work toward GTK2 - partly fix CheckListBox, & MenuItems

2003-09-24 15:36  mattias

	* lazarus/components/: interbase/interbaselaz.lpk,
	mysql/mysqllaz.lpk, mysql/mysqllaz.pas, mysql/registermysql.lrs,
	mysql/registermysql.pas, mysql/tmysqldatabase.xpm,
	mysql/tmysqldataset.xpm:
	
	started mysql package

2003-09-23 19:52  mattias

	* lazarus/: transfermacros.pp, components/codetools/fileprocs.pas,
	lcl/controls.pp, lcl/include/control.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	added SetAnchors

2003-09-23 19:19  ajgenius

	* lazarus/lcl/interfaces/gnome/: Makefile.fpc, gnomeint.pp:
	
	fix compiling gnome interface

2003-09-23 10:00  mattias

	* lazarus/: images/components_images.lrs,
	images/components/tdbgrid.xpm, images/components/tdrawgrid.xpm,
	images/components/tstringgrid.xpm, lcl/controls.pp,
	lcl/stdctrls.pp, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	improved OnEnter for gtkcombo

2003-09-22 22:41  mattias

	* lazarus/: components/codetools/definetemplates.pas,
	components/codetools/keywordfunclists.pas,
	components/codetools/pascalparsertool.pas,
	images/components_images.lrs, images/components/tdbgrid.xpm,
	images/components/tdrawgrid.xpm, images/components/tstringgrid.xpm:
	
	new grid icons from Jesus

2003-09-22 22:08  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc, gtk2/gtk2int.pas,
	gtk2/gtk2object.inc, gtk2/gtk2winapi.inc:
	
	break GTK2 object and winapi into includes like the GTK interface

2003-09-22 21:17  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkint.pp, gtk/gtkobject.inc,
	gtk2/gtk2int.pas:
	
	begin implementing GtkTreeView for ListBox/CListBox

2003-09-22 17:34  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkint.pp, gtkobject.inc:
	
	use GtkImage and Pixbuf for GTK2 instead of Deprecated GtkPixmap

2003-09-22 17:03  ajgenius

	* lazarus/lcl/: dbctrls.pp, include/dbcalendar.inc,
	include/dbedit.inc, include/dblistbox.inc, include/dbtext.inc:
	
	partly fixed streaming of DBCalendar, and opRemove notification of
	DBText DBEdit DBCalendar

2003-09-21 16:13  mattias

	* lazarus/components/codetools/: keywordfunclists.pas,
	pascalparsertool.pas:
	
	added Delphi7 source template and language features

2003-09-21 12:42  mattias

	* lazarus/: codetoolsdefines.pas, lazarusidestrconsts.pas,
	lcl/extctrls.pp, lcl/interfaces/win32/win32callback.inc,
	lcl/interfaces/win32/win32object.inc:
	
	implemented TBitBtn Text+Caption from Micha

2003-09-20 17:24  mattias

	* lazarus/: designer/componenteditors.pas,
	images/components_images.lrs, images/components/tdbgrid.xpm,
	images/components/tnotebook.xpm,
	images/components/tpagecontrol.xpm, lcl/comctrls.pp,
	lcl/extctrls.pp, lcl/include/customnotebook.inc:
	
	implemented TPageControl and TTabSheet

2003-09-20 15:27  mattias

	* lazarus/lcl/: comctrls.pp, controls.pp, extctrls.pp,
	include/control.inc, include/customcombobox.inc,
	include/customedit.inc, include/customlistbox.inc,
	include/customnotebook.inc, include/custompage.inc,
	include/notebook.inc, include/page.inc, include/pagecontrol.inc,
	include/tabsheet.inc, include/wincontrol.inc,
	interfaces/gtk/gtkcallback.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkproc.inc,
	interfaces/win32/win32callback.inc, interfaces/win32/win32int.pp,
	interfaces/win32/win32listsl.inc, interfaces/win32/win32object.inc,
	interfaces/win32/win32proc.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	varois improvements for ParentColor from Micha

2003-09-20 11:16  mattias

	* lazarus/: docs/FAQ, images/components_images.lrs, lcl/Makefile,
	lcl/Makefile.fpc, lcl/allunits.pp, lcl/dbgrids.pas,
	lcl/extctrls.pp, lcl/grids.pas, lcl/include/page.inc,
	packager/packagesystem.pas, packager/registerlcl.pas:
	
	added TDBGrid from Jesus

2003-09-19 18:10  mattias

	* lazarus/: images/components_images.lrs,
	images/components/tbutton.xpm, lcl/dbctrls.pp, lcl/lclicons.lrs,
	lcl/lclintf.pas, lcl/images/README, lcl/images/dbnavcancel.xpm,
	lcl/images/dbnavdelete.xpm, lcl/images/dbnavedit.xpm,
	lcl/images/dbnavfirst.xpm, lcl/images/dbnavinsert.xpm,
	lcl/images/dbnavlast.xpm, lcl/images/dbnavnext.xpm,
	lcl/images/dbnavpost.xpm, lcl/images/dbnavprior.xpm,
	lcl/images/dbnavrefresh.xpm, lcl/include/dbcustomnavigator.inc:
	
	started TDBNavigator

2003-09-19 11:40  mattias

	* lazarus/: images/components_images.lrs,
	images/components/tcheckbox.xpm, images/components/tdbcalendar.xpm,
	images/components/tdbcheckbox.xpm,
	images/components/tdbcombobox.xpm,
	images/components/tdbcontrol.xpm, images/components/tdbedit.xpm,
	images/components/tdbgroupbox.xpm, images/components/tdbimage.xpm,
	images/components/tdblistbox.xpm, images/components/tdbmemo.xpm,
	images/components/tdbradiogroup.xpm, images/components/tdbtext.xpm,
	images/components/tedit.xpm, images/components/tlabel.xpm,
	lcl/dbctrls.pp, lcl/include/dbcheckbox.inc,
	lcl/include/dbcombobox.inc, lcl/include/dbmemo.inc,
	lcl/include/dbradiogroup.inc, packager/packagesystem.pas,
	packager/registerfcl.pas, packager/registerlcl.pas:
	
	registered TDBxxx controls

2003-09-19 02:41  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkdef.pp,
	gtk/gtkint.pp, gtk/gtkobject.inc, gtk/gtkproc.inc, gtk/gtkproc.pp,
	gtk/gtkwinapi.inc, gtk2/gtk2int.pas:
	
	remove USE_PANGO define since pango now apears to work properly.

2003-09-18 23:36  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc, gtk2/gtk2int.pas:
	
	add csEdit to GTK2 interface to start removing use of
	GtkOldEditable

2003-09-18 23:17  mattias

	* lazarus/lcl/: dbctrls.pp, include/dbcheckbox.inc,
	include/dbcombobox.inc, include/dbimage.inc, include/dbmemo.inc,
	include/dbradiogroup.inc:
	
	added DataChange after Loaded

2003-09-18 23:01  mattias

	* lazarus/lcl/: dbctrls.pp, extctrls.pp, include/customimage.inc,
	include/dbimage.inc, include/image.inc:
	
	started TDBImage

2003-09-18 19:23  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkint.pp, gtk2/gtk2int.pas:
	
	start using GtkTextView for Gtk2 Memo

2003-09-18 17:27  ajgenius

	* lazarus/lcl/: calendar.pp, dbctrls.pp, include/dbcalendar.inc:
	
	added initial TDBCalendar

2003-09-18 16:36  ajgenius

	* lazarus/lcl/: dbctrls.pp, include/dbcheckbox.inc,
	include/dbcombobox.inc, include/dbedit.inc, include/dblistbox.inc,
	include/dbmemo.inc:
	
	added TFieldDataLink.FocusControl/OnFocusRequest

2003-09-18 16:06  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkproc.inc, gtk/gtkproc.pp,
	gtk/gtkwinapi.inc, gtk2/gtk2int.pas:
	
	fixed Tgtkobject.drawtext for Pango till the native pango one works
	better

2003-09-18 16:00  mattias

	* lazarus/lcl/: dbctrls.pp, include/dbcheckbox.inc,
	include/dbcombobox.inc, include/dbgroupbox.inc, include/dbmemo.inc,
	interfaces/win32/win32winapi.inc:
	
	implemented TDBGroupBox

2003-09-18 14:15  mattias

	* lazarus/lcl/: dbctrls.pp, interfaces/gtk/gtklistsl.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32object.inc:
	
	fixed is checks for TCustomXXX controls

2003-09-18 13:24  mattias

	* lazarus/lcl/: dbctrls.pp, stdctrls.pp, include/dbcombobox.inc,
	include/dbmemo.inc:
	
	started TDBMemo

2003-09-18 12:53  mattias

	* lazarus/lcl/include/dbcombobox.inc:
	
	started TDBComboBox

2003-09-18 12:50  mattias

	* lazarus/lcl/: dbctrls.pp, include/dbradiogroup.inc:
	
	started TDBComboBox

2003-09-18 11:21  mattias

	* lazarus/: buildlazdialog.pas, codetemplatedialog.pp,
	codetoolsdefines.pas, editoroptions.pp, findinfilesdlg.pas,
	keymapping.pp, main.pp, mainbar.pas, project.pp, projectopts.pp,
	splash.pp, todolist.pp, uniteditor.pp,
	components/htmllite/htmllite.pas, components/htmllite/litesbs1.pas,
	components/htmllite/litesubs.pas, components/htmllite/liteun2.pas,
	components/synedit/syncompletion.pas,
	components/synedit/synedit.pp,
	components/synedit/syneditautocomplete.pp,
	components/synedit/syneditexport.pas,
	components/synedit/synedithighlighter.pp,
	components/synedit/syneditkeycmds.pp,
	components/synedit/syneditmiscclasses.pp,
	components/synedit/syneditmiscprocs.pp,
	components/synedit/syneditplugins.pas,
	components/synedit/syneditsearch.pp,
	components/synedit/synedittextbuffer.pp,
	components/synedit/synexporthtml.pas,
	components/synedit/synhighlightercpp.pp,
	components/synedit/synhighlighterhtml.pp,
	components/synedit/synhighlighterjava.pas,
	components/synedit/synhighlighterlfm.pas,
	components/synedit/synhighlighterpas.pp,
	components/synedit/synhighlighterperl.pas,
	components/synedit/synhighlighterxml.pas,
	components/synedit/synmacrorecorder.pas,
	components/synedit/synmemo.pas, components/synedit/synregexpr.pas,
	components/synedit/syntextdrawer.pp,
	components/turbopower_ipro/ipanim.pas,
	components/turbopower_ipro/ipmsg.pas,
	components/turbopower_ipro/ipstrms.pas,
	components/turbopower_ipro/iputils.pas, designer/aligncompsdlg.pp,
	designer/controlselection.pp, designer/designer.pp,
	designer/designerprocs.pas, designer/graphpropedits.pas,
	designer/jitforms.pp, designer/objectinspector.pp,
	designer/propedits.pp, designer/scalecompsdlg.pp,
	designer/sizecompsdlg.pp, examples/checkbox.pp,
	examples/speedtest.pp, examples/testallform.pp, lcl/Makefile,
	lcl/Makefile.fpc, lcl/allunits.pp, lcl/buttons.pp, lcl/clipbrd.pp,
	lcl/comctrls.pp, lcl/controls.pp, lcl/dialogs.pp, lcl/extctrls.pp,
	lcl/forms.pp, lcl/graphics.pp, lcl/grids.pas, lcl/intfgraphics.pas,
	lcl/lclintf.pas, lcl/lcllinux.pp, lcl/menus.pp,
	lcl/pairsplitter.pas, lcl/postscriptprinter.pas, lcl/stdctrls.pp,
	lcl/toolwin.pp, lcl/include/canvas.inc,
	lcl/include/controlscrollbar.inc, lcl/include/customform.inc,
	lcl/include/customnotebook.inc, lcl/include/messagedialogs.inc,
	lcl/include/mouse.inc, lcl/include/promptdialog.inc,
	lcl/include/screen.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gnome/gnomeint.pp, lcl/interfaces/gtk/gtkdef.pp,
	lcl/interfaces/gtk/gtkglobals.pp, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk2/gtk2int.pas, lcl/interfaces/qt/qtint.pp,
	lcl/interfaces/win32/win32int.pp:
	
	renamed LCLLinux to LCLIntf

2003-09-18 00:06  mattias

	* lazarus/: compileroptions.pp, lazarusidestrconsts.pas,
	lazconf.pp, main.pp, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc:
	
	implemented default lcl widget type

2003-09-17 22:30  ajgenius

	* lazarus/lcl/interfaces/gtk2/gtk2int.pas:
	
	fix(?) DCOffset for DrawText

2003-09-17 21:40  ajgenius

	* lazarus/lcl/: lmessages.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc, interfaces/gtk/gtkwinapiwindow.pp,
	interfaces/gtk2/gtk2int.pas:
	
	Initial DoubleBuffering Support for GTK2

2003-09-17 17:26  mattias

	* lazarus/: uniteditor.pp, lcl/extctrls.pp,
	lcl/include/customnotebook.inc, lcl/include/page.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp:
	
	fixed removing TPage

2003-09-17 10:43  mattias

	* lazarus/: imexportcompileropts.pas, project.pp:
	
	fixed loading old project compiler options

2003-09-16 13:35  mattias

	* lazarus/lcl/: Makefile, Makefile.fpc, allunits.pp, dbctrls.pp,
	extctrls.pp, include/checkbox.inc, include/customcheckbox.inc,
	include/dbcheckbox.inc, include/dbradiogroup.inc,
	interfaces/gtk/gtkwinapi.inc:
	
	started TDBCheckBox

2003-09-16 00:02  mattias

	* lazarus/lcl/: dbctrls.pp, extctrls.pp, include/dbradiogroup.inc:
	
	implemented TDBRadioGroup

2003-09-15 18:42  ajgenius

	* lazarus/lcl/interfaces/gtk2/gtk2int.pas:
	
	mostly fixed ExtTextOut

2003-09-15 17:43  mattias

	* lazarus/lcl/interfaces/: gtk/gtkwinapi.inc,
	gtk2/gtk2interface.lpk:
	
	fixed gtk2interface package

2003-09-15 17:09  mattias

	* lazarus/components/gtk/gtkglarea/gtkopengl.lpk:
	
	fixed gtkopengl package

2003-09-15 17:03  mattias

	* lazarus/: imexportcompileropts.pas, main.pp, mainbar.pas,
	components/gtk/gtkglarea/gtkopengl.lpk, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/pkgmanager.pas:
	
	Import and Export of package compiler options

2003-09-15 15:45  ajgenius

	* lazarus/lcl/interfaces/gtk2/gtk2interface.lpk:
	
	removed accidental compileroptions

2003-09-15 08:49  mattias

	* lazarus/packager/pkgmanager.pas:
	
	fixed checking ambigious files

2003-09-15 05:10  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkdef.pp, gtk/gtkint.pp,
	gtk/gtkproc.pp, gtk2/gtk2int.pas, gtk2/gtk2interface.lpk:
	
	PANGO support for GTK2 now works.. sorta. TextOut/ExtTextOut
	broken?

2003-09-15 03:56  ajgenius

	* lazarus/lcl/: dbctrls.pp, include/dblistbox.inc:
	
	Added TDBListBox. needs more work for ReadOnly

2003-09-14 20:40  ajgenius

	* lazarus/lcl/: dbctrls.pp, include/dbedit.inc, include/dbtext.inc:
	
	add initial TFieldDataLink, TDBEdit and TDBText

2003-09-14 11:43  mattias

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc:
	
	fixed common dialogs from Karl

2003-09-13 18:43  mattias

	* lazarus/lcl/: include/wincontrol.inc,
	interfaces/gtk/gtkcallback.inc:
	
	fixed PerformTab call

2003-09-13 17:51  mattias

	* lazarus/lcl/: controls.pp, include/control.inc:
	
	implemented parent color from Micha

2003-09-13 17:43  ajgenius

	* lazarus/lcl/buttons.pp:
	
	make speed button FState Protected, not private. needed for
	descendents,

2003-09-13 16:01  mattias

	* lazarus/: keymapping.pp, designer/taborderdlg.lfm,
	designer/taborderdlg.lrs, designer/taborderdlg.pas,
	lcl/include/wincontrol.inc:
	
	fixed taborder dlg

2003-09-13 15:28  mattias

	* lazarus/doceditor/doceditor.pas:
	
	added copyright note

2003-09-13 15:27  mattias

	* lazarus/doceditor/: doceditor.lfm.bak, doceditor.lrs.bak,
	doceditor.pas.bak:
	
	removed bak files

2003-09-13 15:26  mattias

	* lazarus/: ideoptiondefs.pas, lazarusidestrconsts.pas,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas, doceditor/doceditor.lfm,
	doceditor/doceditor.lfm.bak, doceditor/doceditor.lrs,
	doceditor/doceditor.lrs.bak, doceditor/doceditor.pas,
	doceditor/doceditor.pas.bak:
	
	started doceditor

2003-09-13 14:56  mattias

	* lazarus/lcl/utrace.pp:
	
	added comment for NEW1_1

2003-09-13 12:04  mattias

	* lazarus/lcl/: forms.pp, include/control.inc,
	include/customform.inc, comctrls.pp, include/statusbar.inc:
	
	fixed ColorIsStored

2003-09-13 12:02  mattias

	* lazarus/: lcl/include/control.inc,
	tools/install/build_fpc_rpm.sh:
	
	set default color to clWindow

2003-09-12 19:40  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkint.pp,
	gtk/gtkobject.inc, gtk/gtkproc.inc, gtk/gtkproc.pp,
	gtk2/gtk2int.pas:
	
	fixes for GTK2(accel groups, menu accel, 'draw'), more work toward
	Pango(DrawText now works, UpdateDCTextMetric mostly works)

2003-09-12 19:32  mattias

	* lazarus/lcl/include/png.inc:
	
	fixed compiling without fpImage

2003-09-12 18:20  mattias

	* lazarus/: designer/componenttreeview.pas,
	designer/objectinspector.pp, examples/objectinspector/mainunit.lfm,
	examples/objectinspector/mainunit.lrs,
	examples/objectinspector/mainunit.pas,
	examples/objectinspector/oiexample.lpi,
	examples/objectinspector/oiexample.lpr:
	
	added OI example

2003-09-12 16:59  mattias

	* lazarus/: ideprocs.pp, lcl/graphics.pp, lcl/include/bitmap.inc,
	lcl/include/graphic.inc, lcl/include/picture.inc,
	lcl/include/png.inc, packager/pkgmanager.pas,
	tools/install/build_fpc_rpm.sh:
	
	added searching for fpImage reader/writer

2003-09-12 10:40  mattias

	* lazarus/components/gtk/gtkglarea/: nvgl.pp, nvglx.pp:
	
	updated nvgl

2003-09-12 10:38  mattias

	* lazarus/tools/install/smart_strip.sh:
	
	added smart_strip.sh for rpm building

2003-09-12 09:17  mattias

	* lazarus/lcl/include/filectrl.inc:
	
	fixed win32 FileIsWritable

2003-09-11 23:33  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkobject.inc, gtkproc.inc,
	gtkwinapi.inc, gtkwinapiwindow.pp:
	
	partly fixed TWinControl(csFixed)

2003-09-11 17:02  mattias

	* lazarus/tools/install/create_lazarus_rpm.sh:
	
	increased rpm version

2003-09-11 10:53  mattias

	* lazarus/packager/packagedefs.pas:
	
	fixed source directory referencing for packages

2003-09-10 21:17  mattias

	* lazarus/lcl/include/picture.inc:
	
	added png clipboard format

2003-09-10 21:15  mattias

	* lazarus/lcl/: clipbrd.pp, graphics.pp, lcltype.pp,
	include/bitmap.inc, include/clipbrd.inc, include/graphic.inc,
	include/picture.inc, include/png.inc:
	
	implemented copying graphics from/to clipboard

2003-09-10 20:03  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc, gtk/gtkproc.inc,
	gtk/gtkwinapi.inc, gtk2/gtk2int.pas:
	
	more changes for pango - partly fixed ref counting, added Pango
	versions of TextOut, CreateFontIndirectEx, and GetTextExtentPoint
	to the GTK2 interface

2003-09-10 18:33  mattias

	* lazarus/lcl/include/clipbrd.inc:
	
	added clipboard checks

2003-09-10 18:29  mattias

	* lazarus/: codetoolsdefines.pas, lazarusidestrconsts.pas,
	components/codetools/definetemplates.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/keywordfunclists.pas,
	components/codetools/linkscanner.pas, lcl/clipbrd.pp,
	lcl/lcltype.pp, lcl/include/clipbrd.inc:
	
	added Kylix 3 specials

2003-09-10 14:13  mattias

	* lazarus/: compileroptions.pp, imexportcompileropts.lfm,
	imexportcompileropts.lrs, imexportcompileropts.pas,
	inputhistory.pas, lazarusidestrconsts.pas, lazconf.pp, main.pp,
	project.pp:
	
	implemented Import and Export of compiler options

2003-09-10 04:33  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkcallback.inc, gtkobject.inc,
	gtkproc.inc, gtkproc.pp:
	
	fixed TColotDialog for GTK2

2003-09-09 22:46  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkdef.pp, gtk/gtkint.pp,
	gtk/gtkobject.inc, gtk/gtkproc.inc, gtk/gtkproc.pp,
	gtk/gtkwinapi.inc, gtk2/gtk2int.pas:
	
	more implementation toward pango for gtk2

2003-09-09 19:16  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkdef.pp, gtk/gtkwinapi.inc,
	gtk2/gtk2int.pas:
	
	start implementing pango routines for GTK2

2003-09-09 13:44  mattias

	* lazarus/lcl/maskedit.pp:
	
	fixed setting TMaskEdit.Text while handle not allocated

2003-09-09 13:22  mattias

	* lazarus/include/: unix/lazbaseconf.inc, win32/lazconf.inc:
	
	added fileexists for secondary config files

2003-09-09 13:11  mattias

	* lazarus/: include/win32/lazconf.inc,
	lcl/interfaces/win32/win32callback.inc:
	
	fixed win32 intf showmoadl and lazconf

2003-09-09 06:15  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc, gtk/gtkobject.inc,
	gtk/gtkproc.inc, gtk/gtkproc.pp, gtk/gtkwinapi.inc,
	gtk2/gtk2int.pas:
	
	more updates for GTK2, more GTK1 wrappers, removal of more ifdef's,
	partly fixed signals

2003-09-09 00:57  marc

	* lazarus/lcl/interfaces/gtk/gdkpixbuf.pp:
	
	Removed gdkpixbuf.pp since it is part of FPC

2003-09-08 16:53  mattias

	* lazarus/docs/CrossCompile.txt:
	
	updated nvgl

2003-09-08 15:29  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	clean up

2003-09-08 15:24  mattias

	* lazarus/lcl/interfaces/win32/win32int.pp:
	
	removed class function

2003-09-08 15:07  mattias

	* lazarus/lcl/: graphics.pp, include/bitmap.inc,
	include/pixmap.inc:
	
	TBitmap now uses fpImage for writing bitmaps

2003-09-08 14:21  mattias

	* lazarus/lcl/: graphics.pp, include/bitmap.inc,
	include/filedialog.inc, interfaces/win32/win32callback.inc,
	interfaces/win32/win32def.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc:
	
	added fpImage reader/writer hooks to TBitmap

2003-09-07 00:56  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkproc.inc, gtk2/gtk2int.pas:
	
	started gtk2 stock icon overrides partial/temp(?) workaround for dc
	paint offsets

2003-09-07 00:00  mattias

	* lazarus/: main.pp, mainbar.pas, packager/pkgmanager.pas:
	
	added ToolStatus check for package compilation

2003-09-06 22:23  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkdef.pp, gtk/gtkobject.inc,
	gtk/gtkproc.inc, gtk/gtkproc.pp, gtk/gtkwinapi.inc,
	gtk2/gtk2int.pas:
	
	fixes for gtk2 added more wrappers for gtk1/gtk2 converstion and
	sanity removed pointless version $Ifdef GTK2 etc IDE now "runs"
	Tcontrol drawing/using problems renders it unuseable however

2003-09-06 20:49  mattias

	* lazarus/packager/packagesystem.pas:
	
	fixed path delims for built in packages

2003-09-06 20:38  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed caching not found procs

2003-09-06 20:38  mattias

	* lazarus/lcl/include/customform.inc:
	
	fixed recreating handle after showmodal

2003-09-06 20:37  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed checkbox state and typecast bugs

2003-09-06 19:24  ajgenius

	* lazarus/lcl/interfaces/: gtk/gtkobject.inc, gtk/gtkproc.inc,
	gtk/gtkproc.pp, gtk/gtkwinapi.inc, gtk2/gtk2int.pas:
	
	gtk2 changes for pixmap, getcursorpos, mouse events workaround

2003-09-06 00:13  mattias

	* lazarus/lcl/: intfgraphics.pas, include/bitmap.inc,
	include/picture.inc:
	
	implemented TBitmap.Assign(TFPCustomImage)

2003-09-05 23:27  mattias

	* lazarus/: docs/FAQ, lcl/graphics.pp:
	
	fixed types

2003-09-05 21:33  mattias

	* lazarus/lcl/interfaces/gtk2/README:
	
	updated README

2003-09-05 21:29  mattias

	* lazarus/lcl/interfaces/gtk/: gtkint.pp, gtkobject.inc,
	gtkproc.inc, gtkwinapi.inc:
	
	Success: The first gtk2 application ran without error

2003-09-05 21:03  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkproc.inc, gtkproc.pp:
	
	removed a redundant routine which broke gtk1

2003-09-05 20:47  mattias

	* lazarus/lcl/: intfgraphics.pas,
	interfaces/gtk2/gtk2interface.lpk:
	
	reduced output

2003-09-05 20:19  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkobject.inc, gtkproc.inc,
	gtkproc.pp, gtkwinapi.inc:
	
	Make GTK2 "compile". linking fails still (Makefile.fpc needs
	pkgconfig libs/GTK2 linking rules, but not sure how not sure how)
	and when linked via a make script (like gtk2 examples do) apps
	still won't work(yet).	I think we need to do a lot of work to make
	sure incompatible(also to get rid of deprecated) things are done in
	GTK2 interface itself, and just use more {$Ifdef GTK1} in the gtk
	interface itself.

2003-09-05 11:41  mattias

	* lazarus/: localize.sh,
	components/codetools/languages/codetools.it.mo,
	components/codetools/languages/codetools.it.po,
	languages/objinspstrconsts.it.mo, languages/objinspstrconsts.it.po:
	
	added italialn translation from Marco Ciampa

2003-09-04 15:14  mattias

	* lazarus/tools/install/create_lazarus_rpm.sh:
	
	increased rpm version

2003-09-04 13:10  mattias

	* lazarus/lcl/: extctrls.pp, include/image.inc,
	interfaces/gtk/gtkobject.inc:
	
	added csClickEvents to TImage

2003-09-04 12:51  mattias

	* lazarus/lcl/: dialogs.pp, include/commondialog.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp:
	
	fixed default size of preview widget

2003-09-04 09:32  mattias

	* lazarus/: localize.sh, docs/INSTALL, lcl/languages/lcl.it.mo,
	lcl/languages/lcl.it.po:
	
	added italian translation for lcl from Marco Ciampa

2003-09-03 13:16  mattias

	* lazarus/docs/INSTALL:
	
	fixed fpc cvs hint

2003-09-03 10:53  mattias

	* lazarus/lcl/: extctrls.pp, extdlgs.pas, include/image.inc:
	
	implemented TImage.Proportional

2003-09-02 23:32  mattias

	* lazarus/: localize.sh, lcl/allunits.pp, lcl/dialogs.pp,
	lcl/extdlgs.pas, lcl/filectrl.pp, lcl/graphics.pp,
	lcl/vclglobals.pp, lcl/include/bitmap.inc,
	lcl/include/commondialog.inc, lcl/include/filectrl.inc,
	lcl/include/filedialog.inc, lcl/include/picture.inc,
	lcl/include/pixmap.inc, lcl/include/png.inc,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.pp,
	packager/packagesystem.pas, packager/registerlcl.pas:
	
	implemented TOpenPictureDialog

2003-09-02 23:11  mattias

	* lazarus/docs/: html/update_gtkintf_html.sh, html/update_html.sh,
	html/update_lcl_html.sh, xml/make_all_skel.sh:
	
	made scripts posix

2003-09-02 18:08  mattias

	* lazarus/lcl/: Makefile, Makefile.fpc, graphics.pp,
	include/png.inc:
	
	implemented TPortableNetworkGraphic reading

2003-09-02 17:12  mattias

	* lazarus/lcl/: graphics.pp, include/bitmap.inc,
	include/graphic.inc, include/picture.inc:
	
	TBitmap.Assign now shares image data

2003-09-02 17:09  mattias

	* lazarus/docs/: html/update_gtkintf_html.sh, html/update_html.sh,
	html/update_lcl_html.sh, xml/make_all_skel.sh,
	xml/lcl/allunits.xml, xml/lcl/avglvltree.xml, xml/lcl/checklst.xml,
	xml/lcl/comctrls.xml, xml/lcl/controls.xml, xml/lcl/dialogs.xml,
	xml/lcl/dirsel.xml, xml/lcl/extctrls.xml, xml/lcl/forms.xml,
	xml/lcl/graphics.xml, xml/lcl/graphtype.xml, xml/lcl/grids.xml,
	xml/lcl/interfacebase.xml, xml/lcl/intfgraphics.xml,
	xml/lcl/lazlinkedlist.xml, xml/lcl/lazqueue.xml,
	xml/lcl/lcllinux.xml, xml/lcl/lclstrconsts.xml,
	xml/lcl/lcltype.xml, xml/lcl/lmessages.xml,
	xml/lcl/pairsplitter.xml, xml/lcl/postscriptprinter.xml,
	xml/lcl/stdctrls.xml, xml/lcl/textstrings.xml,
	xml/lcl/vclglobals.xml:
	
	updated lcl sceletons

2003-09-02 10:39  mattias

	* lazarus/: localize.sh, languages/README,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.it.mo,
	languages/lazaruside.it.po, languages/lazaruside.pl.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	lcl/controls.pp, lcl/include/dockzone.inc, lcl/languages/lcl.po:
	
	added italian localization

2003-09-01 09:27  mattias

	* lazarus/lcl/include/winapi.inc:
	
	fixed typo

2003-08-31 19:30  mattias

	* lazarus/lcl/: include/customform.inc, include/interfacebase.inc,
	include/winapih.inc, include/wincontrol.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32proc.inc,
	interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	fixed TControl painting for win32

2003-08-31 16:48  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	replaced some  as  from Micha

2003-08-30 20:55  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	implemented sticked windows from Micha

2003-08-30 20:53  mattias

	* lazarus/: main.pp, images/btn_openfile.xpm, images/btn_save.xpm,
	images/laz_images.lrs, lcl/comctrls.pp, lcl/include/statusbar.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapiwindow.pp:
	
	using default colors, when theme does not define them

2003-08-29 23:21  mattias

	* lazarus/lcl/interfaces/: gtk/gtkcallback.inc,
	gtk/gtkcomboboxcallback.inc, gtk/gtkdef.pp,
	gtk/gtkdragcallback.inc, gtk/gtklistviewcallback.inc,
	gtk/gtkobject.inc, gtk/gtkproc.inc, gtk/gtkproc.pp,
	gtk2/gtk2interface.lpk:
	
	fixes for gtk2

2003-08-28 18:24  mattias

	* lazarus/: designer/componenttreeview.pas,
	packager/packagedefs.pas, packager/packagesystem.pas:
	
	fixed component tree update after rename

2003-08-28 17:22  mattias

	* lazarus/: lazarusidestrconsts.pas,
	components/codetools/definetemplates.pas, packager/packagedefs.pas:
	
	implemented telling custom options of packages to codetools

2003-08-28 15:55  mattias

	* lazarus/: codetoolsdefines.pas, codetoolsdefpreview.lfm,
	codetoolsdefpreview.lrs, codetoolsdefpreview.pas, inputhistory.pas,
	lazarusidestrconsts.pas, unitinfodlg.pp,
	components/codetools/expreval.pas:
	
	implemented codetools values dialog

2003-08-28 14:08  mattias

	* lazarus/: codetoolsdefines.pas, codetoolsdefpreview.lfm,
	codetoolsdefpreview.lrs, codetoolsdefpreview.pas,
	designer/graphpropedits.pas, lcl/forms.pp,
	lcl/include/customform.inc:
	
	fixed register color prop edit

2003-08-28 12:43  mattias

	* lazarus/: lazarusidestrconsts.pas,
	lcl/interfaces/gtk2/gtk2interface.lpk,
	packager/addtopackagedlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas:
	
	made package files more relative

2003-08-28 11:10  mattias

	* lazarus/: lazarusidestrconsts.pas, lcl/stdctrls.pp,
	lcl/include/customcombobox.inc, lcl/include/customlistbox.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtklistslh.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/win32/win32int.pp,
	lcl/interfaces/win32/win32listsl.inc,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32proc.inc, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas:
	
	listbox and comboboxes now set sort and selection at handle
	creation

2003-08-28 10:14  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	implementation of win32 intf borderstyle from Karl

2003-08-27 23:14  mattias

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	fixed a few things for gtk2 intf

2003-08-27 22:55  mattias

	* lazarus/: lcl/controls.pp, lcl/include/dockzone.inc,
	lcl/interfaces/gtk2/gtk2int.pas,
	lcl/interfaces/gtk2/gtk2interface.lpk, packager/packagedefs.pas:
	
	fixed updating codetools on changing pkg output dir

2003-08-27 17:15  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32proc.inc:
	
	improved setprop from Micha

2003-08-27 13:01  mattias

	* lazarus/lcl/: controls.pp, forms.pp, include/control.inc,
	include/docktree.inc, include/dockzone.inc, include/wincontrol.inc:
	
	started TDockTree

2003-08-27 11:33  mattias

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32listsl.inc,
	win32object.inc:
	
	implements SET_LABEL from Micha

2003-08-27 11:20  mattias

	* lazarus/lcl/: forms.pp, lclstrconsts.pas,
	include/customcombobox.inc, include/customform.inc,
	include/customframe.inc:
	
	added TFrame definition, no implementation

2003-08-27 10:14  mattias

	* lazarus/: designer/objectinspector.pp, lcl/include/canvas.inc,
	lcl/include/inputdialog.inc, lcl/include/promptdialog.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32winapi.inc:
	
	fixed system fonts for win32 intf

2003-08-26 22:30  mattias

	* lazarus/: designer/objectinspector.pp, lcl/controls.pp,
	lcl/include/control.inc:
	
	fixed updating component tree on delete component

2003-08-26 20:11  mattias

	* lazarus/docs/ForDelphians.txt:
	
	started a Delphi to Lazarus help

2003-08-26 18:14  mattias

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	defaultfont patch from Micha

2003-08-26 18:07  mattias

	* lazarus/designer/propedits.pp:
	
	fixed PropDrawName style init

2003-08-26 17:06  mattias

	* lazarus/synmacrorecorder.ru.mo:
	
	fixed binary flags for mo files

2003-08-26 16:33  mattias

	* lazarus/: designer/objectinspector.pp, designer/propedits.pp,
	lcl/extctrls.pp, lcl/include/control.inc, lcl/include/notebook.inc,
	lcl/include/page.inc, lcl/include/wincontrol.inc:
	
	implemented component tree for OI

2003-08-26 14:39  mattias

	* lazarus/designer/: objectinspector.pp, propedits.pp:
	
	fixed debugging info

2003-08-26 12:22  mattias

	* lazarus/components/codetools/definetemplates.pas:
	
	aded ibase src path to fcl interbase dir

2003-08-26 10:43  mattias

	* lazarus/components/interbase/registerinterbase.pas:
	
	removed TIBQuery due to compiler bug

2003-08-26 10:12  mattias

	* lazarus/: designer/objectinspector.pp, designer/propedits.pp,
	lcl/pairsplitter.pas, lcl/stdctrls.pp,
	lcl/include/interfacebase.inc, lcl/include/winapi.inc,
	lcl/include/winapih.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc,
	lcl/interfaces/win32/win32int.pp,
	lcl/interfaces/win32/win32listsl.inc,
	lcl/interfaces/win32/win32listslh.inc,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32proc.inc:
	
	applied listbox/combobox patch from Karl

2003-08-26 09:04  mattias

	* lazarus/lcl/interfaces/win32/win32int.pp:
	
	fixed win32int

2003-08-25 18:43  mattias

	* lazarus/lcl/: graphics.pp, graphtype.pp, lmessages.pp,
	include/interfacebase.inc, include/winapi.inc, include/winapih.inc:
	
	moved many graphics types form graphtype.pp to graphics.pp

2003-08-25 18:27  mattias

	* lazarus/: components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.po,
	lcl/languages/lcl.de.po, lcl/languages/lcl.es.po,
	lcl/languages/lcl.fr.po, lcl/languages/lcl.pl.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.po:
	
	fixed localization

2003-08-25 18:22  mattias

	* lazarus/: components/gtk/gtkglarea/README,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.pl.po,
	languages/lazaruside.po, languages/lazaruside.ru.po:
	
	added BSD linking note

2003-08-25 18:18  mattias

	* lazarus/lcl/: controls.pp, include/custompanel.inc,
	include/wincontrol.inc, interfaces/win32/win32callback.inc,
	interfaces/win32/win32object.inc:
	
	fixed background color of TPanel and clicks of TSpeedButton from
	Micha

2003-08-25 14:16  marco <marcov@stack.nl>

	* lazarus/include/win32/lazconf.inc:
	
	 * reverted last patch. CVS dirty.

2003-08-25 13:58  marco <marcov@stack.nl>

	* lazarus/include/win32/lazconf.inc:
	
	 * fixed duplicate dos reference

2003-08-24 14:15  mattias

	* lazarus/: editoroptions.pp, keymapping.pp,
	lazarusidestrconsts.pas, keymapschemedlg.lfm, keymapschemedlg.lrs,
	keymapschemedlg.pas:
	
	implemented keymap schemes, started classic scheme

2003-08-23 23:17  mattias

	* lazarus/lcl/: controls.pp, include/wincontrol.inc,
	interfaces/win32/win32callback.inc,
	interfaces/win32/win32listsl.inc, interfaces/win32/win32object.inc,
	interfaces/win32/win32proc.inc:
	
	several fixes for the win32 intf, added pending OnResize events

2003-08-23 13:30  mattias

	* lazarus/: environmentopts.pp,
	components/codetools/finddeclarationtool.pas,
	designer/componenttreeview.pas, designer/objectinspector.pp,
	lcl/controls.pp, lcl/include/basedragcontrolobject.inc,
	lcl/include/control.inc, lcl/include/mouse.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/win32/win32listsl.inc,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32winapi.inc:
	
	fixed SetComboHeight in win32 intf and finddeclaration of
	overloaded proc definition

2003-08-22 20:10  mattias

	* lazarus/: main.pp, designer/componenttreeview.pas,
	designer/controlselection.pp, designer/objectinspector.pp,
	designer/propedits.pp, lcl/comctrls.pp, lcl/include/treeview.inc:
	
	implemented selections in component tree

2003-08-22 15:51  mattias

	* lazarus/: designer/componenttreeview.pas,
	designer/objectinspector.pp, designer/propedits.pp,
	lcl/include/application.inc:
	
	fixed TApplication.GetTitle

2003-08-22 11:49  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed find declaration of record variants

2003-08-22 10:10  mattias

	* lazarus/environmentopts.pp:
	
	fixed saving debugger type none

2003-08-22 09:58  mattias

	* lazarus/: designer/componenttreeview.pas,
	designer/objectinspector.pp, designer/propedits.pp,
	lcl/comctrls.pp, lcl/include/control.inc, lcl/include/treeview.inc,
	lcl/interfaces/win32/win32object.inc:
	
	started componenttree

2003-08-21 15:04  mattias

	* lazarus/: components/codetools/fileprocs.pas,
	examples/easter/holyday.lpi, lcl/comctrls.pp, lcl/controls.pp,
	lcl/include/control.inc, lcl/include/treeview.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/win32/win32winapi.inc:
	
	implemented insert marks for TTreeView

2003-08-21 08:52  mattias

	* lazarus/lcl/interfaces/win32/: win32int.pp, win32object.inc,
	win32winapi.inc:
	
	size fixes from Karl

2003-08-20 19:57  mattias

	* lazarus/examples/easter/: about.lfm, about.lrs, about.pas,
	holyday.lpi, holyday.lpr, main.lfm, main.lrs, main.pas:
	
	added easter example

2003-08-20 19:07  mattias

	* lazarus/lcl/include/png.inc:
	
	implemented TPixmap and TPortableNetworkGraphic with fpImage

2003-08-20 19:03  mattias

	* lazarus/lcl/: graphics.pp, intfgraphics.pas, include/bitmap.inc,
	include/pixmap.inc:
	
	implemented TPixmap and TPortableNetworkGraphic with fpImage

2003-08-20 17:06  mattias

	* lazarus/: buildfiledlg.lfm, buildfiledlg.lrs, buildfiledlg.pas,
	debugmanager.pas, exttooldialog.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, project.pp,
	uniteditor.pp, components/codetools/basiccodetools.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/linkscanner.pas,
	components/codetools/sourcechanger.pas,
	components/codetools/stdcodetools.pas, lcl/include/notebook.inc:
	
	implemented Build+Run File

2003-08-19 15:15  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed notebook size from Micha

2003-08-19 14:23  mattias

	* lazarus/: buildfiledlg.lfm, buildfiledlg.lrs, buildfiledlg.pas,
	lcl/graphics.pp, lcl/graphtype.pp, lcl/lmessages.pp,
	lcl/postscriptprinter.pas, lcl/include/interfacebase.inc,
	lcl/include/winapi.inc, lcl/include/winapih.inc,
	lcl/interfaces/gtk/gtkint.pp:
	
	moved types from graphtype.pp back to graphics.pp

2003-08-18 23:17  mattias

	* lazarus/: buildfiledlg.lfm, buildfiledlg.lrs, buildfiledlg.pas,
	main.pp:
	
	implemented loading lpr command line projects

2003-08-18 21:27  mattias

	* lazarus/editoroptions.pp:
	
	fixed saving editor option ShowLineNumbers

2003-08-18 21:24  mattias

	* lazarus/lcl/: graphics.pp, graphmath.pp, interfacebase.pp,
	include/canvas.inc, include/interfacebase.inc, include/winapi.inc,
	include/winapih.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	fixed TCanvas.Pie

2003-08-18 20:07  mattias

	* lazarus/: charactermapdlg.lfm, charactermapdlg.lrs,
	charactermapdlg.pas, keymapping.pp, lazarusidestrconsts.pas,
	main.pp, mainbar.pas, uniteditor.pp,
	components/synedit/synhighlighterposition.pas:
	
	implemented character map

2003-08-18 16:40  mattias

	* lazarus/lazarus.pp:
	
	deactivated memcheck

2003-08-18 16:27  mattias

	* lazarus/tools/install/create_lazarus_rpm.sh:
	
	increased rpm version

2003-08-18 15:26  mattias

	* lazarus/lcl/lazlinkedlist.pas:
	
	renamed lazqueue to lazlinkedlist, patch from Jeroen

2003-08-18 15:21  mattias

	* lazarus/: lazarus.pp, lcl/allunits.pp, lcl/lazqueue.pp,
	lcl/interfaces/gtk/gtkglobals.pp, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkmsgqueue.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	renamed lazqueue to lazlinkedlist, patch from Jeroen

2003-08-18 13:52  mattias

	* lazarus/: encloseselectiondlg.pas, uniteditor.pp,
	components/codetools/basiccodetools.pas,
	components/codetools/sourcelog.pas:
	
	implemented enclose selection

2003-08-18 12:02  mattias

	* lazarus/: encloseselectiondlg.pas, inputhistory.pas, main.pp,
	mainbar.pas, uniteditor.pp, components/codetools/Makefile.fpc,
	components/codetools/basiccodetools.pas,
	components/codetools/codetemplatestool.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/sourcechanger.pas, include/win32/lazconf.inc:
	
	fixed win32 lazconf and improved enclose selection

2003-08-17 14:51  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc, win32int.pp,
	win32object.inc, win32winapi.inc, winext.pas:
	
	added directory selection dialog from Vincent

2003-08-17 14:47  mattias

	* lazarus/: checkcompileropts.pas,
	lcl/interfaces/win32/win32int.pp:
	
	fixed mem leak

2003-08-17 14:26  mattias

	* lazarus/lcl/: Makefile, include/customlistbox.inc,
	interfaces/win32/Makefile, interfaces/win32/Makefile.fpc,
	interfaces/win32/interfaces.pp, interfaces/win32/win32callback.inc,
	interfaces/win32/win32def.pp, interfaces/win32/win32int.pp,
	interfaces/win32/win32object.inc, interfaces/win32/win32proc.inc,
	interfaces/win32/win32winapi.inc, interfaces/win32/winext.pas:
	
	fixed parts of the win32 intf size system

2003-08-16 17:29  mattias

	* lazarus/: sourceeditprocs.pas, designer/jitforms.pp,
	lcl/include/bitmap.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed TBitmap.GetHandle

2003-08-16 11:45  mattias

	* lazarus/: encloseselectiondlg.lfm, encloseselectiondlg.lrs,
	encloseselectiondlg.pas, keymapping.pp, lazarusidestrconsts.pas,
	main.pp, mainbar.pas, uniteditor.pp, include/unix/lazbaseconf.inc:
	
	started enclose selection

2003-08-15 18:27  mattias

	* lazarus/lcl/forms.pp:
	
	activated CustApp as default

2003-08-15 18:19  mattias

	* lazarus/: main.pp, msgview.pp, packager/pkgmanager.pas:
	
	implemented message blocks for package compilation

2003-08-15 18:10  mattias

	* lazarus/: buildlazdialog.pas, lazarusidestrconsts.pas, main.pp,
	msgview.pp:
	
	implemented message blocks

2003-08-15 16:28  mattias

	* lazarus/: aboutfrm.pas, debugmanager.pas, diffpatch.pas,
	environmentopts.pp, ideprocs.pp, lazconf.pp, project.pp,
	debugger/cmdlinedebugger.pp, debugger/dbgutils.pp,
	debugger/gdbmidebugger.pp, debugger/sshgdbmidebugger.pas,
	include/unix/lazbaseconf.inc, include/win32/lazconf.inc,
	packager/openinstalledpkgdlg.pas, packager/pkggraphexplorer.pas:
	
	clean up win32 ifdefs

2003-08-15 16:01  mattias

	* lazarus/: Makefile, environmentopts.pp, lazconf.pp,
	components/codetools/definetemplates.pas,
	include/freebsd/lazconf.inc, include/linux/lazconf.inc,
	include/netbsd/lazconf.inc, include/unix/lazbaseconf.inc,
	include/win32/lazconf.inc, lcl/stringhashlist.pas,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	combined lazconf things for unix

2003-08-14 17:31  mattias

	* lazarus/lcl/: comctrls.pp, controls.pp, extctrls.pp,
	include/control.inc, include/page.inc, include/pagecontrol.inc,
	include/tabsheet.inc:
	
	started TTabSheet and TPageControl

2003-08-14 15:26  mattias

	* lazarus/designer/: designermenu.pp, menueditorform.pas:
	
	fixed removing deleted mainmenus from menu editor

2003-08-14 14:25  mattias

	* lazarus/main.pp:
	
	changed default visible of forms to false

2003-08-14 12:36  mattias

	* lazarus/: compreg.pp, idecomp.pp, images/components_images.lrs,
	images/components/tselectdirectorydialog.xpm, lcl/dialogs.pp,
	lcl/lclstrconsts.pas, lcl/vclglobals.pp,
	lcl/include/filedialog.inc, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/win32/win32object.inc:
	
	added TSelectDirectoryDialog

2003-08-14 10:10  mattias

	* lazarus/: checkcompileropts.lfm, checkcompileropts.lrs,
	checkcompileropts.pas, compileroptions.pp, main.pp:
	
	started first compiler test

2003-08-14 00:29  mattias

	* lazarus/: checkcompileropts.lfm, checkcompileropts.lrs,
	checkcompileropts.pas, environmentopts.pp, exttooldialog.pas,
	main.pp, outputfilter.pas, lcl/include/filedialog.inc:
	
	started check compiler options

2003-08-13 23:23  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32listsl.inc, win32listslh.inc, win32object.inc, win32proc.inc,
	win32winapi.inc, win32winapih.inc:
	
	fixed log

2003-08-13 18:26  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32listsl.inc, win32listslh.inc, win32object.inc, win32proc.inc,
	win32winapi.inc, win32winapih.inc:
	
	fixed combobox height from Vincent

2003-08-13 18:18  mattias

	* lazarus/: checkcompileropts.lfm, checkcompileropts.lrs,
	checkcompileropts.pas, compileroptions.pp, exttooldialog.pas,
	ideprocs.pp, lazarusidestrconsts.pas, main.pp, lcl/filectrl.pp,
	lcl/interfaces/gtk/gtkint.pp, packager/pkgmanager.pas:
	
	started check compiler options

2003-08-13 02:02  marc

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	+ introduced interface exceptions - Removed ifdefs for implemented
	gtkwin32 functions

2003-08-13 01:51  marc

	* lazarus/lcl/interfacebase.pp:
	
	+ Introduced interface exceptions

2003-08-12 23:35  mattias

	* lazarus/lcl/: forms.pp, include/application.inc,
	include/customform.inc:
	
	TApplication now descends from TCustomApplication

2003-08-12 18:12  mattias

	* lazarus/lcl/include/wincontrol.inc:
	
	reduced output

2003-08-12 18:09  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed sizing from Vincent

2003-08-12 18:04  mattias

	* lazarus/: examples/Makefile, examples/Makefile.fpc,
	examples/groupbox.pp, examples/groupboxnested.pas,
	lcl/include/wincontrol.inc:
	
	added groupboxnested example

2003-08-12 16:02  mattias

	* lazarus/: components/synedit/synedit.pp, examples/synedit1.pas,
	lcl/include/customnotebook.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/win32/win32callback.inc,
	lcl/interfaces/win32/win32listsl.inc,
	lcl/interfaces/win32/win32object.inc:
	
	fixed keypress/keyup, createcaret on synedit focus

2003-08-11 22:49  mattias

	* lazarus/lcl/textstrings.pas:
	
	fixed textstrings

2003-08-11 22:18  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32proc.inc:
	
	fixed position of control in TGroupBox from Micha

2003-08-11 22:09  mattias

	* lazarus/: compileroptions.pp, lcl/textstrings.pas:
	
	fixed mem leak in comp opts dialog

2003-08-11 20:10  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed combobox height from Micha

2003-08-10 11:52  mattias

	* lazarus/: compileroptions.pp, showcompileropts.lfm,
	showcompileropts.lrs, showcompileropts.pas:
	
	added show compiler options dialog

2003-08-10 11:33  mattias

	* lazarus/: initialsetupdlgs.pas, lcl/intfgraphics.pas,
	lcl/include/bitmap.inc:
	
	saved bitmap stream is now stored

2003-08-09 18:30  mattias

	* lazarus/lcl/: include/application.inc,
	interfaces/win32/win32callback.inc,
	interfaces/win32/win32object.inc:
	
	fixed LM_ShowModal for win32 intf from Karl

2003-08-08 12:41  mattias

	* lazarus/main.pp:
	
	fixed no debugger run

2003-08-08 12:24  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	environmentopts.pp, ideoptiondefs.pas, main.pp,
	components/codetools/linkscanner.pas, debugger/debugger.pp,
	debugger/gdbmidebugger.pp:
	
	fixed initialenabled, debuggertype, linkscaner open string constant

2003-08-08 09:52  mattias

	* lazarus/lazarus.pp:
	
	deactivated memcheck

2003-08-08 09:49  mattias

	* lazarus/: debugmanager.pas, debugoptionsfrm.pas, lazarus.pp,
	debugger/cmdlinedebugger.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp, docs/INSTALL, lcl/textstrings.pas,
	packager/pkgmanager.pas:
	
	fixed mem leaks in debugger

2003-08-07 09:12  mattias

	* lazarus/lcl/include/filectrl.inc:
	
	fixed file description permission order

2003-08-05 11:30  mattias

	* lazarus/examples/: selection.pp, selectionform.pp, speedtest.pp:
	
	fixed mode delphi to objfpc

2003-08-04 10:43  mattias

	* lazarus/lcl/: controls.pp, dirsel.pas, include/control.inc:
	
	fixed breaking circle in ChangeBounds

2003-08-04 00:31  mattias

	* lazarus/ideprocs.pp:
	
	fixed findclose

2003-08-04 00:28  mattias

	* lazarus/: inputhistory.pas, msgview.pp, uniteditor.pp:
	
	applied findinfiles fixes from Bob and Vincent

2003-08-03 19:01  mattias

	* lazarus/uniteditor.pp:
	
	fixed findtext from Bob

2003-08-03 12:27  mattias

	* lazarus/: main.pp, components/codetools/definetemplates.pas,
	components/codetools/finddeclarationtool.pas:
	
	fixed fpc src defines for bsd

2003-08-03 11:25  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas,
	msgview.pp, uniteditor.pp:
	
	added msg view jump on dbl click option

2003-08-03 10:38  mattias

	* lazarus/: findinfilesdlg.pas, ideprocs.pp, uniteditor.pp,
	lcl/dirsel.pas:
	
	added reg expr to find in files from Bob

2003-08-02 19:10  marc

	* lazarus/runparamsopts.pas:
	
	* Fixed DISPLAY env option

2003-08-02 03:07  marc

	* lazarus/lcl/: dirsel.lfm, dirsel.lrs, dirsel.pas:
	
	* applied patch from  Bob Wingard

2003-08-02 02:23  marc

	* lazarus/debugger/cmdlinedebugger.pp:
	
	- removed accidently committed testcode

2003-08-02 02:20  marc

	* lazarus/debugger/: cmdlinedebugger.pp, debugger.pp,
	gdbmidebugger.pp:
	
	* fixed environment handling to debuggee

2003-08-01 11:44  mattias

	* lazarus/: findinfilesdlg.pas, ideprocs.pp, uniteditor.pp,
	lcl/allunits.pp, lcl/dialogs.pp, lcl/dirsel.lfm, lcl/dirsel.lrs,
	lcl/dirsel.pas:
	
	added SelectDirectory dialog

2003-07-31 21:56  mattias

	* lazarus/: debugmanager.pas, main.pp, lcl/include/control.inc,
	lcl/interfaces/win32/win32callback.inc:
	
	fixed double messages SETLabel

2003-07-31 19:16  mattias

	* lazarus/lcl/: allunits.pp, lclstrconsts.pas, textstrings.pas:
	
	added ToDo for textstrings.pas

2003-07-31 18:57  mattias

	* lazarus/lcl/textstrings.pas:
	
	started textstrings.pas

2003-07-31 02:42  marc

	* lazarus/basedebugmanager.pas:
	
	* Fixed classof to object cast

2003-07-31 01:15  marc

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	debugoptionsfrm.lfm, debugoptionsfrm.lrs, debugoptionsfrm.pas,
	environmentopts.pp, main.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp, debugger/sshgdbmidebugger.pas:
	
	* Added RegisterDebugger

2003-07-30 23:56  marc

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	* Fixed LM_APPENDTEXT buffer overrun

2003-07-30 19:41  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	added LM_APENDTEXT from Martin Smat

2003-07-30 15:03  mattias

	* lazarus/: debugoptionsfrm.pas, designer/objectinspector.pp,
	lcl/controls.pp, lcl/stdctrls.pp, lcl/include/wincontrol.inc:
	
	replaced label with memo

2003-07-30 13:17  mattias

	* lazarus/components/codetools/: codetoolsstrconsts.pas,
	finddeclarationtool.pas, pascalparsertool.pas:
	
	implemented "class of" for find declaration

2003-07-30 00:32  marc

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	* Applied patch from Vincent Snijders

2003-07-29 09:38  marc

	* lazarus/lcl/interfaces/win32/: win32winapi.inc, win32winapih.inc:
	
	+ Added GetCursorPos

2003-07-29 02:28  marc

	* lazarus/lcl/: include/winapi.inc, interfaces/gtk/gtkint.pp,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapih.inc:
	
	+ Implemented GetCursorPos

2003-07-28 20:02  mattias

	* lazarus/: environmentopts.pp, findinfilesdlg.pas, ideprocs.pp,
	main.pp, uniteditor.pp, components/codetools/definetemplates.pas,
	debugger/debugger.pp:
	
	added findinfiles strat implementation from Bob Wingard

2003-07-28 08:42  mattias

	* lazarus/lcl/interfaces/win32/: win32listsl.inc, win32listslh.inc,
	win32object.inc, win32proc.inc:
	
	removed debuggging SetName, Patch from Karl Brandt

2003-07-27 19:10  marc

	* lazarus/designer/designerprocs.pas:
	
	* Changed GetCaretPos into GetCursorPos in
	GetFormRelativeMousePosition

2003-07-26 16:16  mattias

	* lazarus/examples/: Makefile, Makefile.fpc, synedit1.pas:
	
	added synedit example

2003-07-26 15:48  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed other messages bigger than TLMessage

2003-07-26 15:26  mattias

	* lazarus/: transfermacros.pp, lcl/lmessages.pp,
	lcl/include/customcombobox.inc,
	lcl/interfaces/win32/win32callback.inc:
	
	fixed WindowProc

2003-07-26 12:33  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed GetText from Martin

2003-07-26 12:30  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32winapi.inc, win32winapih.inc:
	
	rewritten WM_COMMAND by Micha

2003-07-25 19:05  mattias

	* lazarus/: debugmanager.pas, debugoptionsfrm.lfm,
	debugoptionsfrm.lrs, debugoptionsfrm.pas, environmentopts.pp,
	debugger/debugger.pp:
	
	moved debugger type to the debugger options

2003-07-25 11:28  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed notebook page resize from Micha

2003-07-25 10:52  mattias

	* lazarus/examples/notebku.pp:
	
	fixed nested notebook example

2003-07-25 10:41  mattias

	* lazarus/examples/notebooktest.pp:
	
	workaround for fpc mode bug

2003-07-25 10:00  mattias

	* lazarus/lcl/: include/wincontrol.inc,
	interfaces/gtk/gtkobject.inc:
	
	fixed sending follow up move/size messages from gtk

2003-07-24 10:52  marc

	* lazarus/: lazarus.pp, debugger/sshgdbmidebugger.pas:
	
	+ Added SSHGDB debugger

2003-07-24 10:47  marc

	* lazarus/: debugmanager.pas, debugoptionsfrm.lfm,
	debugoptionsfrm.lrs, environmentopts.pp, lazarus.pp, main.pp,
	debugger/cmdlinedebugger.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp:
	
	+ Added SSHGDB debugger

2003-07-24 08:54  mattias

	* lazarus/lcl/: controls.pp, include/control.inc, include/page.inc,
	include/wincontrol.inc:
	
	fixed anti circle mechnism for aligned controls

2003-07-23 12:23  mattias

	* lazarus/: docs/RemoteDebugging.txt,
	lcl/interfaces/gtk/gtkobject.inc:
	
	started README about remote debugging

2003-07-22 01:43  marc

	* lazarus/: debugoptionsfrm.lfm, debugoptionsfrm.lrs,
	debugoptionsfrm.pas, lcl/menus.pp, lcl/include/menuitem.inc,
	lcl/interfaces/gtk/gtkcallback.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc:
	
	* Fixed radiogroup menuitems

2003-07-20 08:39  mattias

	* lazarus/lcl/: include/interfacebase.inc,
	interfaces/gtk/gtkwinapi.inc:
	
	added comments

2003-07-20 08:27  mattias

	* lazarus/lcl/: graphics.pp, include/interfacebase.inc,
	interfaces/win32/win32callback.inc,
	interfaces/win32/win32winapi.inc:
	
	fixed GetWindowRelativePosition

2003-07-18 00:03  mattias

	* lazarus/lcl/: grids.pas, intfgraphics.pas:
	
	fixed grid keyboard navigation from Jesus

2003-07-16 22:35  mattias

	* lazarus/: components/codetools/memcheck.pas,
	lcl/intfgraphics.pas:
	
	accelerated TLazXPMReader

2003-07-16 18:53  mattias

	* lazarus/lcl/: forms.pp, include/application.inc:
	
	added TApplication.CaptureExceptions

2003-07-14 11:03  mattias

	* lazarus/: editdefinetree.pas, main.pp, project.pp,
	designer/jitforms.pp, designer/jitform/jitform.pas, lcl/forms.pp:
	
	deactivated FCL TDataModule

2003-07-13 20:14  mattias

	* lazarus/inputhistory.pas:
	
	improved checking compiler age

2003-07-13 16:33  mattias

	* lazarus/tools/install/: create_lazarus_deb.sh,
	create_lazarus_tgz_from_local_dir.sh, debian_lazarus/changelog,
	debian_lazarus/control, debian_lazarus/copyright:
	
	updated fpc deb creation

2003-07-13 16:12  mattias

	* lazarus/tools/install/create_fpc_tgz_from_local_dir.sh:
	
	updated fpc deb creation

2003-07-13 16:04  mattias

	* lazarus/tools/install/build_fpc_rpm.sh:
	
	updated fpc deb creation

2003-07-13 15:57  mattias

	* lazarus/tools/install/: build_fpc_rpm.sh, create_lazarus_deb.sh,
	build_fpc_rpm.sh:
	
	updated fpc deb creation

2003-07-13 14:34  mattias

	* lazarus/tools/install/build_fpc_rpm.sh:
	
	updated fpc deb creation

2003-07-13 14:30  mattias

	* lazarus/tools/install/: build_fpc_rpm.sh, build_fpc_rpm.sh:
	
	updated fpc deb creation

2003-07-13 12:44  mattias

	* lazarus/tools/install/build_fpc_rpm.sh:
	
	updated fpc deb creation

2003-07-13 12:34  mattias

	* lazarus/tools/install/build_fpc_rpm.sh:
	
	updated fpc deb creation

2003-07-13 12:27  mattias

	* lazarus/tools/install/: build_fpc_rpm.sh, build_fpcsrc_rpm.sh,
	create_fpc_deb.sh:
	
	updated fpc deb creation

2003-07-13 11:46  mattias

	* lazarus/tools/install/: build_fpcsrc_rpm.sh, create_fpc_deb.sh,
	create_fpc_tgz_from_local_dir.sh, debian_fpcsrc/changelog,
	debian_fpcsrc/control:
	
	updated deb creation

2003-07-12 11:11  mattias

	* lazarus/: main.pp, tools/install/build_fpcsrc_rpm.sh,
	tools/install/create_fpc_rpm.sh,
	tools/install/create_fpc_tgz_from_local_dir.sh,
	tools/install/lazarus.spec:
	
	updated build scripts

2003-07-11 13:56  mattias

	* lazarus/main.pp:
	
	fixed renaming a TDataModule

2003-07-11 11:26  mattias

	* lazarus/: designer/propedits.pp, lcl/forms.pp:
	
	fixed TDataModule.OnCreate

2003-07-10 17:17  mattias

	* lazarus/lcl/: extctrls.pp, lresources.pp,
	include/customradiogroup.inc:
	
	fixed reading empty stream and TCustomRadioGroup.ItemsChanged

2003-07-09 18:16  mattias

	* lazarus/lcl/grids.pas:
	
	fixed grids.pas

2003-07-09 02:35  mattias

	* lazarus/: main.pp, components/codetools/definetemplates.pas,
	components/codetools/expreval.pas,
	components/codetools/finddeclarationtool.pas, lcl/grids.pas:
	
	fixed da_IF and find record case variable

2003-07-09 02:13  marc

	* lazarus/: debugoptionsfrm.lfm, debugoptionsfrm.lrs,
	debugoptionsfrm.pas, debugger/dbgutils.pp, lcl/checklst.pas:
	
	* fixed cached items.object storage if TCheckListBox * Changed
	DebuggerOptions dialog to use new TCheckListBox

2003-07-08 22:09  mattias

	* lazarus/: lcl/interfaces/gtk/gtkwinapi.inc,
	tools/install/build_fpc_rpm.sh:
	
	updated build fpc rpm script

2003-07-08 19:30  mattias

	* lazarus/: project.pp, components/codetools/codetoolmanager.pas,
	lcl/grids.pas:
	
	fixed changing widget set and TStringGrid exceptions on ColCount=0

2003-07-08 13:30  mattias

	* lazarus/: exttooldialog.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, outputfilter.pas:
	
	added Abort Build

2003-07-08 01:58  marc

	* lazarus/lcl/: checklst.pas, lmessages.pp, stdctrls.pp,
	include/customlistbox.inc, interfaces/gtk/gtkobject.inc:
	
	+ Implemented TCheckListBox.Checked[] property

2003-07-08 01:56  marc

	* lazarus/lcl/forms.pp:
	
	* Fixed UseFCLDataModule ifdef define

2003-07-07 22:02  mattias

	* lazarus/: components/codetools/expreval.pas, lcl/forms.pp:
	
	fixed expression evaluation

2003-07-07 21:21  mattias

	* lazarus/components/synedit/synedit.pp:
	
	reduced updates on cursor up/down

2003-07-07 20:06  mattias

	* lazarus/: compileroptions.pp, main.pp:
	
	fixed switching TARGET_OS

2003-07-07 15:19  mattias

	* lazarus/lcl/: graphtype.pp, intfgraphics.pas, include/winapi.inc:
	
	added raw image examples

2003-07-07 10:31  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	added an InvalidateClientRectCache to WM_SIZE

2003-07-07 09:59  mattias

	* lazarus/lcl/: lcltype.pp, include/control.inc,
	include/winapi.inc, include/wincontrol.inc,
	interfaces/gtk/gtkwinapi.inc, interfaces/win32/win32callback.inc,
	interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	made Size_SourceIsInterface a flag

2003-07-06 23:35  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed typo

2003-07-06 22:40  mattias

	* lazarus/: docs/CrossCompile.txt, lcl/include/control.inc,
	lcl/include/interfacebase.inc, lcl/include/winapi.inc,
	lcl/include/winapih.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc,
	lcl/interfaces/win32/win32callback.inc:
	
	TWinControl.WmSize/Move now updates interface messages smarter

2003-07-06 20:00  mattias

	* lazarus/: lazarusidestrconsts.pas, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.po,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.po:
	
	updated polish localization

2003-07-06 19:58  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas:
	
	added polish

2003-07-06 19:53  mattias

	* lazarus/: components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.pl.mo,
	components/codetools/languages/codetools.pl.po,
	components/codetools/languages/codetools.po,
	components/synedit/languages/synedit.pl.mo,
	components/synedit/languages/synedit.pl.po,
	components/synedit/languages/synmacrorecorder.pl.mo,
	components/synedit/languages/synmacrorecorder.pl.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.pl.mo,
	languages/lazaruside.pl.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, languages/objinspstrconsts.de.po,
	languages/objinspstrconsts.es.po, languages/objinspstrconsts.fr.po,
	languages/objinspstrconsts.pl.mo, languages/objinspstrconsts.pl.po,
	languages/objinspstrconsts.po, languages/objinspstrconsts.ru.po,
	lcl/forms.pp, lcl/include/control.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkobject.inc,
	lcl/languages/lcl.pl.mo, lcl/languages/lcl.pl.po:
	
	updated polish localization

2003-07-06 10:59  mattias

	* lazarus/lcl/include/buttonglyph.inc:
	
	added third buttonglyph from Tom Lisjac

2003-07-05 00:06  mattias

	* lazarus/: main.pp, lcl/allunits.pp, lcl/graphics.pp,
	lcl/graphtype.pp, lcl/intfgraphics.pas, lcl/include/graphic.inc,
	lcl/include/picture.inc, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented interface graphics

2003-07-04 19:46  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32winapi.inc:
	
	fixed notebook positioning from Micha

2003-07-04 16:50  mattias

	* lazarus/customformeditor.pp:
	
	fixed GetComponentEditor for TDataModule

2003-07-04 13:12  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32winapi.inc:
	
	improved default handler from Micha

2003-07-04 12:30  mattias

	* lazarus/lcl/include/promptdialog.inc:
	
	removed unused label from Micha

2003-07-04 12:12  mattias

	* lazarus/lcl/: controls.pp, include/interfacebase.inc,
	include/winapi.inc, include/winapih.inc, include/wincontrol.inc,
	interfaces/win32/win32callback.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	added default message handler to win32 interface

2003-07-04 10:54  mattias

	* lazarus/lcl/: graphics.pp, include/canvas.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwinapi.inc:
	
	implemented 16bit rawimages for gtk

2003-07-03 23:39  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed remove props on destroy from Micha

2003-07-03 20:10  mattias

	* lazarus/: examples/dlgform.pp, lcl/avglvltree.pas,
	lcl/graphtype.pp, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/win32/win32object.inc:
	
	added fontdialog options to win32 intf from Wojciech Malinowski

2003-07-03 19:19  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32winapi.inc,
	win32winapih.inc:
	
	added RectVisible from Micha

2003-07-03 10:05  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32winapi.inc:
	
	fixed Criticalsection from Vincent

2003-07-02 22:18  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	more cleanups from Micha

2003-07-02 22:07  mattias

	* lazarus/lcl/interfaces/win32/win32winapi.inc:
	
	fixed critical section from Micha

2003-07-02 21:35  mattias

	* lazarus/lcl/interfaces/win32/: win32object.inc, win32winapi.inc:
	
	fixed AV on start from Vincent

2003-07-02 17:57  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	added LCL to win32 cursor mapping from Micha

2003-07-02 17:56  mattias

	* lazarus/lcl/: include/interfacebase.inc, include/winapi.inc,
	include/winapih.inc, include/wincontrol.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapih.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32winapi.inc,
	interfaces/win32/win32winapih.inc:
	
	fixed win32 painting and started creating bitmaps from rawimages

2003-07-02 12:02  mattias

	* lazarus/lcl/: graphtype.pp, lcltype.pp,
	include/interfacebase.inc, include/treeview.inc,
	include/winapi.inc, include/winapih.inc, interfaces/gtk/gtkdef.pp,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapih.inc:
	
	fixed TPaintStruct

2003-07-02 00:02  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	fixed formstyle and redrawing from Micha

2003-07-01 18:15  mattias

	* lazarus/examples/progressbar.pp:
	
	fixed error

2003-07-01 17:37  mattias

	* lazarus/: examples/progressbar.pp, lcl/graphics.pp,
	lcl/graphtype.pp, lcl/include/application.inc,
	lcl/include/winapi.inc, lcl/include/winapih.inc:
	
	fixed exception handling

2003-07-01 16:06  mattias

	* lazarus/lcl/include/: interfacebase.inc, winapi.inc, winapih.inc:
	
	made Begin/EndPaint interface dependent

2003-07-01 15:49  mattias

	* lazarus/lcl/: graphtype.pp, include/customform.inc,
	include/scrollingwincontrol.inc, interfaces/gtk/gtkwinapi.inc:
	
	clean up

2003-07-01 11:29  mattias

	* lazarus/lcl/: graphics.pp, graphtype.pp, lcltype.pp,
	include/bitmap.inc, include/graphic.inc, include/interfacebase.inc,
	include/menuitem.inc, include/winapi.inc, include/winapih.inc,
	interfaces/gtk/gtkwinapi.inc, interfaces/gtk/gtkwinapih.inc:
	
	attaching menuitems topdown

2003-06-30 19:25  mattias

	* lazarus/: components/codetools/pascalparsertool.pas,
	lcl/graphics.pp, lcl/include/bitmap.inc,
	lcl/include/bitmapimage.inc:
	
	fixed parsing of with do try finally end

2003-06-30 18:39  mattias

	* lazarus/lcl/include/wincontrol.inc:
	
	clean up

2003-06-30 18:31  mattias

	* lazarus/: components/codetools/customcodetool.pas,
	components/codetools/finddeclarationtool.pas, lcl/graphics.pp,
	lcl/include/bitmap.inc:
	
	fixed find declaration of with A,B do C; statements

2003-06-30 17:13  mattias

	* lazarus/lcl/include/: bitmap.inc, bitmapimage.inc:
	
	fixed releasing bitmap handle

2003-06-30 16:58  mattias

	* lazarus/: lazarusidestrconsts.pas, lcl/controls.pp,
	lcl/graphics.pp, lcl/graphtype.pp, lcl/include/bitmap.inc,
	lcl/include/filedialog.inc, lcl/include/wincontrol.inc,
	packager/addtopackagedlg.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented multi file add to package editor

2003-06-30 12:09  mattias

	* lazarus/: docs/CrossCompile.txt, lcl/graphics.pp,
	lcl/include/bitmap.inc, lcl/include/bitmapcanvas.inc,
	lcl/include/bitmapimage.inc, lcl/include/canvas.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed Get/SetPixel for DC without widget

2003-06-30 09:05  mattias

	* lazarus/lcl/include/wincontrol.inc:
	
	activated EraseBKGND hack

2003-06-30 09:00  mattias

	* lazarus/: docs/CrossCompile.txt, lcl/include/customform.inc,
	lcl/include/scrollingwincontrol.inc, lcl/include/wincontrol.inc:
	
	activated EraseBckGrd messages in doublebuffer WMPaint section

2003-06-30 08:20  mattias

	* lazarus/: components/synedit/synedit.pp, docs/CrossCompile.txt:
	
	reduced updates

2003-06-29 22:07  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed using DC from Micha

2003-06-29 09:16  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed compiler warnings

2003-06-28 21:31  mattias

	* lazarus/: codetoolsdefines.pas, inputhistory.pas, main.pp,
	components/codetools/definetemplates.pas,
	components/codetools/finddeclarationtool.pas,
	docs/CrossCompile.txt:
	
	implemented cross find declaration

2003-06-28 18:20  mattias

	* lazarus/: docs/CrossCompile.txt, lcl/printers.pas,
	lcl/interfaces/win32/win32callback.inc,
	lcl/interfaces/win32/win32listsl.inc,
	lcl/interfaces/win32/win32object.inc,
	lcl/interfaces/win32/win32winapi.inc,
	lcl/interfaces/win32/winext.pas:
	
	fixed some win32 intf warnings

2003-06-28 15:11  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed destroying windows from Micha

2003-06-28 14:49  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed LM_SETSIZE from Micha

2003-06-28 14:10  mattias

	* lazarus/: docs/CrossCompile.txt, docs/INSTALL,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkobject.inc,
	tools/install/build_fpc_rpm.sh, tools/install/create_fpc_rpm.sh:
	
	fixed LM_SETSIZE in InitializeWnd

2003-06-28 08:33  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed control resizing from Karl Brandt

2003-06-28 01:42  mattias

	* lazarus/: components/synedit/syncompletion.pas, lcl/controls.pp,
	lcl/include/control.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed TScrollBar resizing

2003-06-28 00:07  mattias

	* lazarus/: buildlazdialog.pas,
	components/codetools/codecompletiontool.pas,
	components/codetools/customcodetool.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/identcompletiontool.pas,
	components/codetools/linkscanner.pas,
	components/codetools/methodjumptool.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/stdcodetools.pas, lcl/include/wincontrol.inc:
	
	fixed targetos for clean all

2003-06-27 23:41  mattias

	* lazarus/lcl/interfaces/win32/win32callback.inc:
	
	fixed formresize from Micha

2003-06-27 10:59  mattias

	* lazarus/components/codetools/: customcodetool.pas,
	linkscanner.pas, pascalparsertool.pas:
	
	accelerated linkscanner

2003-06-26 20:18  mattias

	* lazarus/: components/codetools/finddeclarationcache.pas,
	components/codetools/finddeclarationtool.pas,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed recaching

2003-06-26 19:00  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	lcl/menus.pp, lcl/include/menuitem.inc, lcl/include/togglebox.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	fixed result on searching proc in interface

2003-06-26 16:46  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed menu attaching from Micha

2003-06-26 16:24  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed progressbar SET_PROPERTIES from Micha

2003-06-26 14:19  mattias

	* lazarus/components/codetools/: codetoolmemmanager.pas,
	codetree.pas, finddeclarationcache.pas, finddeclarationtool.pas,
	identcompletiontool.pas, linkscanner.pas, pascalparsertool.pas:
	
	fixed searching in parent nodes of ancestors

2003-06-26 11:23  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	deactivated cache for procs

2003-06-26 00:21  mattias

	* lazarus/: customformeditor.pp, designer/componenteditors.pas,
	designer/designer.pp, designer/objinspstrconsts.pas,
	designer/propedits.pp:
	
	fixed deleting autocreated child controls

2003-06-25 23:02  mattias

	* lazarus/lcl/: comctrls.pp, include/progressbar.inc:
	
	reduced TProgressBar setproperties calls

2003-06-25 22:49  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed menu destroy from Micha

2003-06-25 22:48  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed progressbar from Micha

2003-06-25 20:12  mattias

	* lazarus/lcl/: controls.pp, include/control.inc,
	include/dragobject.inc:
	
	added docking properties

2003-06-25 19:22  mattias

	* lazarus/: compileroptions.pp, ideprocs.pp, project.pp,
	projectdefs.pas, publishmodule.pas, runparamsopts.pas,
	components/codetools/fileprocs.pas, packager/packagedefs.pas:
	
	added automatic linux-windows file conversions

2003-06-25 17:27  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc:
	
	fixed timer calling conventions from Micha

2003-06-25 12:38  mattias

	* lazarus/: designer/graphpropedits.pas, lcl/graphics.pp,
	lcl/include/bitmap.inc, lcl/include/bitmapimage.inc,
	lcl/include/canvas.inc, lcl/include/pixmap.inc:
	
	implemented saving original stream of TBitmap

2003-06-25 01:56  marc

	* lazarus/debugger/gdbmidebugger.pp:
	
	* Fixed version detection of gdb

2003-06-24 23:40  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	fixed menu

2003-06-24 20:08  mattias

	* lazarus/components/turbopower_ipro/iphtml.pas:
	
	fixes for fpc 1.0.x

2003-06-24 18:02  mattias

	* lazarus/designer/graphpropedits.pas:
	
	disabled graphics in designer

2003-06-24 17:57  mattias

	* lazarus/lcl/: menus.pp, include/menu.inc, include/menuitem.inc,
	interfaces/win32/win32object.inc, interfaces/win32/win32winapi.inc:
	
	applied win32 menu patch from Micha Nelissen

2003-06-24 17:23  mattias

	* lazarus/: components/turbopower_ipro/ipdefine.inc,
	components/turbopower_ipro/iphtml.pas,
	components/turbopower_ipro/turbopoweripro.lpk, lcl/menus.pp,
	tools/install/create_fpc_rpm.sh:
	
	deleted unused code

2003-06-24 13:23  mattias

	* lazarus/docs/INSTALL:
	
	added BSD installation notes

2003-06-24 12:52  mattias

	* lazarus/docs/html/: README, update_html.sh:
	
	added scripts to create html docs

2003-06-24 12:37  mattias

	* lazarus/docs/html/: update_gtkintf_html.sh, update_lcl_html.sh:
	
	added script to create html docs for gtk-interface

2003-06-24 11:57  mattias

	* lazarus/: docs/TODO, lcl/interfaces/win32/README:
	
	added win32 todos

2003-06-24 10:55  mattias

	* lazarus/docs/: html/update_lcl_html.sh, xml/lcl/custapp.xml,
	xml/lcl/inic.xml:
	
	prepared html docs

2003-06-24 10:32  mattias

	* lazarus/lcl/interfaces/win32/win32object.inc:
	
	applied menu fix from Micha Nelissen

2003-06-24 09:25  mattias

	* lazarus/: components/codetools/eventcodetool.pas, docs/INSTALL,
	docs/html/update_lcl_html.sh:
	
	updated INSTALL

2003-06-23 23:40  mattias

	* lazarus/docs/xml/: make_all_skel.sh, lcl/actnlist.xml,
	lcl/allunits.xml, lcl/arrow.xml, lcl/avglvltree.xml,
	lcl/buttons.xml, lcl/calendar.xml, lcl/checklst.xml,
	lcl/clipbrd.xml, lcl/clistbox.xml, lcl/comctrls.xml,
	lcl/commctrl.xml, lcl/controls.xml, lcl/custapp.xml,
	lcl/customtimer.xml, lcl/dialogs.xml, lcl/dynamicarray.xml,
	lcl/dynhasharray.xml, lcl/extctrls.xml, lcl/extendedstrings.xml,
	lcl/filectrl.xml, lcl/forms.xml, lcl/graphics.xml,
	lcl/graphmath.xml, lcl/graphtype.xml, lcl/grids.xml,
	lcl/imglist.xml, lcl/inic.xml, lcl/interfacebase.xml,
	lcl/lazqueue.xml, lcl/lcllinux.xml, lcl/lclmemmanager.xml,
	lcl/lclproc.xml, lcl/lclstrconsts.xml, lcl/lcltype.xml,
	lcl/lmessages.xml, lcl/lresources.xml, lcl/maskedit.xml,
	lcl/menus.xml, lcl/messages.xml, lcl/pairsplitter.xml,
	lcl/postscriptprinter.xml, lcl/printers.xml, lcl/registry.xml,
	lcl/spin.xml, lcl/stdctrls.xml, lcl/stringhashlist.xml,
	lcl/toolwin.xml, lcl/utrace.xml, lcl/vclglobals.xml,
	lcl/interfaces/gtk/gdkpixbuf.xml, lcl/interfaces/gtk/gtkdef.xml,
	lcl/interfaces/gtk/gtkglobals.xml, lcl/interfaces/gtk/gtkint.xml,
	lcl/interfaces/gtk/gtkproc.xml,
	lcl/interfaces/gtk/gtkwinapiwindow.xml,
	lcl/interfaces/gtk/interfaces.xml, lcl/interfaces/gtk/keymap.xml:
	
	added fpdoc sceletons for LCL and gtk interface

2003-06-23 14:33  mattias

	* lazarus/: customformeditor.pp, main.pp,
	components/codetools/codecompletiontool.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/eventcodetool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/stdcodetools.pas, designer/designer.pp,
	images/components_images.lrs, lcl/forms.pp, lcl/menus.pp,
	lcl/pairsplitter.pas, packager/packagesystem.pas,
	packager/registerlcl.pas:
	
	implemented TPairSplitter streaming

2003-06-23 12:05  mattias

	* lazarus/examples/treeview/: README, TV_Add_Remove.dpr,
	TV_Add_Remove.res, TV_Add_Remove_U1.dfm, tv_add_remove.lpi,
	tv_add_remove_u1.lfm, tv_add_remove_u1.lrs, tv_add_remove_u1.pas:
	
	added TreeView demo from Tom Lisjac

2003-06-23 11:42  mattias

	* lazarus/: buildlazdialog.pas, codetoolsoptions.pas, ideprocs.pp,
	lazarus.pp, lazarusidestrconsts.pas, main.pp,
	components/codetools/basiccodetools.pas,
	components/codetools/eventcodetool.pas,
	components/codetools/fileprocs.pas,
	components/codetools/linkscanner.pas, lcl/buttons.pp,
	lcl/controls.pp, lcl/forms.pp, lcl/grids.pas, lcl/lresources.pp,
	lcl/menus.pp, lcl/stdctrls.pp, lcl/include/application.inc,
	lcl/include/control.inc, lcl/include/customform.inc,
	lcl/include/customupdown.inc, lcl/include/filectrl.inc,
	lcl/include/promptdialog.inc, lcl/include/speedbutton.inc,
	lcl/include/toolbar.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtklistsl.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	packager/packagelinks.pas:
	
	fixes for debugging lazarus

2003-06-20 15:24  mattias

	* lazarus/: codeexplorer.lfm, codeexplorer.lrs, codeexplorer.pas,
	main.pp:
	
	implemented jump to source for code explorer

2003-06-20 15:23  mattias

	* lazarus/components/synunihighlighter/: CHANGES, CREDITS, README,
	synuni.lpk, synuni.pas, synunidesigner.pas, synunidesigner.rst,
	synunihighlighter.pas, synunireg.pas, synunireg.rst, lib/README:
	
	added synunihighlighter from Tom Lisjac

2003-06-20 14:56  mattias

	* lazarus/: codeexplorer.pas, main.pp, lcl/include/control.inc,
	lcl/include/customcontrol.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkwinapi.inc, tools/install/create_fpc_rpm.sh:
	
	reduced paint messages on destroy

2003-06-20 03:37  marc

	* lazarus/: idecomp.pp, images/components_images.lrs,
	images/components/tchecklistbox.ico,
	images/components/tchecklistbox.xpm, lcl/allunits.pp,
	lcl/checklst.pas, lcl/vclglobals.pp,
	lcl/interfaces/gtk/gtklistsl.inc,
	lcl/interfaces/gtk/gtklistslh.inc,
	lcl/interfaces/gtk/gtkobject.inc, packager/packagesystem.pas,
	packager/registerlcl.pas:
	
	+ Added TCheckListBox component

2003-06-20 01:10  mattias

	* lazarus/: buildlazdialog.pas, main.pp,
	designer/componenteditors.pas:
	
	implemented two step compiling of IDE, needed for designtime
	packages

2003-06-20 00:38  mattias

	* lazarus/: ideprocs.pp, lcl/extctrls.pp,
	lcl/include/custompanel.inc, lcl/include/wincontrol.inc,
	packager/packagedefs.pas, packager/pkgoptionsdlg.pas:
	
	fixed update on changing package usage options

2003-06-19 18:36  mattias

	* lazarus/: codeexplorer.lfm, codeexplorer.lrs, codeexplorer.pas,
	ideoptiondefs.pas, main.pp, mainbar.pas, unitdependencies.pas,
	uniteditor.pp, components/codetools/allcodetoolunits.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/pascalreadertool.pas,
	components/codetools/stdcodetools.pas, lcl/allunits.pp,
	lcl/avglvltree.pas, lcl/comctrls.pp, lcl/include/statusbar.inc,
	lcl/include/treeview.inc, lcl/include/wincontrol.inc,
	packager/pkggraphexplorer.pas:
	
	started codeexplorer

2003-06-19 11:26  mattias

	* lazarus/: main.pp, project.pp, lcl/extctrls.pp,
	lcl/include/customradiogroup.inc, lcl/include/radiogroup.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed changing unitname during update

2003-06-18 13:50  mattias

	* lazarus/: main.pp, designer/designer.pp:
	
	implemented Paste components in source

2003-06-18 13:21  mattias

	* lazarus/: projectopts.pp, designer/designer.pp,
	designer/taborderdlg.lfm, designer/taborderdlg.lrs,
	designer/taborderdlg.pas, lcl/buttons.pp, lcl/comctrls.pp,
	lcl/controls.pp, lcl/include/speedbutton.inc,
	lcl/include/treeview.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed taborder=0, implemented TabOrder Editor

2003-06-18 09:22  mattias

	* lazarus/designer/jitforms.pp:
	
	fixed compiler error

2003-06-18 02:10  marc

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	+ Added exceptionhandler while delivering messages

2003-06-18 01:26  mattias

	* lazarus/: customformeditor.pp, main.pp,
	designer/abstractformeditor.pp, designer/designer.pp,
	designer/jitforms.pp, packager/componentreg.pas:
	
	started copy/paste for components

2003-06-18 01:13  marc

	* lazarus/debugger/cmdlinedebugger.pp:
	
	* Canged Linux derective to unit, so it will work on xxxbsd?

2003-06-17 17:57  mattias

	* lazarus/: compileroptions.pp, designer/designer.pp,
	lcl/clipbrd.pp, lcl/lresources.pp, tools/install/create_fpc_rpm.sh:
	
	made compiler options TargetOS more general

2003-06-17 01:12  mattias

	* lazarus/lcl/include/customform.inc:
	
	fixed TCustomForm.ShowModal when Self=nil

2003-06-17 00:52  mattias

	* lazarus/main.pp:
	
	fixed Visible=true for new forms

2003-06-17 00:47  mattias

	* lazarus/: main.pp, designer/jitforms.pp, lcl/forms.pp,
	lcl/stdctrls.pp, lcl/include/customform.inc:
	
	fixed keeping TForm.Visible=false

2003-06-16 19:21  mattias

	* lazarus/lcl/: spin.pp, include/spinedit.inc:
	
	fixed default values of TSpinEdit

2003-06-16 02:07  marc

	* lazarus/: debugmanager.pas, debugoptionsfrm.lfm,
	debugoptionsfrm.lrs, debugoptionsfrm.pas, debugger/debuggerdlg.pp,
	lcl/include/inputdialog.inc:
	
	MWE:   + Implemented DebuggerOptions-ExceptonAdd   * fixed
	inputquery (cannot setfocus while dialog is invisuible)

2003-06-14 12:26  marc

	* lazarus/debugoptionsfrm.pas:
	
	MWE: + Added DebugOptionsForm

2003-06-14 04:25  marc

	* lazarus/: debugoptionsfrm.lfm, debugoptionsfrm.lrs:
	
	MWE: Added DebuggerOptionDialog

2003-06-14 04:24  marc

	* lazarus/: debugmanager.pas, lazarusidestrconsts.pas, mainbar.pas:
	
	MWE: + Added DebuggerOptionDialog

2003-06-13 23:32  mattias

	* lazarus/lcl/dialogs.pp:
	
	moved TColorButton to misc palette

2003-06-13 23:21  mattias

	* lazarus/: main.pp, images/components/tcolorbutton.xpm:
	
	added tcolorbutton xpm

2003-06-13 23:13  mattias

	* lazarus/lcl/: comctrls.pp, include/trackbar.inc:
	
	fixed TTrackBar initial size

2003-06-13 23:08  mattias

	* lazarus/: editoroptions.pp, keymapping.pp,
	lazarusidestrconsts.pas, designer/designer.pp,
	images/components_images.lrs, lcl/buttons.pp, lcl/controls.pp,
	lcl/dialogs.pp, lcl/graphics.pp, lcl/include/canvas.inc,
	lcl/include/colorbutton.inc, lcl/include/graphiccontrol.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	moved TColorButton to dialogs.pp

2003-06-13 21:21  marc

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	debugger/dbgutils.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp:
	
	MWE: + Added initial signal and exception handling

2003-06-13 17:37  mattias

	* lazarus/designer/designermenu.pp:
	
	fixed freeing handlers

2003-06-13 17:36  mattias

	* lazarus/: designer/designermenu.pp, designer/menueditorform.pas,
	lcl/extctrls.pp:
	
	fixed popupmenu on menueditor

2003-06-13 16:38  mattias

	* lazarus/lcl/: controls.pp, extctrls.pp, forms.pp, stdctrls.pp,
	include/control.inc, include/customform.inc:
	
	fixed using streamed clientwith/height for child anchors

2003-06-13 16:26  ajgenius

	* lazarus/lcl/interfaces/gtk/: gtkcallback.inc, gtkproc.inc,
	gtkproc.pp:
	
	some fixes toward gtk2

2003-06-13 14:53  mattias

	* lazarus/lcl/: buttons.pp, comctrls.pp, controls.pp, lclproc.pas,
	include/control.inc, include/customupdown.inc:
	
	fixed TUpDown and added handler lists for TControl

2003-06-13 13:58  mattias

	* lazarus/: designer/graphpropedits.pas,
	designer/objectinspector.pp, designer/propedits.pp,
	lcl/comctrls.pp, lcl/include/customedit.inc,
	lcl/include/custommemo.inc, lcl/include/customupdown.inc:
	
	fixed readonly of properties

2003-06-13 12:37  mattias

	* lazarus/lcl/: include/canvas.inc, interfaces/gtk/gtkwinapi.inc:
	
	fixed AV on StretchDraw 0x0

2003-06-13 12:09  mattias

	* lazarus/lcl/: extctrls.pp, include/paintbox.inc,
	interfaces/gtk/gtkdef.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp:
	
	fixed Set/GetPixel

2003-06-13 11:16  mattias

	* lazarus/: diffdialog.pas, diffpatch.pas, diskdiffsdialog.pas:
	
	implemented Context DIff

2003-06-13 08:05  mattias

	* lazarus/: diffpatch.pas, lcl/include/customform.inc,
	lcl/include/menu.inc:
	
	started context diff

2003-06-12 20:55  mattias

	* lazarus/: diffpatch.pas, environmentopts.pp,
	designer/designer.pp, lcl/include/control.inc,
	lcl/include/wincontrol.inc:
	
	improved designer to recognize auto child moves

2003-06-12 18:18  mattias

	* lazarus/lcl/: stdctrls.pp, include/customcombobox.inc,
	interfaces/gtk/gtkobject.inc:
	
	applied TComboBox fix for grabbing keys from Yoyong

2003-06-12 17:56  mattias

	* lazarus/: diffdialog.pas, diffpatch.pas, diskdiffsdialog.pas,
	lcl/extctrls.pp:
	
	published TNoteBook.Anchors and started context diff

2003-06-12 11:38  mattias

	* lazarus/docs/TODO:
	
	added TODO

2003-06-12 09:38  mattias

	* lazarus/: localize.sh,
	components/codetools/languages/codetools.pl.mo,
	components/codetools/languages/codetools.pl.po,
	components/synedit/languages/synedit.de.po,
	components/synedit/languages/synedit.fr.po,
	components/synedit/languages/synedit.pl.mo,
	components/synedit/languages/synedit.pl.po,
	components/synedit/languages/synedit.po,
	components/synedit/languages/synedit.ru.po,
	components/synedit/languages/synmacrorecorder.pl.mo,
	components/synedit/languages/synmacrorecorder.pl.po,
	languages/lazaruside.pl.mo, languages/lazaruside.pl.po,
	languages/objinspstrconsts.pl.mo, languages/objinspstrconsts.pl.po,
	lcl/languages/lcl.pl.mo, lcl/languages/lcl.pl.po,
	environmentopts.pp:
	
	added polish translation from Dominik Zablotny

2003-06-12 00:58  mattias

	* lazarus/components/synedit/synhighlighterunixshellscript.pas:
	
	reduced output

2003-06-12 00:56  mattias

	* lazarus/: editoroptions.pp, components/synedit/allunits.pp,
	components/synedit/syneditstrconst.pp,
	components/synedit/synhighlighterunixshellscript.pas,
	packager/packagesystem.pas, packager/registersynedit.pas:
	
	added bash scripts highlighter from Tom Lisjac

2003-06-12 00:29  mattias

	* lazarus/: debugger/debugger.pp, lcl/controls.pp,
	lcl/include/control.inc, lcl/include/page.inc,
	lcl/include/wincontrol.inc:
	
	fixed realizing bounds after loading form

2003-06-11 13:45  mattias

	* lazarus/: exttooldialog.pas, ideprocs.pp:
	
	external tools are now searched in PATH

2003-06-11 01:48  marc

	* lazarus/: debugmanager.pas, debugger/dbgutils.pp,
	debugger/gdbmidebugger.pp:
	
	MWE: * Enabled modification of breakpoints while running

2003-06-10 23:08  mattias

	* lazarus/designer/: graphpropedits.pas, objectinspector.pp,
	propedits.pp:
	
	made Fonts of TControls in OI readonly

2003-06-10 19:23  mattias

	* lazarus/lcl/: controls.pp, extctrls.pp, stdctrls.pp,
	include/control.inc, include/customgroupbox.inc,
	include/customnotebook.inc, include/page.inc,
	include/wincontrol.inc, interfaces/gtk/gtkcallback.inc,
	interfaces/gtk/gtkobject.inc:
	
	implemented tabstop

2003-06-10 17:58  mattias

	* lazarus/: images/components_images.lrs,
	images/components/tlabelededit.xpm, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	lcl/actnlist.pas, lcl/extctrls.pp, lcl/stdctrls.pp,
	lcl/include/boundlabel.inc, lcl/include/control.inc,
	lcl/include/customlabelededit.inc:
	
	started TLabeledEdit

2003-06-10 15:35  mattias

	* lazarus/lcl/: stdctrls.pp, include/customcombobox.inc:
	
	implemented TComboBox dropdown from Yoyong

2003-06-10 14:28  mattias

	* lazarus/lcl/: controls.pp, include/control.inc,
	include/wincontrol.inc, interfaces/gtk/gtkobject.inc:
	
	fixed anchoring controls

2003-06-10 02:46  mattias

	* lazarus/lcl/: comctrls.pp, controls.pp, include/buttons.inc,
	include/control.inc, include/customform.inc,
	include/scrollingwincontrol.inc, include/statusbar.inc,
	include/wincontrol.inc, interfaces/gtk/gtkproc.inc:
	
	fixed aligning controls

2003-06-09 19:20  mattias

	* lazarus/: main.pp, debugger/gdbmidebugger.pp:
	
	implemented stop debugging on rebuild

2003-06-09 18:07  mattias

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	fixed setting rc name

2003-06-09 17:58  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	lazarusidestrconsts.pas, main.pp, uniteditor.pp,
	debugger/dbgutils.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp:
	
	implemented view call stack key and jumping to last stack frame
	with debug info

2003-06-09 16:39  mattias

	* lazarus/: debugmanager.pas, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.pp:
	
	implemented setting working directory for debugger

2003-06-09 16:30  marc

	* lazarus/debugger/: debugger.pp, gdbmidebugger.pp:
	
	MWE: + Added working dir.

2003-06-09 16:16  marc

	* lazarus/debugger/debugger.pp:
	
	MWE: + Added working dir

2003-06-09 12:07  mattias

	* lazarus/: languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	lcl/forms.pp, lcl/interfaces/gtk/gtkobject.inc,
	lcl/languages/lcl.ru.mo, lcl/languages/lcl.ru.po:
	
	updated russian localization from Vasily

2003-06-09 11:31  mattias

	* lazarus/lcl/: forms.pp, interfaces/gtk/gtkobject.inc:
	
	fixed 1_0_8 difference

2003-06-09 11:20  mattias

	* lazarus/: buildlazdialog.pas, lazarusidestrconsts.pas,
	lcl/menus.pp, lcl/include/menubar.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.pp:
	
	removed menubar.inc

2003-06-08 13:05  mattias

	* lazarus/: ideprocs.pp, lazarusidestrconsts.pas, main.pp,
	project.pp, uniteditor.pp:
	
	implemented filename case check before adding to project

2003-06-07 19:14  mattias

	* lazarus/lcl/: grids.pas, utrace.pp, include/bitmap.inc,
	include/control.inc, include/controlscrollbar.inc,
	include/treeview.inc:
	
	small changes for fpc 1.1

2003-06-07 18:30  mattias

	* lazarus/tools/install/: create_fpc_rpm.sh, fpcsrc-patch,
	fpcsrc.spec:
	
	fixed create fpc rpm

2003-06-07 15:04  mattias

	* lazarus/: lcl/interfaces/gtk/gtkwinapi.inc,
	tools/install/create_fpc_rpm.sh:
	
	ComboBoxDropDown from Yoyong

2003-06-07 11:34  mattias

	* lazarus/: diffpatch.pas, lcl/stdctrls.pp,
	lcl/include/customcombobox.inc, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkwinapi.inc, packager/packagedefs.pas,
	packager/pkgmanager.pas, tools/install/create_fpc_rpm.sh:
	
	added ambigius compiled unit test for packages

2003-06-06 10:46  mattias

	* lazarus/main.pp:
	
	showing all palette components when no form shown

2003-06-06 10:34  mattias

	* lazarus/: componentpalette.pas, main.pp,
	packager/componentreg.pas, packager/pkgmanager.pas,
	tools/install/create_fpc_rpm.sh:
	
	fixed unhiding components

2003-06-05 19:32  mattias

	* lazarus/tools/install/: create_fpc_rpm.sh, fpcsrc.spec:
	
	increased fpcsrc spec version

2003-06-05 17:57  mattias

	* lazarus/tools/install/: create_lazarus_rpm.sh, lazarus.spec:
	
	increased lazarus spec version

2003-06-05 17:53  mattias

	* lazarus/: Makefile, Makefile.fpc, lazarusidestrconsts.pas,
	components/Makefile, components/codetools/Makefile,
	components/codetools/Makefile.fpc,
	components/gtk/gtkglarea/Makefile,
	components/gtk/gtkglarea/Makefile.fpc,
	components/htmllite/Makefile, components/htmllite/Makefile.fpc,
	components/synedit/Makefile, components/synedit/Makefile.fpc,
	designer/Makefile, designer/jitform/Makefile,
	designer/jitform/Makefile.fpc, examples/Makefile,
	examples/Makefile.fpc, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, lcl/Makefile, lcl/Makefile.fpc,
	lcl/interfaces/gnome/Makefile, lcl/interfaces/gnome/Makefile.fpc,
	lcl/interfaces/gnome/gnomeint.pp, lcl/interfaces/gtk2/Makefile,
	lcl/interfaces/gtk2/Makefile.fpc, lcl/interfaces/qt/Makefile,
	lcl/interfaces/qt/Makefile.fpc, lcl/interfaces/win32/Makefile,
	lcl/interfaces/win32/Makefile.fpc, lcl/languages/lcl.de.po,
	lcl/languages/lcl.es.po, lcl/languages/lcl.fr.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.po, packager/Makefile,
	packager/registration/Makefile, packager/registration/Makefile.fpc,
	tools/Makefile, tools/Makefile.fpc:
	
	increased version to 0.9.0 beta

2003-06-05 17:25  mattias

	* lazarus/: debugmanager.pas, lcl/forms.pp:
	
	deactivated our TDataModule for fpc 1.0.8 and 1.1

2003-06-05 02:20  marc

	* lazarus/debugger/gdbmidebugger.pp:
	
	MWE: * Fixed initial run to cursor

2003-06-04 18:40  mattias

	* lazarus/: main.pp, designer/noncontrolforms.pas:
	
	fixed view forms

2003-06-04 18:34  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, sourcemarks.pas,
	uniteditor.pp, lcl/forms.pp:
	
	implemented popupmenu items in source editor for breakpoints

2003-06-04 15:34  mattias

	* lazarus/: debugmanager.pas, editoroptions.pp,
	lazarusidestrconsts.pas, sourcemarks.pas, uniteditor.pp,
	debugger/breakpointsdlg.pp:
	
	implemented breakpoints hints for source editor

2003-06-04 14:44  mattias

	* lazarus/debugmanager.pas:
	
	implemented setting breakpoint while compiling

2003-06-04 01:45  marc

	* lazarus/main.pp:
	
	MWE: Fixed close confirmation on changed designer form	   
	([Yes][No][Cancel] instead of [Yes][Cancel][Abort])

2003-06-03 18:12  mattias

	* lazarus/: debugmanager.pas, main.pp, project.pp,
	debugger/debugger.pp:
	
	fixed loading bookmarks for editor index 0

2003-06-03 13:20  mattias

	* lazarus/: outputfilter.pas, debugger/breakpointsdlg.lfm,
	debugger/breakpointsdlg.lrs, debugger/breakpointsdlg.pp:
	
	implemented enable/disable/delete breakpoints in same source

2003-06-03 12:29  mattias

	* lazarus/: debugmanager.pas, debugger/debugger.pp,
	debugger/gdbmidebugger.pp, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	implemented updates between source marks and breakpoints

2003-06-03 10:02  mattias

	* lazarus/: debugmanager.pas, main.pp, debugger/breakpointsdlg.pp,
	debugger/debugger.pp, lcl/interfaces/gtk/gtkglobals.pp,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented showing source lines in breakpoints dialog

2003-06-03 03:35  marc

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	debugger/breakpointsdlg.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp:
	
	MWE: = Splitted TDBGBreakpoint into TBaseBreakPoint, TIDEBreakpoint
	and	   TDBGBreakPoint

2003-06-02 23:37  mattias

	* lazarus/: debugger/debugger.pp, debugger/gdbmidebugger.pp,
	lcl/forms.pp, lcl/include/application.inc:
	
	fixed debugger stop

2003-06-02 19:55  mattias

	* lazarus/: componentpalette.pas, lazarusidestrconsts.pas,
	components/codetools/basiccodetools.pas,
	components/codetools/codecompletiontool.pas,
	packager/pkgmanager.pas:
	
	fixed inserting code in front of delphi comment

2003-06-01 23:37  mattias

	* lazarus/lcl/: controls.pp, forms.pp:
	
	fixed streaming TDataModule in programs

2003-06-01 23:09  mattias

	* lazarus/: customformeditor.pp, main.pp, newdialog.pas,
	project.pp, components/codetools/basiccodetools.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/stdcodetools.pas, designer/designer.pp,
	designer/designerprocs.pas, designer/noncontrolforms.pas,
	designer/propedits.pp, designer/jitform/jitform.pas,
	lcl/controls.pp, lcl/forms.pp, lcl/lresources.pp,
	lcl/include/customform.inc, lcl/include/wincontrol.inc,
	packager/componentreg.pas:
	
	implemented datamodules

2003-06-01 15:00  mattias

	* lazarus/: main.pp, designer/designermenu.pp,
	designer/menueditorform.pas:
	
	new menueditor from Martin Patik

2003-06-01 13:23  mattias

	* lazarus/: customformeditor.pp, main.pp, project.pp,
	designer/abstractformeditor.pp, designer/controlselection.pp,
	designer/designer.pp, designer/designermenu.pp,
	designer/designerprocs.pas, designer/menueditorform.pas,
	designer/noncontrolforms.pas:
	
	splittet designer form and lookup root

2003-05-31 12:09  mattias

	* lazarus/designer/noncontrolforms.pas:
	
	started designer forms without TForms

2003-05-31 12:07  mattias

	* lazarus/: customformeditor.pp, main.pp, project.pp,
	projectopts.pp, designer/abstractformeditor.pp,
	designer/jitforms.pp, designer/jitform/jitform.pas,
	lcl/include/application.inc:
	
	changed projects forms into components

2003-05-30 18:25  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp, newdialog.pas,
	project.pp, projectdefs.pas, lcl/controls.pp, lcl/lclstrconsts.pas,
	lcl/interfaces/gtk/gtkobject.inc:
	
	started datamodule

2003-05-30 14:41  mattias

	* lazarus/: lazarus.pp, components/gtk/gtkglarea/README,
	components/gtk/gtkglarea/gtkopengl.lpk, tools/check_ide_libs.sh:
	
	added checks and texts for mixing gtk1 and gtk2

2003-05-30 10:10  mattias

	* lazarus/: debugmanager.pas, lazarus.pp, main.pp, mainbar.pas,
	uniteditor.pp, lcl/include/application.inc:
	
	added try except to Application.Run, message on changing debugger
	items during compile

2003-05-30 02:53  marc

	* lazarus/debugger/gdbmidebugger.pp:
	
	MWE: * fixed debugger.stop

2003-05-30 01:14  mattias

	* lazarus/: debugmanager.pas, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, sourcemarks.pas, debugger/breakpointsdlg.lfm,
	debugger/breakpointsdlg.lrs, debugger/breakpointsdlg.pp,
	debugger/callstackdlg.lfm, debugger/callstackdlg.lrs,
	debugger/callstackdlg.pp, debugger/debuggerdlg.pp:
	
	implemented jump to code on double click for breakpoints and
	callstack dlg

2003-05-29 20:47  mattias

	* lazarus/: debugmanager.pas, editoroptions.pp, sourcemarks.pas,
	debugger/debugger.pp, debugger/gdbmidebugger.pp:
	
	fixed reposition sourcemark

2003-05-29 19:40  marc

	* lazarus/: debugmanager.pas, debugger/dbgutils.pp,
	debugger/debugger.pp, debugger/gdbmidebugger.pp:
	
	MWE: * Fixed string resolving	   * Updated exception handling

2003-05-29 09:25  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	debugger/gdbmidebugger.pp:
	
	added Destroying flag, debugger now always shuts down

2003-05-29 04:32  marc

	* lazarus/debugger/gdbmidebugger.pp:
	
	MWE: + Added GDB version check to exception parser

2003-05-29 00:43  marc

	* lazarus/debugmanager.pas:
	
	MWE: * Fixed adding/removing breakpoints while paused

2003-05-28 23:16  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp, msgview.pp,
	outputfilter.pas, sourcemarks.pas,
	components/gtk/gtkglarea/gtkopengl.lpk,
	components/gtk/gtkglarea/gtkopengl.pas, lcl/include/filectrl.inc,
	packager/packageeditor.pas:
	
	added a help and a more button tot he package editor

2003-05-28 19:40  mattias

	* lazarus/debugger/: debugger.pp, gdbmidebugger.pp:
	
	recuced update notifications

2003-05-28 19:27  mattias

	* lazarus/debugger/debugger.pp:
	
	recuced update notifications

2003-05-28 17:56  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	editoroptions.pp, sourcemarks.pas, uniteditor.pp,
	components/synedit/synedit.pp, debugger/breakpointsdlg.pp:
	
	implemented sourcemarks

2003-05-28 11:00  mattias

	* lazarus/: debugmanager.pas, debugger/watchesdlg.pp:
	
	watches dialog now without DoInitDebugger

2003-05-28 10:46  mattias

	* lazarus/: debugmanager.pas, debugger/breakpointsdlg.lfm,
	debugger/breakpointsdlg.lrs, debugger/breakpointsdlg.pp,
	debugger/debuggerdlg.pp, debugger/gdbmidebugger.pp,
	lcl/include/control.inc:
	
	break;points dialog now gets the items without debugger

2003-05-28 02:58  marc

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	debugger/debugger.pp, debugger/gdbmidebugger.pp:
	
	MWE: * Reworked breakpoint handling

2003-05-27 22:58  mattias

	* lazarus/: debugmanager.pas, uniteditor.pp,
	debugger/breakpointsdlg.lfm, debugger/breakpointsdlg.lrs,
	debugger/breakpointsdlg.pp, debugger/cmdlinedebugger.pp,
	debugger/debugger.pp, debugger/debuggerdlg.pp,
	debugger/gdbdebugger.pp, debugger/gdbmidebugger.pp:
	
	implemented enable and deleting breakpoint in breakpoint dlg

2003-05-27 19:58  mattias

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	fixed range checks

2003-05-27 19:53  mattias

	* lazarus/: mainbar.pas, debugger/gdbmidebugger.pp:
	
	fixed getting target PID for fpc1.1 programs

2003-05-27 17:04  mattias

	* lazarus/: debugmanager.pas, ideprocs.pp, outputfilter.pas,
	uniteditor.pp, debugger/breakpointsdlg.pp, images/bookmark.lrs,
	images/sourceeditor/MultiBreakPoint.xpm,
	lcl/interfaces/gtk/gtkdef.pp,
	lcl/interfaces/gtk2/gtk2interface.lpk:
	
	small fixes for debugger without file

2003-05-27 10:01  marc

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	editoroptions.pp, uniteditor.pp, debugger/debugger.pp,
	debugger/gdbmidebugger.pp, images/bookmark.lrs,
	images/sourceeditor/UnknownBreakPoint.ico,
	images/sourceeditor/UnknownBreakPoint.xpm:
	
	MWE: + Added exception break	  * Reworked adding/removing
	breakpoints	 + Added Unknown breakpoint type

2003-05-26 23:42  mattias

	* lazarus/lcl/interfaces/gtk/: gtkproc.inc, gtkproc.pp:
	
	fixed typos

2003-05-26 23:34  mattias

	* lazarus/lcl/interfaces/gtk2/README:
	
	latest news

2003-05-26 23:28  mattias

	* lazarus/lcl/interfaces/: gtk/gtkproc.inc, gtk/gtkwinapiwindow.pp,
	gtk/interfaces.pp, gtk2/gtk2interface.lpk:
	
	fixed absolute file

2003-05-26 23:03  mattias

	* lazarus/: main.pp, project.pp,
	components/codetools/codetoolmanager.pas,
	lcl/interfaces/gtk2/README:
	
	added README, describing how to create a gtk2 lcl application

2003-05-26 22:05  mattias

	* lazarus/: addtoprojectdlg.pas, ideprocs.pp, main.pp, mainbar.pas,
	outputfilter.pas, uniteditor.pp, debugger/debugger.pp,
	lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk2/gtk2interface.lpk:
	
	made compiling gtk2 interface easier

2003-05-26 13:08  mattias

	* lazarus/: debugmanager.pas, debugger/debugger.pp:
	
	fixed double breakpoints

2003-05-26 12:34  mattias

	* lazarus/: Makefile, Makefile.fpc, compileroptions.pp,
	debugmanager.pas, ideprocs.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, debugger/debugger.pp, packager/pkgmanager.pas:
	
	implemented search, fixed double loading breakpoints

2003-05-26 00:27  mattias

	* lazarus/compileroptions.pp:
	
	fixed layout

2003-05-26 00:17  mattias

	* lazarus/languages/: lazaruside.de.po, lazaruside.es.mo,
	lazaruside.es.po, lazaruside.fr.mo, lazaruside.fr.po,
	lazaruside.po, lazaruside.ru.mo, lazaruside.ru.po:
	
	updated localization

2003-05-26 00:16  mattias

	* lazarus/: compileroptions.pp, exttooleditdlg.pas,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, outputfilter.pas,
	packager/pkgmanager.pas:
	
	implemented compilation tools Before and After

2003-05-25 22:03  mattias

	* lazarus/compileroptions.pp:
	
	added browse buttons for compiler and unit output dir

2003-05-25 20:05  mattias

	* lazarus/components/codetools/: codecompletiontool.pas,
	methodjumptool.pas:
	
	fixed jumping to renamed procs

2003-05-25 18:48  mattias

	* lazarus/docs/ExtendingTheIDE.txt:
	
	fixed typo

2003-05-25 18:27  mattias

	* lazarus/docs/ExtendingTheIDE.txt:
	
	added a small text about IDE plugins

2003-05-25 17:31  mattias

	* lazarus/: debugmanager.pas, ideprocs.pp, main.pp, mainbar.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/definetemplates.pas, designer/designer.pp:
	
	implemented searching for indirect include files

2003-05-25 14:12  mattias

	* lazarus/: debugmanager.pas, main.pp, mainbar.pas,
	designer/propedits.pp, lcl/forms.pp, lcl/lclproc.pas,
	lcl/include/screen.inc:
	
	added TScreen handlers, implemented TMainIDE.UnHideIDE

2003-05-24 19:51  marc

	* lazarus/debugmanager.pas:
	
	MWE: Added an usersource history

2003-05-24 13:27  mattias

	* lazarus/tools/lzbuild.py:
	
	removed unneeded lzbuild.py

2003-05-24 13:06  mattias

	* lazarus/: debugmanager.pas, environmentopts.pp, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, uniteditor.pp:
	
	started Hide IDE on run

2003-05-24 10:51  mattias

	* lazarus/: main.pp, designer/designer.pp, lcl/controls.pp,
	lcl/forms.pp, lcl/include/control.inc, lcl/include/customform.inc,
	lcl/include/wincontrol.inc:
	
	implemented designer close query

2003-05-23 21:44  mattias

	* lazarus/packager/packagesystem.pas:
	
	added widget dierctory to include path

2003-05-23 21:31  mattias

	* lazarus/: main.pp, components/codetools/codetoolmanager.pas,
	components/codetools/definetemplates.pas,
	packager/basepkgmanager.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented searching debugging files in include paths

2003-05-23 20:50  mattias

	* lazarus/: debugmanager.pas, main.pp, mainbar.pas,
	components/codetools/codetoolmanager.pas:
	
	implemented searching debugging files in inherited unit paths

2003-05-23 18:58  mattias

	* lazarus/: main.pp, mainbar.pas:
	
	implemented changing caption during compilation/debugging

2003-05-23 18:46  mattias

	* lazarus/: debugmanager.pas, uniteditor.pp, debugger/debugger.pp:
	
	added message, that debugger is readonly while running

2003-05-23 16:12  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas,
	editoroptions.pp, environmentopts.pp, main.pp, mainbar.pas,
	project.pp, uniteditor.pp, debugger/breakpointsdlg.pp,
	debugger/cmdlinedebugger.pp, debugger/debugger.pp,
	debugger/gdbdebugger.pp, debugger/gdbmidebugger.pp,
	debugger/gdbtypeinfo.pp:
	
	implemented restoring breakpoints

2003-05-23 01:08  marc

	* lazarus/debugger/: breakpointsdlg.lfm, breakpointsdlg.lrs,
	breakpointsdlg.pp, callstackdlg.lfm, dbgoutputform.lfm,
	dbgutils.pp, debugger.pp, gdbmidebugger.pp, gdbtypeinfo.pp,
	localsdlg.lfm, tbreakpointsdlg.lfm, tcallstackdlg.lfm,
	tdbgoutputform.lfm, tlocalsdlg.lfm, twatchesdlg.lfm,
	twatchpropertydlg.lfm, watchesdlg.lfm, watchpropertydlg.lfm,
	test/debugtest.pp, test/debugtestform.lrs, test/debugtestform.pp,
	test/tdebugtesttorm.lfm, test/examples/testcntr.pp,
	test/examples/testwait.pp:
	
	MWE: = Moved and renamed debuggerforms so that they can be	 
	modified by the ide	 + Added some parsing to evaluate complex
	expressions	   not understood by the debugger

2003-05-23 01:05  marc

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas:
	
	MWE: Added "Reset Debuuger" menu command

2003-05-23 01:03  marc

	* lazarus/components/codetools/codecache.pas:
	
	MWE: Added nil check

2003-05-22 19:06  mattias

	* lazarus/: debugmanager.pas, debugger/debugger.pp:
	
	implemented InitialEnabled for breakpoints and watches

2003-05-22 08:50  mattias

	* lazarus/debugmanager.pas:
	
	fixed double formats

2003-05-22 08:32  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp:
	
	fixed double formats

2003-05-21 18:19  mattias

	* lazarus/: basedebugmanager.pas, debugmanager.pas, main.pp,
	project.pp, projectdefs.pas, uniteditor.pp, debugger/debugger.pp:
	
	implemented saving breakpoints and watches

2003-05-21 10:09  mattias

	* lazarus/: ideprocs.pp, debugger/debugger.pp:
	
	started loading/saving watches

2003-05-20 23:41  mattias

	* lazarus/: debugmanager.pas, editoroptions.pp,
	lazarusidestrconsts.pas, uniteditor.pp,
	components/codetools/definetemplates.pas, debugger/debugger.pp,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	started loading/saving breakpoints

2003-05-20 09:46  mattias

	* lazarus/: customformeditor.pp, main.pp,
	designer/imagelisteditor.pp, designer/listviewpropedit.pp,
	designer/menueditorform.pas, designer/objectinspector.pp,
	designer/propedits.pp, lcl/lclproc.pas:
	
	added GlobalDesignHook GetSelectedComponents

2003-05-19 17:53  mattias

	* lazarus/: main.pp, mainbar.pas, designer/componenteditors.pas,
	designer/designer.pp, designer/menueditorform.pas,
	designer/objectinspector.pp, designer/propedits.pp:
	
	added ComponentDeleting event

2003-05-19 17:16  mattias

	* lazarus/: main.pp, designer/objectinspector.pp,
	designer/propedits.pp:
	
	implemented handler lists for property hooks

2003-05-19 10:16  mattias

	* lazarus/lcl/: graphics.pp, lcltype.pp, interfaces/gtk/gtkdef.pp,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkproc.inc,
	interfaces/gtk/gtkproc.pp, interfaces/gtk/gtkwinapi.inc:
	
	fixed allocation of dc backcolor

2003-05-18 23:17  mattias

	* lazarus/: lazarusidestrconsts.pas, designer/designermenu.pp,
	designer/menueditorform.pas, languages/lazaruside.de.mo,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.po:
	
	menu templates from Martin Patik

2003-05-18 12:42  mattias

	* lazarus/: debugmanager.pas, environmentopts.pp,
	ideoptiondefs.pas, main.pp, unitdependencies.pas,
	components/codetools/definetemplates.pas,
	debugger/breakpointsdlg.pp, debugger/debuggerdlg.pp,
	debugger/watchesdlg.pp, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.po, lcl/include/application.inc,
	lcl/include/menuitem.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtkobject.inc:
	
	implemented deleting empty submenus

2003-05-16 11:04  mattias

	* lazarus/publishprojectdlg.pas:
	
	added publish package caption

2003-05-16 10:25  mattias

	* lazarus/packager/packageeditor.pas:
	
	added automatic include path addition for lrs file

2003-05-15 15:00  mattias

	* lazarus/: components/codetools/finddeclarationtool.pas,
	designer/propedits.pp, lcl/interfaces/gtk/gtklistsl.inc:
	
	fixed find declaration intf cache

2003-05-15 12:44  mattias

	* lazarus/tools/install/: create_lazarus_deb.sh,
	create_lazarus_rpm.sh:
	
	increased package version

2003-05-14 15:06  mattias

	* lazarus/lcl/: include/customlistbox.inc,
	interfaces/gtk/gtklistsl.inc, interfaces/gtk/gtkobject.inc:
	
	fixed setting TListBox.Selected before createhandle

2003-05-14 12:19  mattias

	* lazarus/: designer/objectinspector.pp, lcl/arrow.pp:
	
	fixed TArrow streaming

2003-05-14 09:12  mattias

	* lazarus/: main.pp, designer/designermenu.pp,
	designer/menueditorform.pas, designer/objectinspector.pp,
	packager/packagedefs.pas, packager/packageeditor.pas:
	
	fixed hiding destroyed components

2003-05-13 01:37  mattias

	* lazarus/: lazarusidestrconsts.pas,
	components/interbase/interbaselaz.lpk,
	components/interbase/interbaselaz.pas,
	components/interbase/registerinterbase.lrs,
	components/interbase/registerinterbase.pas,
	components/interbase/tibdatabase.ico,
	components/interbase/tibdatabase.xpm,
	components/interbase/tibquery.ico,
	components/interbase/tibquery.xpm,
	components/interbase/tibtransaction.xpm,
	components/interbase/lib/README, images/components/tibdatabase.ico,
	images/components/tibdatabase.xpm, images/components/tibquery.ico,
	images/components/tibquery.xpm, packager/addfiletoapackagedlg.pas,
	packager/addtopackagedlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas,
	packager/registration/lazaruspackageintf.pas:
	
	added interbase package

2003-05-12 21:36  mattias

	* lazarus/: buildlazdialog.pas, compreg.pp, customformeditor.pp,
	idecomp.pp, main.pp, mainbar.pas, newdialog.pas,
	designer/designer.pp, designer/jitforms.pp, docs/Packages.txt,
	packager/pkgmanager.pas, packager/ucomponentmanmain.pas:
	
	activated the package system

2003-05-12 16:47  mattias

	* lazarus/: project.pp, projectdefs.pas, publishmodule.pas,
	publishprojectdlg.pas, components/gtk/gtkglarea/gtkopengl.lpk:
	
	reduced output

2003-05-12 15:40  mattias

	* lazarus/: lcl/menus.pp, lcl/include/customform.inc,
	lcl/include/popupmenu.inc, packager/packageeditor.pas:
	
	fixed clsing popupmenu on showmodal

2003-05-12 15:11  mattias

	* lazarus/: inputhistory.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, project.pp,
	projectdefs.pas, publishmodule.pas, publishprojectdlg.pas,
	transfermacros.pp, components/gtk/gtkglarea/gtkopengl.lpk,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented publish package

2003-05-12 12:46  mattias

	* lazarus/: buildlazdialog.pas,
	components/gtk/gtkglarea/gtkglarea.pp:
	
	fixed build ide clean

2003-05-12 11:41  mattias

	* lazarus/idecomp.pp:
	
	fixed idecomp.pp

2003-05-12 10:06  mattias

	* lazarus/: idecomp.pp, ideprocs.pp, lazarusidestrconsts.pas,
	main.pp, mainbar.pas, components/gtk/gtkglarea/gtkglarea.pp,
	packager/packageeditor.pas, packager/pkgmanager.pas:
	
	small fixes for gtkopengl

2003-05-09 17:56  mattias

	* lazarus/: compileroptions.pp,
	components/gtk/gtkglarea/gtkglarea.pp, packager/pkgoptionsdlg.pas:
	
	fixed gtkglarea

2003-05-09 16:21  mattias

	* lazarus/: main.pp, components/gtk/gtkglarea/gtkglarea.pp,
	components/gtk/gtkglarea/gtkopengl.pas,
	components/gtk/gtkglarea/nvgl.pp,
	components/gtk/gtkglarea/nvglx.pas,
	components/gtk/gtkglarea/nvglx.pp, lcl/controls.pp,
	packager/pkgmanager.pas:
	
	added published properties for gtkglarea

2003-05-09 15:24  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp,
	components/codetools/codecache.pas, packager/packageeditor.pas:
	
	fixed renaming unit

2003-05-09 09:18  mattias

	* lazarus/languages/: lazaruside.de.po, lazaruside.es.po,
	lazaruside.fr.mo, lazaruside.fr.po, lazaruside.po,
	lazaruside.ru.po:
	
	localization

2003-05-08 23:29  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp, lcl/grids.pas,
	tools/install/lazarus.spec:
	
	autoedit for grids

2003-05-07 20:55  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	lcl/lclstrconsts.pas, lcl/languages/lcl.de.po,
	lcl/languages/lcl.es.po, lcl/languages/lcl.fr.po,
	lcl/languages/lcl.po, lcl/languages/lcl.ru.mo,
	lcl/languages/lcl.ru.po:
	
	fixed localization

2003-05-07 19:41  mattias

	* lazarus/: main.pp, components/codetools/keywordfunclists.pas:
	
	fixed create project for program

2003-05-07 09:52  mattias

	* lazarus/lazarusidestrconsts.pas:
	
	better english

2003-05-07 08:51  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, mainbar.pas,
	languages/lazaruside.de.mo, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po:
	
	french localization from olivier

2003-05-06 23:54  mattias

	* lazarus/: main.pp, components/codetools/codetree.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalparsertool.pas:
	
	implemented compiler function Low(array)

2003-05-06 10:40  mattias

	* lazarus/: main.pp, components/codetools/codecompletiontool.pas,
	components/codetools/keywordfunclists.pas:
	
	added export procedure specifier

2003-05-05 20:45  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp, projectinspector.pas,
	components/codetools/stdcodetools.pas, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.po,
	packager/addfiletoapackagedlg.pas, packager/addtopackagedlg.pas,
	packager/brokendependenciesdlg.pas,
	packager/openinstalledpkgdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkggraphexplorer.pas, packager/pkgmanager.pas,
	packager/pkgoptionsdlg.pas:
	
	localization

2003-05-05 16:20  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed interface scope search

2003-05-05 15:40  mattias

	* lazarus/: buildlazdialog.pas, main.pp:
	
	ide extra options are now saved, so creating a packaged ide is now
	possible on commandline

2003-05-05 13:47  mazen <mazen@freepascal.org>

	* lazarus/: components/codetools/memcheck.pas,
	designer/propedits.pp:
	
	+ explicit override of inline assembler type to AT&T (fpc.cfg
	specify other?)

2003-05-04 23:48  mattias

	* lazarus/: main.pp, outputfilter.pas:
	
	added parsing make errors

2003-05-04 01:00  mattias

	* lazarus/: addtoprojectdlg.pas, componentpalette.pas,
	debugmanager.pas, diskdiffsdialog.pas, editdefinetree.pas,
	exttooldialog.pas, exttooleditdlg.pas, findinfilesdlg.pas,
	findreplacedialog.pp, global.pp, lazarusidestrconsts.pas,
	macropromptdlg.pas, mainbar.pas, miscoptions.pas, msgview.pp,
	newdialog.pas, patheditordlg.pas, languages/lazaruside.de.po,
	languages/lazaruside.es.po, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.po:
	
	localization

2003-05-03 12:03  mattias

	* lazarus/packager/: ucomponentmanmain.lfm, ucomponentmanmain.lrs,
	ucomponentmanmain.pas:
	
	fixed custom component manager captions

2003-05-03 11:53  mattias

	* lazarus/: componentpalette.pas, lcl/buttons.pp, lcl/controls.pp,
	lcl/include/control.inc:
	
	fixed popupmenu for component palette

2003-05-03 11:00  mattias

	* lazarus/packager/pkgmanager.pas:
	
	fixed uninitialized var

2003-05-03 10:13  mattias

	* lazarus/: buildlazdialog.pas, main.pp, projectopts.pp,
	packager/packagedefs.pas:
	
	fixed clean all

2003-05-03 00:51  mattias

	* lazarus/: lazarusidestrconsts.pas, projectopts.pp,
	publishprojectdlg.pas, runparamsopts.pas, sortselectiondlg.pas,
	sysvaruseroverridedlg.pas, todolist.pp, transfermacros.pp,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.po:
	
	more localization

2003-05-03 00:22  mattias

	* lazarus/: lazarusidestrconsts.pas, main.pp, makeresstrdlg.pas,
	miscoptions.pas, uniteditor.pp, unitinfodlg.pp, viewunit_dlg.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetoolsstructs.pas,
	components/codetools/customcodetool.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/stdcodetools.pas,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.po,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	lcl/menus.pp:
	
	localization, added context policy to make resource string dialog

2003-05-02 12:28  mattias

	* lazarus/: main.pp, project.pp,
	components/codetools/codecache.pas,
	components/codetools/finddeclarationtool.pas,
	packager/packagedefs.pas, packager/pkgoptionsdlg.pas:
	
	improved file checking

2003-05-02 10:11  mattias

	* lazarus/: mainbar.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalparsertool.pas:
	
	accelerated parsing

2003-05-01 22:48  mattias

	* lazarus/main.pp:
	
	fixed building lazarus without IDE

2003-05-01 16:01  mattias

	* lazarus/packager/Makefile.fpc:
	
	added Makefile.fpc

2003-05-01 15:20  mattias

	* lazarus/packager/packagesystem.pas:
	
	fixed clean up

2003-05-01 14:54  mattias

	* lazarus/packager/pkgmanager.pas:
	
	updating package editor on save

2003-05-01 14:44  mattias

	* lazarus/: buildlazdialog.pas, packager/packagelinks.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	fixed removing package link

2003-05-01 14:22  mattias

	* lazarus/newdialog.pas:
	
	renamed standard package

2003-05-01 13:44  mattias

	* lazarus/: exttooldialog.pas, main.pp, outputfilter.pas,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	fixed changing menuitem separator and normal

2003-05-01 12:45  mattias

	* lazarus/packager/pkgmanager.pas:
	
	improved message

2003-05-01 12:40  mattias

	* lazarus/main.pp:
	
	open special files for lpi files

2003-04-30 00:15  mattias

	* lazarus/: componentpalette.pas, projectinspector.pas,
	components/gtk/gtkglarea/gtkopengl.pas, packager/componentreg.pas,
	packager/packagesystem.pas, packager/pkggraphexplorer.pas:
	
	implemented IsUpdateLocked

2003-04-29 21:06  mattias

	* lazarus/components/gtk/gtkglarea/gtkopengl.lpk:
	
	added description

2003-04-29 21:00  mattias

	* lazarus/: buildlazdialog.pas, codetoolsoptions.pas,
	inputhistory.pas, main.pp, mainbar.pas, miscoptions.pas,
	project.pp, components/codetools/codecache.pas,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas,
	components/codetools/laz_xmlcfg.pas,
	components/gtk/gtkglarea/Makefile.fpc,
	components/gtk/gtkglarea/gtkglarea.lrs,
	components/gtk/gtkglarea/gtkglarea.pp,
	components/gtk/gtkglarea/gtkglarea_int.pp,
	components/gtk/gtkglarea/gtkopengl.lpk,
	components/gtk/gtkglarea/gtkopengl.pas,
	components/gtk/gtkglarea/tgtkglareacontrol.xpm,
	components/gtk/gtkglarea/lib/README,
	examples/gtkglarea/exampleform.pp,
	examples/gtkglarea/gtkglarea_demo.lpi, lcl/vclglobals.pp,
	lcl/include/application.inc, lcl/include/customlistbox.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkobject.inc,
	packager/addtopackagedlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagelinks.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	added package gtkopengl

2003-04-29 15:35  mattias

	* lazarus/: buildlazdialog.pas, lazarusidestrconsts.pas, main.pp,
	lcl/lmessages.pp, lcl/stdctrls.pp, lcl/include/customlistbox.inc,
	lcl/include/speedbutton.inc, lcl/interfaces/gtk/gtkint.pp,
	lcl/interfaces/gtk/gtklistsl.inc, lcl/interfaces/gtk/gtkobject.inc,
	packager/pkgmanager.pas:
	
	improved configure build lazarus dialog

2003-04-29 11:31  mattias

	* lazarus/: editdefinetree.pas, main.pp, project.pp,
	components/codetools/codecompletiontool.pas,
	packager/pkgmanager.pas:
	
	changed macro name ProjectDir to ProjPath

2003-04-28 22:46  mattias

	* lazarus/: main.pp, mainbar.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/definetemplates.pas,
	packager/addtopackagedlg.pas, packager/basepkgmanager.pas,
	packager/openinstalledpkgdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented replacing installed packages

2003-04-28 13:44  mattias

	* lazarus/: components/codetools/memcheck.pas, lcl/lclproc.pas,
	packager/openinstalledpkgdlg.pas, packager/pkgmanager.pas:
	
	implemented showing auto installed packages

2003-04-28 12:20  mattias

	* lazarus/packager/: basepkgmanager.pas, packagedefs.pas,
	packageeditor.pas, packagesystem.pas, pkgmanager.pas,
	pkgoptionsdlg.pas:
	
	implemented uninstalling packages

2003-04-28 10:16  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas, main.pp,
	components/codetools/codecache.pas,
	components/codetools/linkscanner.pas:
	
	implemented environment path browse buttons

2003-04-27 23:25  mattias

	* lazarus/codetoolsoptions.pas:
	
	implemented saving global defines

2003-04-27 23:17  mattias

	* lazarus/: images/laz_images.lrs,
	images/pkg_package_autoinstall.xpm, images/pkg_package_install.xpm,
	packager/brokendependenciesdlg.pas, packager/packagedefs.pas,
	packager/pkggraphexplorer.pas, packager/pkgmanager.pas:
	
	implemented showing all kinds of dependency owners

2003-04-27 22:31  mattias

	* lazarus/: componentpalette.pas, main.pp, mainbar.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented open package for component palette

2003-04-27 14:53  mattias

	* lazarus/: buildlazdialog.pas, compileroptions.pp, main.pp,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented saving auto install packages

2003-04-27 11:29  mattias

	* lazarus/: buildlazdialog.pas, compileroptions.pp,
	environmentopts.pp, ideprocs.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, projectinspector.pas,
	components/codetools/definetemplates.pas,
	packager/basepkgmanager.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkggraphexplorer.pas, packager/pkgmanager.pas,
	packager/registration/lazaruspackageintf.pas:
	
	implemented installing static packages

2003-04-26 12:45  mattias

	* lazarus/: components/synedit/Makefile,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, lcl/interfaces/gtk/gtkwinapi.inc,
	packager/addtopackagedlg.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	fixed right control release

2003-04-26 09:34  mattias

	* lazarus/: environmentopts.pp, ideprocs.pp, lazarus.pp, main.pp,
	mainbar.pas, msgview.pp, unitinfodlg.pp,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas,
	components/codetools/finddeclarationtool.pas,
	lcl/interfaces/gtk/gtkobject.inc, packager/packagedefs.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas,
	packager/registration/lazaruspackageintf.pas:
	
	implemented custom package initialization

2003-04-25 16:40  mattias

	* lazarus/: compileroptions.pp, main.pp, mainbar.pas,
	components/codetools/codecompletiontool.pas,
	lcl/interfaces/gtk/gtkobject.inc,
	packager/addfiletoapackagedlg.pas, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented add file to a package dialog

2003-04-24 18:44  mattias

	* lazarus/: codetoolsdefines.pas, codetoolsoptions.pas,
	compileroptions.pp, editdefinetree.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, miscoptions.pas,
	project.pp, transfermacros.pp, components/codetools/codecache.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/definetemplates.pas,
	components/codetools/fileprocs.pas, images/laz_images.lrs,
	images/pkg_addunittopackage.xpm, images/pkg_binary.xpm,
	images/pkg_include.xpm, images/pkg_lfm.xpm, images/pkg_lrs.xpm,
	images/pkg_text.xpm, packager/addfiletoapackagedlg.pas,
	packager/addtopackagedlg.pas, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas,
	packager/pkgoptionsdlg.pas:
	
	implemented define templates for projects with packages

2003-04-22 20:53  mattias

	* lazarus/: compileroptions.pp, editdefinetree.pas,
	exttooldialog.pas, main.pp, projectinspector.pas,
	transfermacros.pp, components/codetools/definetemplates.pas,
	lcl/include/filectrl.inc, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	implemented compiling project dependencies and auto add dependency

2003-04-22 15:27  mattias

	* lazarus/: componentpalette.pas, idecomp.pp, main.pp,
	components/codetools/definetemplates.pas,
	images/components_images.lrs,
	images/components/unregisteredcomponent.xpm, lcl/extctrls.pp,
	lcl/include/customnotebook.inc, packager/componentreg.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented installing components in component palette

2003-04-22 09:56  mattias

	* lazarus/: componentpalette.pas, main.pp, transfermacros.pp,
	designer/designer.pp, packager/componentreg.pas,
	packager/packagedefs.pas:
	
	implemented dynamic component palette

2003-04-21 20:00  mattias

	* lazarus/: componentpalette.pas, compreg.pp, customformeditor.pp,
	idecomp.pp, main.pp, mainbar.pas, designer/jitforms.pp,
	packager/basepkgmanager.pas, packager/componentreg.pas,
	packager/packagedefs.pas, packager/pkgmanager.pas:
	
	fixed opening main unit

2003-04-21 18:22  mattias

	* lazarus/packager/registersynedit.pas:
	
	implemented package synedit

2003-04-21 18:21  mattias

	* lazarus/: compileroptions.pp, editdefinetree.pas, ideprocs.pp,
	lazarus.pp, lazarusidestrconsts.pas, main.pp, mainbar.pas,
	project.pp, transfermacros.pp, uniteditor.pp,
	components/codetools/definetemplates.pas,
	components/codetools/fileprocs.pas, packager/componentreg.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented default package for custom IDE components

2003-04-21 01:10  mattias

	* lazarus/: compileroptions.pp, editdefinetree.pas, main.pp,
	mainbar.pas, project.pp, projectinspector.pas,
	packager/addtopackagedlg.pas, packager/packagedefs.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	implemented inherited project compiler options

2003-04-20 22:32  mattias

	* lazarus/: addtoprojectdlg.pas, main.pp, project.pp,
	projectinspector.pas, lcl/calendar.pp, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc,
	lcl/interfaces/gtk/gtkproc.pp, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkggraphexplorer.pas,
	packager/pkgmanager.pas:
	
	implemented removing, re-adding, updating project dependencies

2003-04-20 18:32  mattias

	* lazarus/: projectinspector.pas, lcl/forms.pp,
	lcl/include/customform.inc:
	
	published keypreview

2003-04-20 11:52  mattias

	* lazarus/: addtoprojectdlg.pas, project.pp, projectinspector.pas,
	packager/addtopackagedlg.pas, packager/packagedefs.pas:
	
	implemented saving loading project dependencies

2003-04-20 09:47  mattias

	* lazarus/addtoprojectdlg.pas:
	
	added add to project dialog

2003-04-20 09:36  mattias

	* lazarus/: main.pp, mainbar.pas, project.pp, projectinspector.pas,
	lcl/forms.pp, lcl/include/application.inc,
	packager/addtopackagedlg.pas:
	
	fixed loading form name

2003-04-19 20:37  mattias

	* lazarus/: customformeditor.pp, lcl/menus.pp,
	lcl/include/menuitem.inc:
	
	implemented adding OnClick, when clicking on designer menuitem

2003-04-19 19:54  mattias

	* lazarus/: main.pp, projectinspector.pas,
	designer/designermenu.pp, designer/menueditorform.pas,
	images/laz_images.lrs, images/pkg_project.xpm:
	
	improved new menueditor from Martin Patik

2003-04-19 18:55  mattias

	* lazarus/: ideoptiondefs.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas,
	projectinspector.pas, images/laz_images.lrs,
	images/pkg_packagegraph.xpm, images/menu/menu_projectinspector.xpm,
	packager/basepkgmanager.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/pkgmanager.pas:
	
	started project inspector

2003-04-19 14:57  mattias

	* lazarus/: compileroptions.pp, filereferencelist.pas, ideprocs.pp,
	sortselectiondlg.pas, components/codetools/definetemplates.pas,
	components/codetools/finddeclarationtool.pas,
	components/codetools/keywordfunclists.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented automatic define templates for packages

2003-04-19 09:54  mattias

	* lazarus/lcl/maskedit.pp:
	
	renamed set/gettext

2003-04-19 02:31  mattias

	* lazarus/: components/codetools/definetemplates.pas,
	components/codetools/keywordfunclists.pas, packager/pkgmanager.pas:
	
	implemented macro functions for define templates

2003-04-18 17:32  mattias

	* lazarus/: buildlazdialog.pas, codetoolsdefines.pas,
	editdefinetree.pas, filereferencelist.pas, lazarus.pp, project.pp,
	components/codetools/definetemplates.pas,
	components/codetools/expreval.pas, packager/packagedefs.pas,
	packager/pkgmanager.pas:
	
	implemented file reference list

2003-04-18 09:34  mattias

	* lazarus/lcl/maskedit.pp:
	
	fixed warnings

2003-04-17 20:56  mattias

	* lazarus/: compiler.pp, compileroptions.pp,
	components/codetools/definetemplates.pas,
	packager/basepkgmanager.pas, packager/packagedefs.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	implemented compilation of dependencies

2003-04-17 13:40  mattias

	* lazarus/: compileroptions.pp, ideprocs.pp, main.pp, mainbar.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas, tools/Makefile, tools/Makefile.fpc:
	
	implemented compilation of simple packages

2003-04-17 02:43  mattias

	* lazarus/: lcl/maskedit.pp, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas, packager/registerlcl.pas:
	
	implemented creating package main source file

2003-04-17 02:03  mattias

	* lazarus/packager/: Makefile, registration/Makefile:
	
	added Makefiles

2003-04-17 02:00  mattias

	* lazarus/: Makefile, Makefile.fpc,
	packager/lazaruspackageintf.pas, packager/pkgmanager.pas,
	packager/registration/Makefile.fpc, packager/registration/README,
	packager/registration/lazaruspackageintf.pas,
	packager/units/README:
	
	moved lazarus package registration unit to a dir of its own

2003-04-17 01:10  mattias

	* lazarus/images/components/tmaskedit.xpm:
	
	added TMaskEdit xpm

2003-04-17 00:59  mattias

	* lazarus/: idecomp.pp, images/components_images.lrs, lcl/Makefile,
	lcl/Makefile.fpc, lcl/allunits.pp, lcl/maskedit.pp,
	lcl/stdctrls.pp, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas:
	
	added TMaskEdit from Tony

2003-04-17 00:11  mattias

	* lazarus/: main.pp, mainbar.pas, components/codetools/Makefile,
	components/codetools/Makefile.fpc,
	components/codetools/finddeclarationtool.pas,
	components/synedit/Makefile.fpc, lcl/forms.pp,
	lcl/include/customform.inc, lcl/include/screen.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/win32/Makefile.fpc, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	fixed codetools Makefile, fixed default prop not found error

2003-04-16 22:04  mattias

	* lazarus/: Makefile, Makefile.fpc, components/Makefile,
	components/codetools/Makefile, components/codetools/Makefile.fpc,
	components/gtk/gtkglarea/Makefile,
	components/gtk/gtkglarea/Makefile.fpc,
	components/htmllite/Makefile.fpc, components/synedit/Makefile,
	components/synedit/Makefile.fpc, designer/jitform/Makefile.fpc,
	examples/Makefile, lcl/Makefile, lcl/Makefile.fpc,
	lcl/interfaces/Makefile, lcl/interfaces/gnome/Makefile,
	lcl/interfaces/gnome/Makefile.fpc, lcl/interfaces/gtk/Makefile,
	lcl/interfaces/gtk/Makefile.fpc, lcl/interfaces/gtk2/Makefile,
	lcl/interfaces/win32/Makefile:
	
	updated all Makefiles

2003-04-16 19:20  mattias

	* lazarus/: sortselectiondlg.pas, images/laz_images.lrs,
	images/pkg_package_circle.xpm, lcl/comctrls.pp, lcl/forms.pp,
	lcl/include/customform.inc, lcl/include/screen.inc,
	lcl/include/treeview.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkwinapi.inc, packager/addtopackagedlg.pas,
	packager/basepkgmanager.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkggraphexplorer.pas, packager/pkgmanager.pas:
	
	implemented package check broken dependency on compile

2003-04-16 15:48  mattias

	* lazarus/: compileroptions.pp, ideprocs.pp, project.pp,
	transfermacros.pp, images/laz_images.lrs, images/pkg_inherited.xpm,
	lcl/include/treeview.inc, packager/packagedefs.pas,
	packager/pkgmanager.pas:
	
	implemented creating compiler option string for packages

2003-04-16 08:27  mattias

	* lazarus/lcl/include/memostrings.inc:
	
	fixed appending text to TMemo

2003-04-15 19:58  mattias

	* lazarus/: compileroptions.pp, ideprocs.pp, main.pp, project.pp,
	transfermacros.pp, lcl/include/filectrl.inc,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas,
	packager/pkgoptionsdlg.pas:
	
	implemented inherited Compiler Options View

2003-04-15 11:03  mattias

	* lazarus/lcl/interfaces/gtk/gtkobject.inc:
	
	reduced output

2003-04-15 10:54  mattias

	* lazarus/: compileroptions.pp, main.pp, mainbar.pas, msgview.pp,
	project.pp, transfermacros.pp,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/keywordfunclists.pas,
	components/codetools/pascalparsertool.pas, lcl/stdctrls.pp,
	lcl/include/custommemo.inc, lcl/include/memo.inc,
	lcl/include/memostrings.inc, lcl/interfaces/gtk/gtkobject.inc,
	packager/packagedefs.pas, packager/packagesystem.pas:
	
	fixed TMemo.WordWrap

2003-04-14 20:03  mattias

	* lazarus/: compileroptions.pp, editoroptions.pp,
	lazarusidestrconsts.pas, project.pp, lcl/comctrls.pp,
	lcl/include/treeview.inc, packager/packagedefs.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgoptionsdlg.pas:
	
	implemented inherited compiler options

2003-04-14 12:55  mattias

	* lazarus/: compileroptions.pp, mainbar.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgoptionsdlg.pas:
	
	fix for fpc 1.0.x

2003-04-14 10:49  mattias

	* lazarus/packager/: packagedefs.pas, packagelinks.pas,
	packagesystem.pas, pkgmanager.pas:
	
	implemented replacing package

2003-04-14 00:39  mattias

	* lazarus/: inputhistory.pas, main.pp,
	components/codetools/avl_tree.pas, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented package links, automatic package loading

2003-04-13 20:19  mattias

	* lazarus/: ideprocs.pp, components/codetools/avl_tree.pas,
	packager/brokendependenciesdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkggraphexplorer.pas, packager/pkgmanager.pas:
	
	implemented editing dependencies

2003-04-13 18:08  mattias

	* lazarus/packager/: packagedefs.pas, pkggraphexplorer.pas:
	
	implemented package graph restoring expanded nodes

2003-04-13 16:57  mattias

	* lazarus/packager/: packagedefs.pas, packageeditor.pas,
	packagesystem.pas, pkggraphexplorer.pas, pkggraphexporer.pas,
	pkgmanager.pas:
	
	fixed save package on close IDE

2003-04-13 15:45  mattias

	* lazarus/: idecomp.pp, ideprocs.pp, main.pp, mainbar.pas,
	project.pp, lcl/buttons.pp, lcl/comctrls.pp, lcl/dialogs.pp,
	lcl/include/messagedialogs.inc, packager/basepkgmanager.pas,
	packager/brokendependenciesdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkggraphexporer.pas, packager/pkgmanager.pas,
	packager/pkgoptionsdlg.pas:
	
	implemented broken dependencies dialog

2003-04-12 18:31  mattias

	* lazarus/packager/pkgoptionsdlg.pas:
	
	fixed compilation

2003-04-12 18:28  mattias

	* lazarus/: compileroptions.pp, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/pkgoptionsdlg.pas:
	
	implemented readonly package general options dialog

2003-04-12 11:26  mattias

	* lazarus/: components/codetools/memcheck.pas, lcl/grids.pas,
	lcl/lcltype.pp, lcl/vclglobals.pp, packager/pkgoptionsdlg.pas:
	
	fixes for current fpc 1.1

2003-04-12 10:44  mattias

	* lazarus/: compileroptions.pp, diffdialog.pas, miscoptions.pas,
	sortselectiondlg.pas, packager/openinstalledpkgdlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkggraphexporer.pas,
	packager/pkgoptionsdlg.pas:
	
	implemented compiler options for packages

2003-04-11 23:21  mattias

	* lazarus/: main.pp, lcl/forms.pp, lcl/include/customform.inc,
	lcl/interfaces/gtk/gtkwinapi.inc, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented closing unneeded package

2003-04-11 19:10  mattias

	* lazarus/: lcl/stdctrls.pp, lcl/include/customcombobox.inc,
	lcl/include/customlistbox.inc, lcl/include/interfacebase.inc,
	lcl/include/winapi.inc, lcl/include/winapih.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkggraphexporer.pas,
	packager/pkgmanager.pas:
	
	added but not implemented ComboBoxDropDown

2003-04-11 15:47  mattias

	* lazarus/packager/: packagedefs.pas, packageeditor.pas,
	packagesystem.pas, pkggraphexporer.pas, pkgmanager.pas:
	
	implemented info for package graph explorer

2003-04-11 14:48  mattias

	* lazarus/: lazarusidestrconsts.pas,
	lcl/interfaces/gtk/gtklistsl.inc, lcl/interfaces/gtk/gtkobject.inc,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkggraphexporer.pas:
	
	fixed gtk warning on setting item height

2003-04-11 12:31  mattias

	* lazarus/lcl/: forms.pp, include/application.inc,
	include/wincontrol.inc:
	
	added Sender to Application OnKeyDownHandler

2003-04-11 12:23  mattias

	* lazarus/lcl/: forms.pp, include/application.inc,
	include/wincontrol.inc:
	
	added Application OnKeyDownHandler

2003-04-11 11:32  mattias

	* lazarus/: lcl/actnlist.pas, lcl/forms.pp,
	lcl/include/application.inc, lcl/include/customform.inc,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	added some help stuff

2003-04-11 11:05  mattias

	* lazarus/lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed adding items on TComboBox.DropDown

2003-04-11 10:09  mattias

	* lazarus/lcl/: controls.pp, forms.pp, include/control.inc:
	
	published TControl help properties

2003-04-11 01:02  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, mainbar.pas,
	images/laz_images.lrs, images/pkg_package.xpm,
	images/pkg_package_circle.xpm, images/pkg_package_installed.xpm,
	images/pkg_package_uninstall.xpm, packager/packagedefs.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkggraphexporer.pas, packager/pkgmanager.pas:
	
	implemented expanding package graph explorer

2003-04-10 21:51  mattias

	* lazarus/examples/gtkglarea/data/: particle.bmp, texture1.bmp,
	texture2.bmp, texture3.bmp:
	
	restored bitmaps

2003-04-10 21:42  mattias

	* lazarus/: clipboardhistory.pas, environmentopts.pp,
	ideoptiondefs.pas, main.pp, msgview.pp, unitdependencies.pas,
	uniteditor.pp, packager/packagedefs.pas,
	packager/packagesystem.pas, packager/pkggraphexporer.pas,
	packager/pkgmanager.pas:
	
	implemented package graph showing open packages

2003-04-10 18:38  mattias

	* lazarus/: main.pp, designer/menueditorform.pas,
	packager/pkggraphexporer.pas:
	
	fixed crash in new menueditor

2003-04-10 14:33  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, mainbar.pas,
	designer/designermenu.pp, packager/openinstalledpkgdlg.pas,
	packager/packagedefs.pas, packager/pkggraphexporer.pas,
	packager/pkgmanager.pas:
	
	started package graph explorer

2003-04-10 12:17  mattias

	* lazarus/: idecomp.pp, main.pp, msgview.pp, outputfilter.pas:
	
	added Abort to save on modified

2003-04-10 11:45  mattias

	* lazarus/: idecomp.pp, packager/registerfcl.pas:
	
	removed TDataBase component from palette

2003-04-10 11:22  mattias

	* lazarus/: lcl/include/control.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, packager/packagedefs.pas,
	packager/packageeditor.pas:
	
	implemented changing dependency version

2003-04-10 01:36  mattias

	* lazarus/: main.pp, images/laz_images.lrs,
	images/pkg_registerunit.xpm, images/pkg_removedfiles.xpm,
	images/pkg_removedrequired.xpm, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas, tools/install/debian_lazarus/control:
	
	implemented removing and readding package items

2003-04-09 16:46  mattias

	* lazarus/: packager/addtopackagedlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas, tools/install/create_lazarus_deb.sh,
	tools/install/create_lazarus_rpm.sh:
	
	increased package version to 0.8.5.3

2003-04-09 12:11  mattias

	* lazarus/: components/codetools/identcompletiontool.pas,
	designer/componenteditors.pas, designer/designer.pp,
	packager/componentreg.pas, packager/packagedefs.pas:
	
	fixed TDefaultComponentEditor

2003-04-09 00:02  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented open package file

2003-04-08 22:14  mattias

	* lazarus/: environmentopts.pp, ideoptiondefs.pas,
	lazarusidestrconsts.pas, main.pp, mainbar.pas,
	designer/objectinspector.pp, packager/basepkgmanager.pas,
	packager/packagedefs.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented open package

2003-04-08 18:56  mattias

	* lazarus/: main.pp, outputfilter.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/stdcodetools.pas, lcl/comctrls.pp,
	lcl/include/treeview.inc, packager/addtopackagedlg.pas,
	packager/basepkgmanager.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented saving package

2003-04-08 11:04  mattias

	* lazarus/: lazarus.pp, lcl/buttons.pp, lcl/dialogs.pp,
	packager/packagesystem.pas:
	
	fixed registration for fpc 1.0.x

2003-04-08 02:09  mattias

	* lazarus/lcl/: lmessages.pp, include/memostrings.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc:
	
	added LM_APPENDTEXT from hernan

2003-04-08 01:49  mattias

	* lazarus/: idedefs.pas, main.pp, mainbar.pas, project.pp,
	projectdefs.pas, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/pkgmanager.pas:
	
	implemented adding units to packages

2003-04-07 14:31  mattias

	* lazarus/: synmacrorecorder.ru.mo,
	components/synedit/languages/synmacrorecorder.ru.mo,
	lcl/languages/lcl.ru.mo:
	
	added russian mo files

2003-04-07 14:21  mattias

	* lazarus/: localize.sh,
	components/synedit/languages/synedit.ru.po,
	components/synedit/languages/synmacrorecorder.ru.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	languages/objinspstrconsts.ru.mo, languages/objinspstrconsts.ru.po,
	lcl/languages/lcl.ru.po:
	
	update russian localization

2003-04-07 14:12  mattias

	* lazarus/: main.pp, packager/addtopackagedlg.pas,
	packager/componentreg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented auto completion for add new component to package

2003-04-07 04:10  mattias

	* lazarus/packager/: addtopackagedlg.pas, packagelinks.pas,
	packagesystem.pas:
	
	implemented add unit checks

2003-04-07 03:59  mattias

	* lazarus/: codetoolsoptions.pas, lcl/controls.pp,
	packager/addtopackagedlg.pas, packager/componentreg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagelinks.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas:
	
	implemented package iterations

2003-04-07 00:39  mattias

	* lazarus/: main.pp, mainbar.pas, lcl/include/popupmenu.inc,
	lcl/include/treeview.inc, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagelinks.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas:
	
	implemented searching packages

2003-04-05 18:39  mattias

	* lazarus/: images/README, images/laz_images.lrs,
	images/pkg_add.xpm, images/pkg_binary.xpm, images/pkg_compile.xpm,
	images/pkg_conflict.xpm, images/pkg_files.xpm,
	images/pkg_required.xpm, images/pkg_text.xpm, images/pkg_unit.xpm,
	lcl/include/customlistbox.inc, lcl/interfaces/gtk/gtklistsl.inc,
	packager/openinstalledpkgdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas:
	
	implemented showing files in opened package

2003-04-05 13:16  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, mainbar.pas,
	packager/basepkgmanager.pas, packager/componentreg.pas,
	packager/openinstalledpkgdlg.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/packagesystem.pas,
	packager/pkgmanager.pas, tools/install/README:
	
	added open installed package dialog

2003-04-05 10:46  mattias

	* lazarus/tools/install/: README, create_lazarus_deb.sh:
	
	fixed creating lazarus debs

2003-04-05 00:14  mattias

	* lazarus/: idecomp.pp, main.pp, packager/basepkgmanager.pas,
	packager/componentreg.pas, packager/packagedefs.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas,
	packager/registerfcl.pas, packager/registerlcl.pas:
	
	implemented LCL and FCL packages, started package registration

2003-04-04 18:35  mattias

	* lazarus/: compreg.pp, environmentopts.pp, idecomp.pp,
	ideprocs.pp, lcl/arrow.pp, lcl/buttons.pp, lcl/calendar.pp,
	lcl/comctrls.pp, lcl/controls.pp, lcl/dialogs.pp, lcl/extctrls.pp,
	lcl/forms.pp, lcl/grids.pas, lcl/imglist.pp, lcl/menus.pp,
	lcl/spin.pp, lcl/stdctrls.pp, lcl/interfaces/gtk/gtkglobals.pp,
	lcl/interfaces/gtk/gtkobject.inc, packager/addtopackagedlg.pas,
	packager/lazaruspackageintf.pas, packager/packagedefs.pas,
	packager/packagesystem.pas:
	
	started package registration

2003-04-04 17:37  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	fixed silly mistake

2003-04-04 16:59  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkproc.inc:
	
	started fixin for gtk2

2003-04-04 16:57  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkproc.pp:
	
	some fixes for gtk2

2003-04-04 11:19  mattias

	* lazarus/: idecomp.pp, lcl/controls.pp,
	lcl/include/wincontrol.inc, packager/addtopackagedlg.pas,
	packager/packageeditor.pas:
	
	activated TDataSource

2003-04-04 02:46  marc

	* lazarus/lcl/interfaces/gtk/gtkwinapiwindow.pp:
	
	MWE:   Initial port to gtk2

2003-04-03 22:15  mattias

	* lazarus/designer/: designermenu.pp, menueditorform.pas:
	
	added copyright note

2003-04-03 22:05  mattias

	* lazarus/: main.pp, designer/designermenu.pp,
	designer/menueditorform.pas:
	
	added menueditor from Martin Patik, not yet working

2003-04-03 21:30  mattias

	* lazarus/: ideoptiondefs.pas, packager/addtopackagedlg.pas,
	packager/packagedefs.pas, packager/packageeditor.pas:
	
	implemented addtopackagedlg

2003-04-03 19:42  mattias

	* lazarus/lcl/: include/bitmap.inc, include/pixmap.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc, interfaces/gtk/gtkproc.pp,
	interfaces/gtk/gtkwinapi.inc:
	
	added exception handling for createpixmapindirect

2003-04-03 17:02  mattias

	* lazarus/: environmentopts.pp, main.pp, sourceeditprocs.pas,
	uniteditor.pp, components/codetools/finddeclarationtool.pas,
	components/codetools/identcompletiontool.pas,
	components/synedit/syncompletion.pas, packager/addtopackagedlg.pas,
	packager/packageeditor.pas:
	
	fixed loading .files

2003-04-03 09:03  mattias

	* lazarus/packager/ucomponentmanmain.pas:
	
	fixed conf custom comps

2003-04-03 08:42  mattias

	* lazarus/lcl/grids.pas:
	
	fixed grids for dbgrid

2003-04-03 00:00  mattias

	* lazarus/: packager/packagedefs.pas, packager/packageeditor.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas,
	tools/install/create_fpcsrc_deb.sh,
	tools/install/create_lazarus_deb.sh,
	tools/install/create_lazarus_rpm.sh:
	
	implemented creation of a new package

2003-04-02 22:56  ajgenius

	* lazarus/lcl/interfaces/gtk/gtkglobals.pp:
	
	fix for GTK, made dialog=toplevel

2003-04-02 22:17  ajgenius

	* lazarus/lcl/interfaces/gtk/keymap.pp:
	
	IfDef'd for GTK2

2003-04-02 19:06  mattias

	* lazarus/: debugmanager.pas, main.pp, mainbar.pas, newdialog.pas,
	packager/basepkgmanager.pas, packager/packagedefs.pas,
	packager/packagesystem.pas, packager/pkgmanager.pas,
	tools/install/create_fpc_deb.sh,
	tools/install/create_lazarus_rpm.sh,
	tools/install/debian_fpcsrc/changelog,
	tools/install/debian_fpcsrc/control,
	tools/install/debian_fpcsrc/copyright,
	tools/install/debian_lazarus/changelog,
	tools/install/debian_lazarus/control:
	
	improved deb creation

2003-04-02 15:37  mattias

	* lazarus/lcl/include/treeview.inc:
	
	improved tvoAutoItemHeight

2003-04-02 15:27  mattias

	* lazarus/lcl/include/treeview.inc:
	
	fixed tvoAutoItemHeight

2003-04-02 15:23  mattias

	* lazarus/: outputfilter.pas, lcl/buttons.pp, lcl/comctrls.pp,
	lcl/controls.pp, lcl/graphics.pp, lcl/include/canvas.inc,
	lcl/include/controlcanvas.inc, lcl/include/speedbutton.inc,
	lcl/include/treeview.inc, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	fixed default font

2003-04-02 12:34  mattias

	* lazarus/: environmentopts.pp, lazarusidestrconsts.pas,
	components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.po,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po:
	
	updated russian translation from Vasily

2003-04-02 12:04  mattias

	* lazarus/components/synedit/synedit.pp:
	
	ensuecursorvisible now tries to also show the selection

2003-04-02 10:41  mattias

	* lazarus/packager/: ucomponentmanmain.pas, ufrmaddcomponent.pas:
	
	creating form on demand

2003-04-02 01:35  mattias

	* lazarus/: main.pp, designer/componenteditors.pas,
	designer/controlselection.pp, designer/menupropedit.pp,
	designer/objectinspector.pp:
	
	added menu component editor from Olivier

2003-04-02 00:49  mattias

	* lazarus/: editoroptions.pp, ideprocs.pp, lazconf.pp,
	packager/packagedefs.pas, packager/packagelinks.pas,
	packager/globallinks/README:
	
	implemented global and user package links

2003-04-01 19:38  mattias

	* lazarus/packager/packagelinks.pas:
	
	added package links

2003-04-01 19:29  mattias

	* lazarus/: basedebugmanager.pas, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas,
	components/custom/README,
	components/custom/customidecomps.pas.template,
	packager/basepkgmanager.pas, packager/pkgmanager.pas,
	packager/ucomponentmanmain.lfm, packager/ucomponentmanmain.lrs,
	packager/ucomponentmanmain.pas, packager/ufrmaddcomponent.lfm,
	packager/ufrmaddcomponent.lrs, packager/ufrmaddcomponent.pas:
	
	added packagemanager and added config dialog for custom components
	from Tony

2003-04-01 18:25  mattias

	* lazarus/: main.pp, newdialog.pas,
	components/codetools/codecache.pas, packager/packagedefs.pas,
	packager/packageeditor.pas, packager/globallinks/README:
	
	started packageeditor and packagelinks

2003-03-31 23:44  mattias

	* lazarus/: keymapping.pp, tools/install/create_fpc_deb.sh:
	
	fixed key description and added create_fpc_deb.sh

2003-03-31 22:25  mattias

	* lazarus/: components/turbopower_ipro/iphtml.pas,
	lcl/Makefile.fpc, lcl/extctrls.pp, lcl/include/custompanel.inc,
	lcl/interfaces/gtk/gtkwinapi.inc,
	tools/install/create_fpc_export_tgz.sh:
	
	fixed scrollbars of TIpHtmlPanel

2003-03-31 12:57  mattias

	* lazarus/lcl/: forms.pp, utrace.pp, include/custommemo.inc:
	
	fixes for current fpc 1.1

2003-03-31 12:49  mattias

	* lazarus/: components/codetools/customcodetool.pas,
	components/codetools/pascalparsertool.pas,
	lcl/include/custommemo.inc:
	
	fixed parsing records

2003-03-31 11:13  mattias

	* lazarus/: components/turbopower_ipro/iphtml.pas,
	lcl/postscriptprinter.pas:
	
	fixes for fpc 1.0.7

2003-03-30 22:37  mattias

	* lazarus/: outputfilter.pas,
	components/codetools/definetemplates.pas,
	components/codetools/memcheck.pas,
	components/turbopower_ipro/iphtml.pas, lcl/lclmemmanager.pas,
	lcl/include/filectrl.inc:
	
	ipro now shows simple HTML pages

2003-03-30 00:52  mattias

	* lazarus/: components/turbopower_ipro/iphtml.pas,
	components/turbopower_ipro/iputils.pas, lcl/include/winapi.inc,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	IpHtmlPanel can show simple HTML pages, but there are mem bugs

2003-03-29 23:43  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed find declaration of params in overloaded procs

2003-03-29 22:41  mattias

	* lazarus/: environmentopts.pp, main.pp, project.pp,
	components/codetools/finddeclarationtool.pas,
	components/codetools/pascalparsertool.pas,
	components/turbopower_ipro/iphtml.pas, lcl/lclmemmanager.pas,
	lcl/include/filectrl.inc:
	
	fixed path delimiters for environment directories

2003-03-29 20:15  mattias

	* lazarus/lcl/: include/commondialog.inc,
	interfaces/gtk/gtkobject.inc:
	
	fixed untransienting

2003-03-29 18:20  mattias

	* lazarus/: ideprocs.pp, main.pp, project.pp, sortselectiondlg.pas,
	components/codetools/codecache.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/fileprocs.pas, lcl/filectrl.pp, lcl/forms.pp,
	lcl/lcltype.pp, lcl/stdctrls.pp, lcl/include/controlscrollbar.inc,
	lcl/include/custommemo.inc, lcl/include/filectrl.inc,
	lcl/include/interfacebase.inc, lcl/include/memoscrollbar.inc,
	lcl/include/scrollingwincontrol.inc, lcl/include/winapi.inc,
	lcl/include/winapih.inc, lcl/interfaces/gtk/gtkwinapi.inc,
	lcl/interfaces/gtk/gtkwinapih.inc:
	
	added TMemoScrollBar

2003-03-29 00:03  mattias

	* lazarus/: designer/propedits.pp, lcl/filectrl.pp, lcl/forms.pp,
	lcl/spin.pp, lcl/stdctrls.pp, lcl/include/custommemo.inc,
	lcl/include/filectrl.inc, lcl/include/scrollingwincontrol.inc,
	lcl/include/spinedit.inc:
	
	started TMemoScrollbar

2003-03-28 20:39  mattias

	* lazarus/: components/turbopower_ipro/iphtml.pas,
	designer/propedits.pp, lcl/spin.pp, lcl/include/filectrl.inc,
	lcl/include/spinedit.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	started typeinfo for double extended

2003-03-27 23:16  mattias

	* lazarus/: components/codetools/Makefile,
	components/codetools/Makefile.fpc,
	components/codetools/codetoolmanager.pas,
	components/codetools/customcodetool.pas,
	lcl/interfaces/gtk/gtkobject.inc:
	
	implemented findeclaration gdb exceptions

2003-03-27 20:20  mattias

	* lazarus/components/turbopower_ipro/ipdefct.inc:
	
	turbopower_ipro/ipdefct.inc

2003-03-27 20:16  mattias

	* lazarus/components/: codetools/codecompletiontool.pas,
	codetools/definetemplates.pas, codetools/finddeclarationtool.pas,
	codetools/identcompletiontool.pas, codetools/methodjumptool.pas,
	codetools/pascalparsertool.pas, codetools/stdcodetools.pas,
	turbopower_ipro/ipdefine.inc:
	
	added ipdefine.inc

2003-03-27 19:25  mattias

	* lazarus/components/turbopower_ipro/: ipanim.pas, ipconst.pas,
	iphtml.pas, iphtmlpv.pas, ipmsg.pas, ipstrms.pas, iputils.pas:
	
	added ipro html components, compilable but not yet working

2003-03-27 19:08  mattias

	* lazarus/lcl/postscriptprinter.pas:
	
	implemented compiled unit search and indirect search path

2003-03-27 13:42  mattias

	* lazarus/components/codetools/: codetoolmanager.pas,
	codetoolsstrconsts.pas, definetemplates.pas,
	finddeclarationtool.pas:
	
	implemented compiled unit search and indirect search path

2003-03-27 09:50  mattias

	* lazarus/: main.pp, uniteditor.pp,
	components/codetools/finddeclarationtool.pas:
	
	find declaration: implemented file type

2003-03-26 21:23  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed finddeclaration for long expression with same operator lvl

2003-03-26 20:44  mattias

	* lazarus/components/codetools/finddeclarationtool.pas:
	
	fixed finddeclaration searching unitname

2003-03-26 20:39  mattias

	* lazarus/components/codetools/: finddeclarationtool.pas,
	keywordfunclists.pas:
	
	added fpc 1.1 built in function copy

2003-03-26 20:25  mattias

	* lazarus/: components/codetools/languages/codetools.de.po,
	components/codetools/languages/codetools.fr.po,
	components/codetools/languages/codetools.po,
	languages/lazaruside.de.po, languages/lazaruside.es.mo,
	languages/lazaruside.es.po, languages/lazaruside.fr.mo,
	languages/lazaruside.fr.po, languages/lazaruside.po,
	languages/lazaruside.ru.mo, languages/lazaruside.ru.po,
	lcl/lclstrconsts.pas, lcl/interfaces/gtk/gtkdef.pp,
	lcl/interfaces/gtk/gtkglobals.pp, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkwinapi.inc, lcl/languages/lcl.de.po,
	lcl/languages/lcl.es.po, lcl/languages/lcl.fr.po,
	lcl/languages/lcl.po:
	
	added transient deactivation option and updated localization

2003-03-26 12:40  mattias

	* lazarus/components/mpaslex/mpaslex.pp:
	
	added mpaslex.pp

2003-03-26 12:39  mattias

	* lazarus/: ideprocs.pp, outputfilter.pas,
	components/codetools/definetemplates.pas,
	include/freebsd/lazconf.inc, include/linux/lazconf.inc,
	include/netbsd/lazconf.inc, lcl/filectrl.pp,
	lcl/include/filectrl.inc:
	
	fixed rtl include path

2003-03-26 11:56  mattias

	* lazarus/: Makefile, Makefile.fpc, keymapping.pp,
	lazarusidestrconsts.pas, main.pp, mainbar.pas, todolist.pp,
	components/codetools/definetemplates.pas:
	
	added ToDo List from Olivier

2003-03-26 01:21  mattias

	* lazarus/: codetoolsdefines.pas, environmentopts.pp, main.pp,
	components/codetools/codetoolsstrconsts.pas,
	components/codetools/definetemplates.pas, lcl/forms.pp,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkwinapi.inc:
	
	implemented build lazarus extra options -d

2003-03-25 19:40  mattias

	* lazarus/lcl/: Makefile, Makefile.fpc, allunits.pp,
	postscriptprinter.pas, printers.pas:
	
	added Tonys printer units

2003-03-25 18:13  mattias

	* lazarus/main.pp:
	
	reduced output

2003-03-25 18:11  mattias

	* lazarus/: main.pp, project.pp:
	
	set Project.AutoCreateForms default to true

2003-03-25 17:56  mattias

	* lazarus/lcl/: stdctrls.pp, include/buttoncontrol.inc,
	include/customcheckbox.inc:
	
	implemented TButtonControl.UseOnChange

2003-03-25 17:29  mattias

	* lazarus/: environmentopts.pp, ideoptiondefs.pas, lcl/stdctrls.pp,
	lcl/include/customcheckbox.inc, lcl/interfaces/gtk/gtkobject.inc:
	
	fixed sending TButtonControl.OnClick on every change

2003-03-25 14:00  mattias

	* lazarus/: designer/objectinspector.pp,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.inc:
	
	implemented TMemo.SelLength, improved OI hints

2003-03-25 11:45  mattias

	* lazarus/: main.pp, uniteditor.pp, components/synedit/synedit.pp,
	lcl/controls.pp, lcl/forms.pp, lcl/lclstrconsts.pas,
	lcl/include/control.inc, lcl/include/customform.inc,
	lcl/include/promptdialog.inc, lcl/include/screen.inc,
	lcl/include/wincontrol.inc, lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	reduced focus handling and improved focus setting

2003-03-25 09:12  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32winapi.inc, win32winapih.inc:
	
	patch from Martin Smat for menu items and default messages

2003-03-18 20:14  mattias

	* lazarus/: components/codetools/definetemplates.pas, lcl/forms.pp:
	
	fixed fpc 1.1 search paths

2003-03-18 19:23  mattias

	* lazarus/lcl/interfaces/win32/: win32callback.inc,
	win32object.inc, win32winapi.inc:
	
	popupmenus for win32 intf from Martin Smat

2003-03-18 14:45  mattias

	* lazarus/lcl/: forms.pp, include/screen.inc,
	interfaces/gtk/gtkobject.inc:
	
	set transient forms with Screen object order

2003-03-18 14:04  mattias

	* lazarus/: findreplacedialog.pp, uniteditor.pp, lcl/forms.pp,
	lcl/include/customform.inc, lcl/include/wincontrol.inc,
	lcl/interfaces/gtk/gtkcallback.inc,
	lcl/interfaces/gtk/gtkobject.inc, lcl/interfaces/gtk/gtkproc.pp,
	lcl/interfaces/gtk/gtkwinapi.inc:
	
	improved focus debugging output

2003-03-18 01:00  mattias

	* lazarus/lcl/: extctrls.pp, include/customcheckgroup.inc:
	
	added TCheckGroup.CheckEnabled

2003-03-18 00:39  mattias

	* lazarus/: idecomp.pp, images/components_images.lrs,
	images/components/tcheckgroup.xpm, lcl/controls.pp,
	lcl/extctrls.pp, lcl/include/control.inc,
	lcl/include/customcheckgroup.inc, lcl/include/customradiogroup.inc:
	
	added TCheckGroup

2003-03-17 21:53  mattias

	* lazarus/lcl/: stdctrls.pp, include/interfacebase.inc,
	include/radiobutton.inc, include/winapi.inc, include/winapih.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc:
	
	removed SetRadioButtonGroupMode

2003-03-17 21:50  mattias

	* lazarus/lcl/: extctrls.pp, stdctrls.pp,
	include/customcheckbox.inc, include/customradiogroup.inc,
	include/interfacebase.inc, include/radiobutton.inc,
	include/winapi.inc, include/winapih.inc,
	interfaces/gtk/gtkobject.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc:
	
	fixed TRadioGroup.ItemIndex=-1

2003-03-17 14:54  mattias

	* lazarus/: findreplacedialog.pp, uniteditor.pp,
	lcl/include/customform.inc, lcl/interfaces/gtk/gtkobject.inc:
	
	fixed setting activecontrol after createwnd

2003-03-17 14:00  mattias

	* lazarus/: main.pp, lcl/include/commondialog.inc,
	lcl/interfaces/gtk/gtkint.pp, lcl/interfaces/gtk/gtkobject.inc,
	lcl/interfaces/gtk/gtkproc.inc, lcl/interfaces/gtk/gtkproc.pp:
	
	improved but not fixed transient windows

2003-03-17 10:41  mattias

	* lazarus/lcl/include/customradiogroup.inc:
	
	fixed TCustomRadioGroup.SetItemIndex

2003-03-17 10:33  mattias

	* lazarus/lcl/include/customradiogroup.inc:
	
	fixed TCustomRadioGroup.GetItemIndex

2003-03-17 09:51  mattias

	* lazarus/lcl/: controls.pp, forms.pp, stdctrls.pp,
	include/custommemo.inc, include/hintwindow.inc,
	include/interfacebase.inc, include/winapi.inc, include/winapih.inc,
	include/wincontrol.inc, interfaces/gtk/gtkwinapi.inc,
	interfaces/gtk/gtkwinapih.inc, interfaces/gtk/gtkwinapiwindow.pp:
	
	added IsWindowVisible

2003-03-16 18:02  mattias

	* lazarus/tools/install/: create_fpc_export_tgz.sh,
	create_fpc_rpm.sh:
	
	recuced output

2003-03-16 17:42  mattias

	* lazarus/tools/install/README:
	
	updated README

2003-03-16 17:37  mattias

	* lazarus/tools/install/: create_lazarus_export_tgz.sh,
	create_lazarus_rpm.sh, create_lazarus_snapshot_tgz.sh:
	
	added fully automatic lazarus rpm script

2003-03-16 17:25  mattias

	* lazarus/tools/install/create_fpc_rpm.sh:
	
	fixed rpm scripts for new rpm version

2003-03-16 16:20  mattias

	* lazarus/tools/install/: create_fpc_export_tgz.sh, fpcsrc.spec:
	
	fpc rpm script for 1.0.7

2003-03-16 14:47  mattias

	* lazarus/: lcl/lcltype.pp, lcl/include/winapi.inc,
	lcl/include/winapih.inc, tools/install/README,
	tools/install/create_fpc_export_tgz.sh,
	tools/install/create_fpc_rpm.sh,
	tools/install/create_fpc_snapshot_tgz.sh,
	tools/install/create_fpcsrc-1.1_rpm.sh, tools/install/fpcsrc.spec:
	
	improved rpm building and added support for 1.0.7

2003-03-16 12:07  mattias

	* lazarus/: keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, uniteditor.pp, components/codetools/sourcechanger.pas,
	lcl/lclproc.pas:
	
	fixed insert text GPL and LGPL

2003-03-16 10:41  mattias

	* lazarus/lcl/: menus.pp, include/menuitem.inc,
	interfaces/gtk/gtkcallback.inc, interfaces/gtk/gtkwinapi.inc:
	
	fixed checking menuitems

2003-03-16 09:44  mattias

	* lazarus/: main.pp, runparamsopts.pas,
	components/codetools/definetemplates.pas, tools/RunAndWait.sh,
	tools/runwait.sh:
	
	fixed run and wait script

2003-03-16 09:39  mattias

	* lazarus/tools/RunAndWait.sh:
	
	re-added file with hopeflly correct permissions

2003-03-16 09:38  mattias

	* lazarus/tools/RunAndWait.sh:
	
	removed script with wrong permissions

2003-03-15 19:32  mattias

	* lazarus/lcl/interfaces/gtk/: gtkdef.pp, gtkglobals.pp, gtkint.pp,
	gtkobject.inc:
	
	implemented transient windows for all cases

2003-03-15 16:50  mattias

	* lazarus/main.pp:
	
	fixed DoJumpToError

2003-03-15 15:13  mattias

	* lazarus/tools/install/: README, lazarus.spec:
	
	fixes for rpms for fpc 1.1

2003-03-15 14:26  mattias

	* lazarus/: main.pp, uniteditor.pp, lcl/comctrls.pp,
	lcl/include/listitem.inc, lcl/include/winapi.inc,
	lcl/include/winapih.inc, tools/install/README,
	tools/install/create_fpc_snapshot_tgz.sh,
	tools/install/create_fpc_tgz_from_local_dir.sh,
	tools/install/create_fpcsrc-1.1_rpm.sh,
	tools/install/create_lazarus_snapshot_tgz.sh,
	tools/install/fpcsrc-1.0.7-1.spec, tools/install/fpcsrc.spec,
	tools/install/lazarus-0.8.5-1.spec, tools/install/lazarus.spec:
	
	fixes for fpc 1.1

2003-03-15 10:42  mattias

	* lazarus/lcl/: dialogs.pp, forms.pp, include/commondialog.inc,
	interfaces/gtk/gtkint.pp, interfaces/gtk/gtkobject.inc,
	interfaces/gtk/gtkproc.inc:
	
	fixed transient windows

2003-03-15 00:55  mattias

	* lazarus/tools/RunAndWait.sh:
	
	pirate enter

2003-03-15 00:27  mattias

	* lazarus/: main.pp, runparamsopts.pas, tools/RunAndWait.sh:
	
	launching in terminal now keeps terminal open after execution

2003-03-14 23:51  mattias

	* lazarus/: environmentopts.pp, ideprocs.pp,
	lazarusidestrconsts.pas, main.pp:
	
	improved case renaming of pascal files

2003-03-14 22:38  mattias

	* lazarus/: codetemplatedialog.pp, diffdialog.pas, diffpatch.pas,
	inputhistory.pas, keymapping.pp, lazarusidestrconsts.pas, main.pp,
	mainbar.pas, makeresstrdlg.pas, uniteditor.pp:
	
	implemented diff dialog

2003-03-14 15:58  mattias

	* lazarus/languages/: lazaruside.de.po, lazaruside.es.po,
	lazaruside.fr.po, lazaruside.po, lazaruside.ru.po:
	
	updated localization

2003-03-14 15:57  mattias

	* lazarus/: codetoolsdefines.pas, lazarusidestrconsts.pas, main.pp,
	makeresstrdlg.pas, uniteditor.pp,
	components/codetools/codetoolmanager.pas,
	components/codetools/codetoolsstructs.pas,
	components/codetools/stdcodetools.pas:
	
	make resourcestring dialog now checks for doubles (idents and
	values)

2003-03-14 00:27  mattias

	* lazarus/: codetoolsdefines.pas, codetoolsdefpreview.pas,
	codetoolsoptions.pas, compiler.pp, lazarusidestrconsts.pas,
	languages/lazaruside.de.po, languages/lazaruside.es.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po:
	
	localized codetools options

2003-03-13 23:33  mattias

	* lazarus/: buildlazdialog.pas, lazarusidestrconsts.pas,
	makeresstrdlg.pas, components/codetools/stdcodetools.pas:
	
	localized build lazarus dialog

2003-03-13 23:08  mattias

	* lazarus/components/codetools/stdcodetools.pas:
	
	fixed cached sourcenames

2003-03-13 22:55  mattias

	* lazarus/components/codetools/pascalparsertool.pas:
	
	fixed ident completion and parsed with statements

2003-03-13 22:28  mattias

	* lazarus/: sortselectiondlg.pas, uniteditor.pp:
	
	implemented sort selection in paragraphs

2003-03-13 20:57  mattias

	* lazarus/: sourceeditprocs.pas, uniteditor.pp,
	components/codetools/basiccodetools.pas,
	components/codetools/codetoolmanager.pas,
	components/codetools/customcodetool.pas,
	components/codetools/identcompletiontool.pas,
	components/codetools/pascalparsertool.pas,
	components/codetools/stdcodetools.pas,
	lcl/interfaces/win32/win32int.pp,
	lcl/interfaces/win32/win32proc.inc:
	
	added identcompletion context information and fixed win32 intf

2003-03-13 11:11  mattias

	* lazarus/: aboutfrm.lfm, aboutfrm.lrs, aboutfrm.pas, ideprocs.pp,
	lazarusidestrconsts.pas, lazconf.pp, main.pp, mainbar.pas,
	lcl/include/control.inc, lcl/include/customform.inc:
	
	fixed TControl.Show in design mode

2003-03-13 01:50  mattias

	* lazarus/: localize.sh,
	components/synedit/languages/synedit.fr.mo,
	components/synedit/languages/synedit.fr.po,
	components/synedit/languages/synmacrorecorder.fr.mo,
	components/synedit/languages/synmacrorecorder.fr.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/objinspstrconsts.es.mo, languages/objinspstrconsts.ru.mo,
	lcl/languages/lcl.es.mo, lcl/languages/lcl.fr.mo,
	lcl/languages/lcl.fr.po:
	
	updated localization, french from Olivier

2003-03-12 15:39  mattias

	* lazarus/lcl/: graphics.pp, include/bitmap.inc,
	include/canvas.inc, include/image.inc,
	interfaces/gtk/gtkwinapi.inc:
	
	fixed clipping origin in stretchblt

2003-03-12 09:27  mattias

	* lazarus/lcl/include/spinedit.inc:
	
	reduced output

2003-03-12 09:21  mattias

	* lazarus/: ideprocs.pp, localize.sh,
	components/codetools/languages/README,
	components/synedit/syneditstrconst.pp,
	components/synedit/languages/README,
	components/synedit/languages/synedit.de.po,
	components/synedit/languages/synedit.po,
	components/synedit/languages/synmacrorecorder.de.po,
	components/synedit/languages/synmacrorecorder.po,
	designer/propedits.pp, lcl/include/spinedit.inc:
	
	added synedit localization

2003-03-12 00:14  mattias

	* lazarus/lcl/: controls.pp, include/control.inc,
	interfaces/gtk/gtkobject.inc, interfaces/win32/win32object.inc:
	
	added TControl.HandleObjectShouldBeVisible

2003-03-11 23:56  mattias

	* lazarus/: main.pp, lcl/controls.pp, lcl/forms.pp,
	lcl/include/control.inc, lcl/include/customform.inc,
	lcl/interfaces/gtk/gtkobject.inc:
	
	added visiblechanging

2003-03-11 12:05  mattias

	* lazarus/main.pp:
	
	fixed toggle form or src button

2003-03-11 12:00  mattias

	* lazarus/: environmentopts.pp, main.pp:
	
	implemented auto loading forms on open

2003-03-11 10:57  mattias

	* lazarus/: compiler.pp, debugmanager.pas, environmentopts.pp,
	lazarusidestrconsts.pas, main.pp, project.pp, projectopts.pp,
	components/codetools/languages/codetools.fr.mo,
	designer/designer.pp, languages/lazaruside.de.po,
	languages/lazaruside.es.mo, languages/lazaruside.es.po,
	languages/lazaruside.fr.mo, languages/lazaruside.fr.po,
	languages/lazaruside.po, languages/lazaruside.ru.mo,
	languages/lazaruside.ru.po, languages/objinspstrconsts.fr.mo,
	lcl/languages/lcl.fr.mo:
	
	implemented ProjectOpt: AutoCreateNewForms, added designer Show
	Options

2003-03-11 09:14  mattias

